Welcome to HyperSnap DX 5

Welcome to HyperSnap DX version 5

We've made many new and exciting changes to HyperSnap-DX version 5. Not only that, but we've completely re-engineered the help system to use the more powerful HTML help technology present in the latest versions of Windows. Because of this, and for many other reasons, we think version 5 is our best HyperSnap-DX release yet.

New users of the product should start reading the first few help topics. They'll cover the most basic features of how to use the program. Advanced HyperSnap DX pros will want to see What's new in version 5 before they get down to work.

How to use this help file

This help file uses several small graphics to help you notice important bits of text. These include the numbered text or sometimes the [image] marks the spot graphic to illustrate procedural steps. Next is the "note" [image] to illustrate an idea or group of ideas about a subject. Then there's the tip [image] graphic to advise you of helpful pointers. Another is the "important" [image] graphic to make you aware of crucial, perhaps even critical information that—if ignored—may cause the program to work in a way that you might not expect, or even malfunction and cause data loss. Be sure you click on the colored text beside the [image] and [image] graphics when you see them. That's because these last two topic types will "drop down" and reveal important information. It's initially hidden to save screen real estate. You can re-hide it by clicking it again. Finally there's the little red book [image] which is just to mark the beginning of a section, or a collection of small topics that belong together. It's a "grab bag" sort of graphic, used when none of the others applied.

This help file also uses some special Table of contents graphics that will alert you to the type of topic linked to that entry. Click the name of the topic type to see an explanation of each type.

  • Standard topic:

A topic with this icon is a "regular topic", such as the one you're reading now. This is the most common type of topic. This topic requires no Internet connection or any other special consideration.

  • Internet topic:

A topic with this icon requires an Internet connection. If you're not connected and you click that entry the help system will attempt to connect you, either by loading dial-up networking (if you use that), or by executing whatever other type of technology your system uses to connect to the Internet.

If you don't want your connection to "engage," or you've used a firewall to block the help system from Internet access, these topics won't work. There are just a few of these topic types, but they're important. Inside the body of the documentation are other links to the web and E-mail that also require a live connection.

  • Critical topic:

A topic with this icon means the subject is critical and covers subject material relating to the core functionality of the program, such as how to repair a damaged installation or remove the program. These are the most rare topics within the Table of contents.

  • Popup topic:

A topic with this icon will bring up a "child" window over the main HyperSnap-DX help window. This leaves the contents of the main window "untouched," so that (for example) you can read additional help about an important subject without losing your place in the larger topic.

Keep from being surprised:

A good rule to keep from being "surprised" by a dialer or connection password dialog that appears unexpectedly is to assume that a documentation hotlink containing a web or E-mail address is "live." Some topics in this document—such as Visit HyperSnap-DX home in User support—are not contained at all "locally" on your hard drive, but are downloaded via live connections direct to the Hyperionics support or other web pages. This allows us to provide "up to the minute" documentation without releasing constant updates for some topics, too.

One important thing to remember:

You should license the software if you want to continue using it. Otherwise, you won't reap the full benefits the program has to offer.

Until you do purchase a license, HyperSnap-DX will gently remind you to do so, and in addition, it will add a small "brand" to all of your captures that declares the program's unlicensed status.

There are many other benefits to registering besides removing the reminder dialogs and the brand. These include top-notch support, access to upgrades and fixes, and much, much more. We feel that Hyperionics has produced a superior product with rich and powerful features, complete ease of use, and top-notch well-written documentation.

And we think that all of this work is worth the cost of registration. Please don't pirate software. You're only hurting yourself when you do so. Why so? Because if everybody "steals" it, how will be continue to develop it?

Without the income from licenses which we use to support future development and pay for ongoing user support expenses, the program will not improve as it's reliably done over the years, with release after release growing more useful and sophisticated. Help us support you and the work you need to do with our product by doing the right thing and licensing it.

However if you try it and honestly don't agree that it's as good as we say it is, tell us why you feel this way.

We take all genuine user comments and feature requests seriously.

See Where to buy HyperSnap-DX 5 for more details about license options and other related information.


Getting started with HyperSnap DX

Getting started with HyperSnap-DX 5

First, if you're new to HyperSnap-DX 5, we'd like to thank you for taking a look at it. HyperSnap-DX 5's industry-standard installation program should have created several icons in your Start menu. These will include an icon to launch the program, and another icon to launch this file (the program's main help file) so you can read it outside of using the program itself.

You can always ask for help:

There's always context-sensitive help available from within the program. Press F1 while the mouse is active over any highlighted menu item. Or press F1 while any important dialog is open, and a small help window will appear that explains the feature (or features) of that menu item (or function).

Some dialogs have additional detailed help you access by using the '?' button. It's always in the upper right-hand corner of the dialog boxes that support this feature. Click the ? button and then click the interface control about which you'd like to read help.

From the beginning HyperSnap-DX 5 was designed to be both powerful and easy-to-use. If you're reading this file, you've probably had a successful installation. If you've installed the program but it will not load or doesn't operate correctly, please see the User support help section. It contains instructions on reporting problems and how to do that.

We've tested the program carefully, so we're confident that it will operate properly. However it's possible some combination of issues may cause a "bug" to appear. If this happens, don't suffer in silence, please contact us so we can help solve your problem.

Before E-mailing us, though, try the following:

Clean things up first.

  1. Re-start Windows. Does the program still fail? It probably was not installed all the way through.

  2. Don't load any other programs (especially utilities that "track" your system's configuration, or anti-virus scanners, they can sometimes cause problems with installation programs).

  3. From that clean re-boot re-run the HyperSnap-DX 5 installation. Carefully watch that it reports a successful conclusion. There should now be an entry in Control Panel Add/Remove Programs for it. If that's not there, then setup did not work properly, so tell us about it.

  4. If you've got that entry in Control Panel, Add/Remove Programs, and the icons setup creates, try the program again. Sometimes a file we must update may be in current use by the system. If it's already "active" setup won't be able to replace it, perhaps causing problems. You may have to re-start once for a clean system, install, and re-start again if you had a lot of "busy" software running the first time you tried.

Our goal is to produce 100% defect-free software as well as the best user support we can manage to provide with our resources. And if you encounter a problem, see the help section User support about how to reach us and get the help you need.


What's new in HyperSnap-DX 5

We listened to our users and added many new and powerful features to version 5. Below is a quick summary of what's new or improved in this version. Although it's not a full-blown paint program, we're providing many tools included in much more expensive painting programs. All in all, you can get a lot of work done with HyperSnap-DX.

  • Easy-to-use tabbed interface with a powerful window management tool (accessed from the Window menu). Control many open windows, close batches of windows, and minimize or otherwise arrange multiple windows with just two quick clicks.

  • Area or image framing with a complete "3D" framing tool.

  • Full-featured stamp feature with text, date, time, filename, and other "live data" fields that can be stored and used again and again, with up to 40 stamps in each stamp folder.

  • Shadow feature tool that can be applied to the outside of images or to selected regions, with control over shadow density and size.

  • Powerful substitute color functions let you replace colors within individual images, or from every capture you make in a series. No more "cleanup" of stray pixels of that certain "annoying" color from data screens.

  • A user-definable Tools menu, which allows you to add programs or even data file links to be added to HyperSnap-DX's menu.

  • Fully configurable in nearly every respect, the user can control how almost everything works in the program. This includes menus, hotkeys, toolbar buttons, and more. Make HyperSnap-DX work like you want it to.

  • Freehand area capture function let you define complex capture regions by drawing around the portion of the screen you wish to grab. You can define completely irregular shapes by drawing them directly on the Windows desktop, across open applications, and anywhere your mouse cursor can reach.

  • Improved performance and flexibility, with up-to-the-minute features like detachable menus, toolbars, and palettes.

  • Multiple configurations and powerful command line tools directed at the power user and graphics professional, yet the program is so easy to use anybody can master the basics in a single sitting.


Where to buy HyperSnap-DX

Where to license HyperSnap-DX 5

Click the button above to visit our home page at www.hyperionics.com, then select the Purchase or Store link. We offer many different ways to order, including secure web forms, phone, fax and mail ordering, and processing of corporate purchase orders.

However, since the ordering information is likely to change in the future, and the copy of HyperSnap-DX 5 you downloaded may be several months, or even years old—we require you to access our web page for the most current ordering information. That way you don't mail in a form with the wrong price, or to the wrong address, and so forth.

International (non-US) users can also find a complete list of licensed Hyperionics software vendors all around the world on our web page, too.

Single-user registration limits:

These apply to one individual only, and running multiple copies concurrently on multiple systems requires the purchasing of a license for each computer system on which the program is to be installed and operated. However you can install it on multiple systems if only one copy at one time will be running.

See the Legal Information sections for the exact terms of our licenses.

Available license packages

We sell single user licenses for home and corporate use (with volume discounts, when applicable), and corporate unlimited site and world-wide licenses.

Our site license is valid for up to 500 users, all working for the same company/organization and at the same physical location.

Our unlimited world-wide license is valid for any number of users, all working for the same company/organization, and operating systems located anywhere in the world.


Other Hyperionics products

In addition to this fine product, we make several other powerful utilities. Drop by our web pages at which always contains links where you can download the latest versions of all of our programs or those programs that meet our standards so that we're confident enough in them to offer them for sale through our site.

At the time this file was written, here's a list of software we either have authored or sell on our site.

HyperCam™ - another quality product from Hyperionics. Hypercam allows you to record the action from your Windows screen as an AVI movie. You can include cursor movements and sound, and take advantage of many other options. HyperCam was designed with the same attention to quality and detail as was HyperSnap-DX.

FileBox eXtender™ - this product enhances the standard Windows file dialogs in a totally new, elegant and non-intrusive way—by placing small icon buttons in the title bars of these windows. The buttons provide easy one click access to your favorite folders and documents as well as to a list of recently used folders.


File menu help

New - CTRL+N - creates a new image document.

Open - CTRL+O - opens an existing image document.

Open features:

Notice that you can specify not only types of files to look for (filtering out other types) but you can specify how many pages to open within the program's workspace. In addition, there's a preview pane on the file open dialog that will give you a look at the image (perhaps greatly reduced, depending on its original size).

This lets you use the Open dialog to navigate through large folders of files, choosing the one you are looking for, even though you might not know its name.

Close - closes an opened document. If you've changed it but not saved it, you'll be asked if you wish to save your changes. If you've made a capture, but have not altered it, the capture will be discarded silently with no request to save it, unless you somehow edited the image.

Save As - CTRL+S - saves an image to a specified file name. You're presented with several options here that vary, based on the file type you select. These include the color bit depth, whether or not the file is to support transparency, and so forth. You can set the defaults for this box by defining each and then clicking on the "Save settings" box. That can save time later, when you may be doing heavy, repetitive work with many captures.

  • If you check the transparent box, the color currently defined as the background color will be set to transparent. Only certain file types support this special property, for example GIF and PNG files.

  • HyperSnap-DX 5 cannot append to a file format that does not support this feature. Append is typically only supported by GIF or TIFF formats.

  • If a feature (such as Progressive or Interlaced) is not supported by a format, that feature will be grayed-out and not available for selection. Experiment with the various settings using an image with which you are familiar and you'll get the best feeling for what each setting accomplishes and how it changes the final output.

Jumping labels:

The label for the Progressive or Interlaced function changes depending on which file type you're saving. If you choose JPG, the label changes to Progressive (a feature JPG supports). If you're saving to GIF, the label changes to Interlaced (supported by GIF).

Quality issues:

For example, a quality setting of 50% for JPG images is probably fine to e-mail a picture of your Airedale "Sparky" to a friend, but for something you'll be printing on a high-resolution color printer, you'll usually want the maximum quality available, such as 90% or even 100%. Leaving this setting at Keep Current and it won't attempt to alter the image's bit depth.

  • If you choose to save to GIF, which doesn't support color depths over 8 bits per pixel, HyperSnap-DX 5 will do the best it can to match a higher-depth image when it decreases the available colors downward.

  • If you check the option Select Best, the program will try to reduce the file to as small a size as possible without removing any colors that are in use. So if size is not an issue, Keep Current is probably the desired setting. If you're attempting to reduce the image's size to as small as possible but maintain quality, choose Select Best.

Upload to FTP Server - this slick feature lets you upload the current image to an FTP server to which you have "write" access. It will bring up the FTP server dialog, which contains several important settings. If you'll be going to use this feature, you should read the help available from the link below prior to trying to use it.

Acquire - connects to a compatible scanner or other image acquisition device and retrieves images from the device. You must have a Twain-compatible image acquisition source for this to be available. This menu item will load the software used by your device, and the resultant scans (or image downloads, for example from a digital camera) will appear in HyperSnap-DX 5's application workspace.

Select Source - this item lets you choose from available compatible scanning or image generation sources connected to your system. When you select Acquire, above, that controls the acquisition of images of the device chosen here.

  • If you only have one device, this function will only offer one selection.

  • If you have multiple image creation devices, such as both a camera and a flatbed scanner, you can change the "active" device used by HyperSnap-DX 5 by selecting it here.

Scanner issues:

Some scanners come with their own scanning software (in addition to their own drivers), and some software (like CorelDraw™) will install scanning software "on top of" the scanner's drivers. How well these packages work with HyperSnap-DX 5 may vary. In general, the scanning package that came with the scanner (or its latest update) will probably work the best.

If you encounter problems, and see multiple choices in the list for Select Source, but only have one scanner or imaging device, try to pick the software that was shipped by the scanner maker.

Print - CTRL+P - prints a document to your active printer. The printout will use the page setup options that you define in the Page setup dialog, discussed below.

Print Preview - displays the document on the screen as it would appear when printed, including proper proportioning, headers and footers, and other page-layout features.

Page Setup - selects page printing options. HyperSnap-DX 5 has extremely powerful page setup options. These include the standard items such as determining the paper size you want to use (make sure the printer is loaded with the same paper as you specify here) and advanced items such as reversing the black and white content during the printing process. You can examine the Page setup dialog itself, or click the Page setup button below to pop up its help section.

Printer picking:

This menu item (and its corresponding toolbar button) is where you'll select the printer you want the program to use, if you have more than one printing device. Your default printer may be a black and white laser, but you may have a color photo type printer that you'd prefer HyperSnap-DX to use.

Send by Email... - you can tell Windows to send the current image (which you'll be asked to save if you have not) to another party via Email. Obviously you must have Email for this to work.

During this process, a dialog will appear that lets you choose the file name to use, the file format to use, and other options. The functions here are similar to those you use during file saving operations, and should already be familiar to you. To speed transmission of E-mailed images, you might want to send highly-compressible image formats such as JPG, which can be very small but still look quite good. Formats such as BMP are often large, and if you have a slow E-mail connection, may take a long time to transmit.

Email settings:

These must be properly established for this function to work, mainly relating to MAPI functions. Should this menu item fail, the cause may be that your system doesn't have the correct E-mail components installed.

Sometimes installing Outlook Express (which comes with most Windows versions) will repair this common error.

Users of other E-mail products should check their outbound protocol and server settings and see if they are MAPI-compliant in the event they get an error message when attempting this function.

If you do not have a default E-mail client established, this menu item will not work properly.

Set as Wallpaper - this lets you choose to set the current image as your Windows wallpaper. Before you can set an image as your system wallpaper, you must first save it as a Windows format bitmap, the exception to this being Windows XP which will automatically translate JPG files into wallpaper.

During this process, you can specify (if you want) the file name to use, or you can browse to choose an existing file name and overwrite that name. From the Set as Wallpaper dialog you can set several properties for your system wallpaper, such as how it will be displayed.

  • Choose between Center (which displays it smack in the middle of your desktop), Tile (which multiplies it as many times across and down as required to cover the desktop), or...

  • Stretch (which elongates the image across both vertical and horizontal dimensions to make it cover the desktop).

If you want to remove the selected wallpaper, you can click the Remove Wallpaper button.

Exit - exits HyperSnap-DX 5. You'll be prompted to save a changed image if you have not already done so. Any changes you've made to background color, foreground color, highlight color, and other tool settings are saved automatically when you exit.

  • The last instance of HyperSnap-DX to exit establishes your configuration, so make sure all other instances are closed if you're changing things and want them to "stick" between sessions.


Edit menu help

Undo - ALT+BACKSPACE - reverses previous editing operation. You can do this repeatedly, within the limits of the program's Undo buffer. This "un-does" the last operation you performed, and then will reverse previous operations in the reverse order that they were performed, only If you've performed more than one change to the image. For example, if you adjust the color and don't like the result, immediately select this to "go back" to the previous version that existed prior to the color adjustment.

Redo - re-performs the previously un-done action. You can toggle the state of this and Undo back and forth to examine the last change you've made to a file as a way of judging if you like the effect.

Cut - SHIFT+DELETE - this "cuts" the selected region to the Windows clipboard. You must mark a region with the Select Area tool, it's the dotted box on the Painting tools palette. The area you cut will be "blanked out" with the background color you define in the Capture settings tabs or by using the Background color selector from the Painting tools palette. The default color for backgrounds and cutout regions is white.

Copy - CTRL+C - copies a marked region's data from the document to the clipboard, or if you've not marked a region, it copies the entire file's contents from the document into the clipboard.

Paste - CTRL+V - pastes data from the clipboard into the current document's workspace. You can move it by dragging it, but once you've stopped dragging and chosen another tool or moved to "view only" mode, the pasted material will become "glued" permanently on top of the previous image. (You can always Undo a paste using the Undo function.)

Paste as New Image - SHIFT+INSERT - if the clipboard contents are from a graphical source, they'll be pasted into HyperSnap-DX 5's application workspace as a new image (which you can then process and save using the program's features). If you've changed the currently-opened image but have not saved your changes, you will be prompted to do that first.

Copy Format - this function chooses which type of format to copy from the current image into the clipboard. Altering this advanced setting allows you to improve how well the data appears under certain circumstances. Generally only very advanced users will need to alter these settings in most cases. You may select what exact format type you want to be copied to the clipboard. These include device dependent bitmap, device independent bitmap or both. And you can change the color resolution of the image copied to clipboard. Finally, you can determine if you want this window minimized after copying is complete.

To see all of the Copy Format options explained click here.

Copy Both - copies both the DIB and DDB formats to the clipboard.

DIB only - copies only the DIB (Device Independent Format) to the clipboard, and strips the other format from the operation.

DDB Only - copies only the DDB (Device Dependant Format) to the clipboard, and strips the other format from the operation.

Auto select color format best for current display mode - let HyperSnap-DX attempt to choose which method to use, and which will look "best." This is the default setting, and probably a good place to begin. If you un-checked this, the Select Color Format options below become available.

Black and white (1 bit per pixel) - the smallest file format possible, for the most part, but also leaves out all color and gray information.

16 colors (4 bits per pixel) - a good compromise if you're copying something like a Windows dialog box, for example, which may be mostly gray and a few other colors and nothing else.

256 colors (8 bits per pixel) - if your destination may be a GIF file, a good place to set this.

16 million colors, (24 bits per pixel) - the highest available setting, essentially photo-realistic.

Minimize HyperSnap window on copy operation - forces HyperSnap-DX to go back to the taskbar or system tray during this operation.

Click OK to establish these settings, or Cancel to discard them.


View menu help

Full Screen - CTRL+PGDN - displays the current document using your full screen, hiding all other programs and HyperSnap-DX 5's interface.

Previous File - PGUP - loads the previous file in the current directory into HyperSnap-DX 5's workspace. This function (with the Next file function) gives you a quick way of jumping back and forth to examine files within a directory.

Next File - PGDN - loads the next file in the current directory into HyperSnap-DX 5's workspace. This function (with the Previous file function) gives you a quick way of jumping back and forth to examine files within a directory.

Think about it...

In a way, the previous two functions are like a big-window "preview" function, letting you quickly see the files within even a very large directory by hitting Page down and Page up to go forward and backward, respectively.

It's very easy to quickly scan through a working image directory to find the file you want using these two functions.

Toolbar - shows or hides the toolbar. Note that if you hide the toolbar, you will lose one-click access to certain features.

Status Bar - shows or hides the status bar. The status bar provides important information while you work, such as the function of menu items as you scroll through them, and certain values of the current image in the right-hand panes of the bar.

These panes will change to reflect the mouse coordinates as you move them over the image, making it possible to mark precise locations on your image should you desire this.

Drawing Tools - shows or hides the drawing tools palette. If you aren't drawing on your captures, and have limited screen real estate (such as with a system running at 640 X 480 resolution), you may wish to hide these tools.

The drawing tools are used to edit a capture (or a loaded image). To see what each tool does, hold your mouse over each icon on the drawing tool palette and a short description of that tool will appear, explaining what that tool does.

Customize - this function lets you set many aspects of the HyperSnap-DX 5 user interface to work in the ways you want it to. For example, you can define which toolbar buttons are shown, add new buttons from the available functions, customize menus by re-arranging them, hiding or changing items, customize the keyboard shortcuts and establish the overall look and feel of the toolbars and menus.

Because these features are so powerful, we've set up their own help section. For more information see Customizing HyperSnap's user interface topic.


Capture menu help

If you need help about the Capture settings tab, there's an entire section of this file dedicated to that complex dialog. This section covers the remaining menu items on that menu. Hot keys for each function appear to the right of the menu item (just as on the menu itself). If you don't change the program's Hot keys (see the Keyboard tab) those listed here won't change.

If you need help regarding those hard-to-do special captures, see also DirectX or Glide Capture (for computer games) or Video Player Capture.

Full Screen - CTRL+SHIFT+F - capture the image of the entire desktop and all applications visible on it. This is basically like the Print screen function that's built into Windows itself.

Virtual Desktop - CTRL+SHIFT+V - capture the desktop, including those on multiple monitors or in regions currently not visible that are provided by video drivers with "enhanced" desktops. Such captures are impossible with the built-in Print screen function in Windows, which only captures the current desktop, not the entire (even invisible) regions that may be scrolled off to the sides, top, or bottom, or on other monitors altogether.

Window or Control - CTRL+SHIFT+W - as you move your mouse, a blinking frame will appear around the target object. You can capture an entire window or just a predefined area within a window such as a control or button.

  1. Move to the window you want to capture.

  2. Click with your left mouse button to select and capture the region around which the blinking frame surrounds.

  3. Click your right mouse button to abort this function.

Button - CTRL+SHIFT+B - this function will capture a button, including toolbar buttons in many applications, most buttons on web pages etc. You may use it in 3 different ways:

  1. Select Capture/Button from the menu or corresponding toolbar button (if you customized a toolbar to have this function).

  2. After a short delay the cursor will change to a + symbol. Move it over the button you want to capture and click the left mouse button.

  3. Wait for a short while until the capture finishes and the HyperSnap-DX window reappears. This will capture a button in it's natural "resting" state, as if no mouse cursor was over it.

Or...

  1. Move your mouse cursor over the button you want to capture, and press your pre-selected hot key combination to activate Button capture. (By default, if you didn't change it, it's CTRL+SHIFT+B).

  2. This will capture a button in its highlighted, or "active" state, as if the mouse cursor was over it. Note that some buttons do not change appearance when you move the mouse cursor over them. Some perform what's called a "flyover" change, and may alter their color, font, and so forth.

Or...

  1. To capture a button depressed, move the mouse cursor over it, press and hold down the left mouse button, then press the hot key or key combination to initiate button capture.

  2. Note that now you'd need to press the hot keys with only one hand, so it may be wise to reassign the button capture hot key to be just one key, not the default CTRL+SHIFT+B combination. For example you can briefly make it just the F8 function key. You may reassign hot key under the Options menu.

Active Window - CTRL+SHIFT+A - capture only the "topmost" window, or the window that currently has focus. This is similar to the ALT+Print screen function that's built into Windows.

Active Window without Frame - CTRL+SHIFT+C - capture the "topmost" window, but do not capture its window frame, just the portion of the window inside of the frame. Great for grabbing the contents of a window without such things as toolbars, menus, and so forth. For example you can grab a terminal screen from an on-line session (or web browser) without getting the button bar or status bar.

Region - CTRL+SHIFT+ R - when clicked, a large cross cursor + will appear.

  1. Click using your left mouse button to indicate where you want to start the capture area, and then release it.

  2. Drag the outline to enclose the area you want to capture, and click the mouse button again. The size (in pixels) of the capture will be shown within the area.

  3. Click the left mouse button to complete the capture.

Free Hand - CTRL+SHIFT+H - this type of capture allows you to freely draw a bounding area (non-rectangular) around any part of the screen that you wish to capture. When you engage this mode, the cursor will change to crosshairs and you'll see a magnified preview of what you're capturing. Draw around the area you wish to capture and then press ENTER or right-click and select "Finish Capture" form the popup menu. You may also click close to the starting point to finish Free Hand Capture.

The capture will then appear inside HyperSnap-DX's window, with the area outside of your bounding region filled with the pre-defined background color you set on the Drawing Tools palette.

Pan Last Region - CTRL+SHIFT+P - you can capture a region the same size as before, but from any part of the screen. In effect, this function is like taking your previously defined region box and allowing you to "slide" it around the screen to choose another same-size area.

Using frames?

If you're fitting various captures into specific-sized frames in a document (using just one example to illustrate the usefulness of Pan...) this technique will make that work extremely easy. Each capture will be the exact same proportions as the previous region capture, only in a different location.

Multi-region capture - CTRL+SHIFT+M - this is an advanced form of capture, perhaps the program's most powerful. It allows you to grab multiple regions of the screen, with the unwanted space filled with a background color. See the Advanced tutorial about this for a comprehensive walk-through on how to use this feature.

Repeat Last Capture - F11 - this function repeats the last capture (including all settings and ranges) exactly as it was executed. Great for tracking a specific window that you want to track over time without repeatedly selecting it, etc. By selecting this multiple times or repeatedly pressing its hot key, you can grab the same region, window, or control over and over to display program progress, repeated terminal screens, or anything that changes within the same area or type of capture.

Extended Active Window - CTRL+SHIFT+X - this function is available only when running on Windows XP or newer. It captures the last active window, but before capturing it, prompts you how big you want to make this window first. You may specify any size you want, optionally even a size much bigger than the screen. Note that this will work only for resizable windows, or those windows which you may also resize with your mouse.

Use this function to grab a web browser window that shows the entire web page, even if it would be 4000 pixels high, or a spreadsheet table, even if you'd have to make the window 5000 pixels wide to fit it. The resulting capture may be quite large, though—and may consume a lot of RAM if sent to the clipboard.

Enable Special Capture - see DirectX or Glide Capture (for computer games) or Video Player Capture.

Capture Settings - loads the configuration tabs that allow you to define the options for capturing, making possible (for example) rapid repeat capturing with auto renaming, and other advanced features. The Capture settings tabs have their own entire help chapters, due to their many powerful features.


Image menu help

Crop - CTRL+R - once you've captured or opened an image, you can crop it within HyperSnap-DX. Click using your left mouse button to indicate where you want to start the capture area, and then release it. Drag the outline to enclose the area you want to capture, and click the mouse button again. The size (in pixels) of the capture will be shown within the area.

Resolution - the image resolution, usually expressed in number of dots per inch (DPI), affects the size of an image when it is printed or inserted into other documents (for example into an MS Word document). If you change the resolution to a higher value, each pixel will become effectively smaller, so the whole image, when printed or inserted into some document, will appear smaller as well.

Choose the value you want to use for both horizontal and vertical resolution in the dialog that appears. If you select different values for the two, your image will become squished or stretched (which may be what you desire, you can use this as an effect). In general, a resolution that's evenly divisible into or by that of the final intended display device will produce the best results.

There are two other properties you set on this dialog.

Apply to the current image - uses the values here on the current image.

Use as default for future images captured from the screen - sets the values here as those to be used from this point on.

Scale - you can resize the image using the dialog that appears when you select this item. From that dialog you can choose to resize via a percentage calculation, or by directly manipulating the pixel count of the image. Drag the percentage slider control left to make the image smaller, or right to make the image larger. Your changes are reflected within the image in HyperSnap-DX 5's application workspace.

Type in the desired pixel values for width and height if you would prefer that method, and click Apply to see the values applied to the current image.

You can set the image to the size of a selection rectangle, too, if you've made a selection prior to opening this dialog. To do this:

  1. Make a rectangular selection on the face of your image (keep in mind if you use proportions, called "Aspect ratio," that differ from the images values, the image will become squished or stretched).

  2. Select Image / Scale, to open this dialog.

  3. Click the button labeled Set to current selection rectangle.

Choose Apply to perform the operation, Revert if you're unhappy with the results, and if you're finished altering the image, click Done.

Auto Trim - CTRL+T - HyperSnap-DX 5 will examine the image and trim "blank space" from around the image. This is handy for removing unwanted white space from outside of the borders of a target image's contents. If you find it doesn't perform the desired trim, select Undo before performing any other functions to restore the previous result.

Stamps... - this loads a powerful feature where you can create and apply image (or text) "stamps" to your captures. You can set these to be applied automatically (for example, putting a copyright notice onto every game screen capture if you're a game author and are posting captures on your site), or manually.

The Stamps tool dialog has its own special help section. To read about the Stamps dialog, click here or choose it from the Table of Contents window to the left.

Methods of application:

The functions from here forward on the Image menu will operate on either the entire image—or, if you have selected a region—just on that selected region. If you apply these functions to a selected region, the tool will perform its function on the selection and then apply it back to the document.

Any "empty" space generated by the tool (such as a rotation) will be filled with the previously-defined background color. In this way you can rotate something in the within an image, or mirror something within an image, and so forth.

Mirror - this menu item has two sub-items: Horizontal Mirror and Vertical Mirror. When either is applied, the image changes into a "reversed" image, as if a reflecting surface was placed either horizontally or vertically, per your selection.

  • The Undo command (Edit / Undo or Control-Z) can reverse this effect.

Rotate - this menu has four sub-items: 90 deg. Right, 90 deg. Left, Flip (upside down) and Any Angle.

The Rotate - Any Angle item rotates the image by any angle. You may enter the angle as a positive or negative number in the range of -360 to 360 degrees. You can use the slider to rotate the image and immediately observe the effect in the preview display.

Angle of the dangle:

If the angle you enter isn't a multiple of 90 degrees, some background around the image must be added in order to fill the available space and make the image rectangular again. You can choose the color of this background with the Select Background Color button on the dialog as well as the background selector tool on the painting tools palette (on the toolbar) or on the Capture settings tabs.

  • The Undo command (Edit / Undo or Control-Z) can reverse this effect.

Shear - this function acts to "slant" the image along various axis points, as if you were rotating a picture on a canvas along the various planes. You can enter a direct value for this in degrees, or drag the slider to apply a dynamic value to the image. You can force the image to "lean" along a strictly horizontal axis by checking the horizontal box.

The effect here is as if you were rotating a standing canvas either toward you or away from you on a table top. If you un-check this box, the image's "canvas" will rotate on both vertical and horizontal dimensions, altering both the complete dimensionality of the image.

It's got to be a square, sorry.

Because the image will no longer be rectilinear, you'll need to select a background value to fill the space left when the original is modified. Choose this with the background color button on the dialog.

The default for this color (used for all fill functions) is set on the Capture settings tabs, but you can change it here.

Mosaic - this function applies a special effect to the image that makes it appear to be made of tiles. You can define the size of the "tiles" in pixels (they are always square tiles) by typing in a value or by scrubbing the slider back and forth.

The larger the tile size, the greater the distortion applied to the original image's appearance. The smaller the tile size, the less distortion and the more recognizable the image will be. Very large tile sizes will essentially blur the image totally so it's no longer recognizable. Low tile size settings can resemble those "hide the witness" videos used on television shows.

Emboss - you can give the image the appearance of being 3-dimensional by applying this special effect. First select the originating direction for the simulated relief. Then select the apparent depth of the relief in pixels.

Click here for embossing tips.

The deeper the relief, the more the image will appear to distort from the original, as if you had wrapped the a photograph of an object over a 3D model of the object itself. The effect varies greatly depending on the quality and nature of the original image.

Flatter images with lesser contrasts will show a smaller effect, images with moderate contrasts will show the most realistic effects.

High-contrast images may look the most distorted when this effect is applied. Experiment with the settings on this function, it can achieve some very interesting special effects.

Sharpen or Blur - This function sharpens or blurs (softens) your image. It may be sometimes used after resizing an image smaller, to enhance a little bit the clarity of text or other small detail.

Shadow - this function will add what looks like a 3D drop shadow to selected areas of your captures. It has several methods of operation, working either automatically using your preferences established within the Shadow dialog each time you capture, or manually, being applied around a selection.

Using the tools on the dialog, you can define shadow size, the darkness of the inner shadow (umbra), the outer shadow (penumbra), and whether this is added automatically to your captures. Because it's powerful, it has its own help section, accessed via the button below or via the main Table of contents section inside the ...important dialogs book.

to examine the Shadow dialog's detailed help section.

Frame - HyperSnap-DX can apply frames around (or onto) your images. These can improve your images, such as preparing them for inclusion into digital photo albums or just for fun. The Frame tool is easy to use and has a number of features that let you control how it looks. As is usually the case, experimenting with the tool is the best way to learn how it works and get the best "feel" for it. The frame can be auto-applied to every captured image, if desired, and can be made in virtually any color your system supports.

The frame preview window will give you a good idea as to how your frame will appear.

Note that if no image window is open when you open the frame tool, you're just setting the properties for frames applied from that point forward (and some options within the tool will be disabled, such as applying the frame to a selected portion of the image).

When you're finished setting the various frame properties, click OK to apply the frame either to the selected part of your image, to the image's outer margin, or to all captured images from that point on (depending on which options you checked).

Click here to see every feature of the Frame dialog explained.

Total frame width - set the width (in pixels) of the frame you want applied to your image. The wider the frame, within limits, the better the simulated 3D effects will appear. Below four pixels or so, and the frame may be too small for it to appear three dimensional.

Color - choose the color for your frame using either the eyedropper color picking tool, which can choose from any visible color on your desktop, or using the standard drop-down list available by clicking the downward-facing arrow button to the right of the eyedropper tool.

Preview background - choose the color for your preview background. If you pick a color that's similar to the image to which you'll be applying the frame, you'll get a better idea as to how it will look once applied to the image.

3D Effect - check this to have HyperSnap-DX make the frame appear 3D, with an apparent highlight and shadow in addition to its main color. By altering the settings within the 3D settings group, you can create any number of variations in appearance, from highly raised 3D to carved grooves.

Highlight color - choose the color for your frame's highlight "edge" using either the eyedropper color picking tool, which can choose from any visible color on your desktop, or using the standard drop-down list available by clicking the downward-facing arrow button to the right of the eyedropper tool.

Shadow color - choose the color for your frame's shadow using either the eyedropper color picking tool, which can choose from any visible color on your desktop, or using the standard drop-down list available by clicking the downward-facing arrow button to the right of the eyedropper tool.

Outer band - width - set the width of the outer "line" that makes up the frame here. You can define, also, if this line appears Raised (the default) or Sunken by checking one of the two properties to the right of this value. This will control how the program handles the appearance of "light" on the band, making the dark part appear on the right (raised) or on the left (sunken).

Inner band - width - just as with the Outer band, above, controls how the program handles the inner "line" of the frame's pixels. You can reverse the apparent properties of the band by changing Sunken (the default) to Raised.

Add around the current image selection - this is enabled if you have selected a part of your current image. When so, clicking OK after establishing your settings, the program will "box in" with the frame the selected part of your image.

Auto-add this frame to all captured images - instructs the program to automatically apply this frame and all its properties to your captures.


Color menu help

HyperSnap 5 - Color menu help

Color Resolution - using this dialog you can change the color "depth" of the active image. For some applications you may want to reduce the color depth or increase it to allow the inclusion of additional color information or make certain special effects operations look better. Possible values are from 1 (monochrome, a depth of either black or white) up to 32 bit, which contains every possible color plus a plane for transparency.

Choose how the colors are ordered in the data, selections being Blue-Green-Red or Red-Green-Blue. "Standard" windows bitmaps typically use RGB ordering, and changing this will have the effect of reversing the apparent color of the image.

You can effect how an image that is reduced to a level below "optimum" is dithered (which means colors "close to the original" are approximated by certain pixel changes). There are several possible dithering options from which you can choose here, and the final result will vary significantly based on the original image, its original color depth, and patterns within it.

For example, an image with a pattern of fine lines may not reduce well to a level where it must be heavily dithered, because the dithering will degrade the apparent resolution of the line content of the image. Your best approach is to move the dialog to the side so you can see your image, and click on the various dithering procedure radio buttons one-by-one until you see the one that handles your image's color reduction in the best fashion.

Choose the Bits Per Pixel you wish to use, and then select from the following options.

Palette options - choose from Optimized, Std Windows, Netscape (for web use), or Black and white.

Colorful destinations await you:

If you're creating a 16 color graphic for use in a Windows application, you should use the Windows standard. This means it uses the basic 16 colors that Windows "reserves" for use within its user interface are also reserved and used inside the graphic, if it needs a full 16 color set. This way loading of the graphic will not cause your system palette to shift, an undesirable characteristic that disturbs users running in low-color modes. This is less of a problem with newer computers, but previously was a big issue.

If the final destination of your graphic will be a web page, and you want it to look "accurate" for users of Netscape Navigator, you should select the Netscape web safe palette. Note that IE doesn't use the same palette.

Dithering Method - there are several patterns here, the default being None. If you do not dither an image and you reduce colors beyond the level required to correctly display the contents of your image, you may get "blocky" results.

Experiment with varying dithering methods (they all have pluses and minuses) and find the one that works best with the type of image you are creating. After trying a method, if you select Undo from the edit menu, you can try another, and continue testing until you find a pattern that best serves your needs.

Click on Revert to cancel changes to these settings and put the image's settings back how they were if you've decided to not perform the operation you were about to execute.

Pick a part:

You can perform functions from this point on within items on the Color menu by applying them either to the entire image or—if an area is selected—within just the selected area. This way you can convert part of an image to Black and white, or grayscale, and so forth.

Items above this point in the menu are "global" and affect the entire image.

Black and White - converts the current image to a black and white image. You can enter a black level between 0 and 100. A value of 0 means a white image, a value of 100 means a black image. You can drag the slider back and forth instead of manually entering a value if you prefer. This way you also get a preview of your changes in real-time.

The change to your image is reflected in the preview window provided on the dialog.

Halftone - applies a halftone screen (similar to shooting a screen for monochromatic printing) to the active image. You can change the angle of the screen (how it is applied across the image) by moving the slider control or entering a value into the angle box.

You may have to experiment with the screen angle to get the desired results, and every image accepts half-toning differently based on its complexity and type of content. Images with very fine line content, light colored text, or plenty of diagonal lines often do not halftone well.

Gray Scale - converts the image to grayscale, which is akin to a "black and white" photograph. The image's chromatic data is converted to values of gray. You may want to do this, for example, to print a color image on a laser printer that supports grayscale printing.

HyperSnap-DX 5's conversion may provide better results than the printer driver's engine when sending color images to a grayscale laser. This varies by printer driver an other issues.

Brightness - move the slider back and forth or enter numbers from -100 (black) to +100 (white) to alter the luminance of the image. You can adjust the brightness of your image (just like how you adjust the brightness on a TV) by using the controls here. Select a percentage to increase from the original, from no change to a 100% increase, or from no change to a -100% decrease.

Adjust your picture:

Working with Gamma and Contrast, you can use this to get washed-out or overly-dense images back into usability. You might have to twiddle a bit, but these can fix many old photos, or (for example) blocked-up images made on older color photocopiers that you've scanned into your system. Also early digital cameras often produced wishy-washy images, too.

Contrast - scrub the slider back and forth or enter numbers from -100 (remove contrast, rendering the image very "flat") to +100 (maximum contrast, deeply blackening the shadows) to adjust the image's appearance.

This function works exactly like the same-named control on your color television set. You can adjust the "knee" of the image to that it represents a greater or lesser range of contrast values. The effect here will be to "block up" the image (more contrast between dark and light areas) or "flatten out" the image (less contrast between dark and light areas).

Prop up those flat pictures:

Combined with Gamma and Brightness, you can correct faded, flat, or blocked-up images with the color functions. Old photographs, for example, often need much help with these values.

Hue - similar in some ways to the hue control on a television, you can alter the balance of the image across the "color wheel" by moving the slider back and forth or entering numbers from -360 to +360. The color wheel represents all possible color values across the spectrum in a circle, and the value represented here is the location of a virtual "pointer" on the full circle. The color at that location will become the central "bias color" of the image.

Geometric issues:

Note that 1, 0, 360 and -360 represent the same position, just gotten to by different directions of rotation, so there is essentially no change in your image. If you have 360 degrees of rotation, and you rotate backwards 360 degrees from your original position (which is defined as 1 or 0) then you haven't really moved anywhere significant, you've just spun around in a circle and now you're facing the same way.

Saturation - this function is precisely like the color control on a television. You can choose values of -100 (no chromatic value, a grayscale image) to +100 (maximum color value, extremely over saturated) by scrubbing the slider or entering the desired value.

Wet paint:

New to computer graphics? Think of Saturation as you would how "wet" a brush is when it's dipped in paint. The wetter it is, the more intense is the color on the canvas (or your wall, when painting time comes around). The drier the brush is, the less intense is the color.

Gamma Correction - this can adjust the "knee" of the image by increasing the apparent "light" content of the image. Imagine looking through a slide at a light source that is adjusted so it's either brighter (positive gamma) or dimmer (negative gamma).

Lost in the shadows?

A slight positive increase can bring out shadow detail that's gotten lost in underexposed photographic prints, if there's at least some information in the scan or image. A slight negative adjustment can make washed-out scans of old photos appear slightly better, in some cases, by making the blacks more crisp and dense.

Invert Black and White - this function reverses the "polarity" of black and white content in the image. If your image doesn't contain black or white components (for example it's solid colors with neither black or white) this function will have no effect.

Invert Colors - you can turn positive images (such as scans of photographs) into reversal color, and you can turn negative images (such as scans of camera negatives) into positive images by toggling their state here.

Substitute Colors - This dialog lets you pick colors and then replacement values to use to overwrite the original values. The dialog is easy to use, and if you need to replace colors in an image, you can be up and running in just a few moments. You Add a color to replace, then using the Old color boxes on the bottom left, enter a value—or use the color picker—to choose the color you want changed. Then using the New Color boxes, enter manually (or use the picker) select a color to use to overwrite the old color.

Swapping can get colorful.

The power of this feature is easy to miss at first glance. But think about it for a moment and you'll see just how powerful it can be. It can turn a positive black and white image capture into a negative, can "remove" solid color areas from an image almost like a "matte" program, and do any number of things. The "programmatic" nature of the function (being able to set up multiple colors to swap or replace) makes it a very resourceful tool almost without bounds. Things that took you a half hour before (such as dropping out a background) can now happen automatically.

You can substitute one or many colors during this operation. For example, you could change all white pixels (values 255 255 255) to black pixels (000,000,000), and all pure red pixels (255,000,000) to pure blue pixels (000,000,255). "Program" in as many changes as you need by clicking the Add button every time you need a new function.

In addition to changing, you can swap colors by choosing Swap, below the color value boxes, instead of the default Replace. This is like "passing the butter" on the table and giving the "bread" in exchange.

If you're doing a group of captures and want, for example, to have the process you specify here applied to all images, check Automatically apply to all captured images. This is a slick way to have a purple background (for example) cleared away on a collection of desktop captures destined for publication (for example). You can have your purple desktop turned to white (or black) after capture and during the subsequent saving.

Click Delete to remove a substitution instruction from your list. Click Delete All to clear the list of all substitutions.

This dialog lets you save programmatic lists of color substitutions (just like you save image files or stamps). Click Save List to save your current list of color substitutions as an instructional file.

Open List will open a saved color sub. list you may have saved. Save List will save a new color sub. list as a new instructional file.

Apply uses the instructions on the current image and makes the colors swap or replace with the values you've specified. Revert cancels the last color sub. changes you've made.

This function can also be "automatic" if need be, being applied to every capture you do. Check Automatically apply to all captured images to enable that functionality.

When you're finished, click Done to close the Color Substitution dialog.

Unique Colors - although an image may be defined as a 256 (8 bit) or 16 million (24 bit) color, it may actually only have a limited number of the available colors in use. To view that value here, activate this function.

Guide to color dipping:

If you're about to change the color resolution (also called color "bit depth" of an image, sometimes previewing the unique colors in use may provide a key as to how far down in total color count you can go before the image degrades beyond use. For example: a 256 color image with only 30 colors in actual use can probably be dropped to 16 colors without terrible degradation—but a drop below that would not be desirable and would produce a scratchy-looking dot-filled mess in most cases.


Options menu help

These settings control how the program interacts with your system (for example replacing the default Windows Print screen function), as well as how the program will appear on your computer's desktop and respond to key presses. An exciting feature is the ability to control the program using Microsoft's Voice Command API. For a complete list of available voice commands, click here.

The second item on this menu is simply an "enable/disable" function. It does not load any dialogs, and its functionality is like that of a light switch, really. It's labeled Activate Hot Keys. If this menu has a check next to it, that instance of the program will respond to the appropriate hot keys as defined in the Configure hot keys dialog. If the menu item is un-checked, it means that hot key support for that HyperSnap-DX window isn't enabled.

There's a related toolbar button that serves the same purpose, too. This makes it easy to toggle "on and off" the hot key support. So if you need to use a program for a short period and that program has fixed hot keys, one of which conflicts with one of HyperSnap-DX's, you can disable hot keys, use the other program, close it and then with a single click, re-enable hot keys.

To locate this button, hover the mouse over the toolbar until you see Activate Hot Keys appear in the toolbar tip.

This section of help covers all of the Options menu functions with either a sub-topic accessed by a button, or by brief help right here.

A note about multiple instances:

if you run multiple instances of the program, only one copy can respond to hot key requests. So if you check this menu item (or depress the Activate hot keys toolbar button, or set that option to "on" from the Configure hot keys dialog) on instance number two (for example), instance number one will lose its ability to trigger captures from hot keys. You can toggle it back on again, but this will then disable hot keys on instance number two.

This makes sense if you think about it for a moment.

Activate Voice Commands - NUM Plus - like many powerful tools, HyperSnap-DX has voice command support. Check this to instruct HyperSnap-DX to enable control of the program through Microsoft™ speech recognition technology. This function allows you to capture (and manipulate images) using voice command technology. By speaking the name of a menu item you can activate that item, and thus use the program without keyboard or even mouse access in some cases.

Voice commands may not be available.

The Voice Command Interface (VCI) available in HyperSnap-DX and higher uses the Speech API 5 (SAPI5) programming interface. This interface is a standard component of Office XP and Windows XP. Users of earlier versions of Windows who'd like to use VCI will need to download the voice support components or order a CD from Microsoft and install the required files into their systems.

The minimum set of files necessary for VCI functionality to work in HyperSnap-DX is about 50 MB, so it's a long download, and if you're using a slow modem connection, ordering the CD may be better. DSL users probably won't be bothered by the large file size.

You might want to order our Hyperionics Download-Saver CD for $9.95 plus shipping, which contains both the SAPI5 Runtime and the latest versions of several Hyperionics software products (only fully released English language versions, there is no beta-test code on the CD-ROM). Visit www.hyperionics.com for more information about this.

To learn more about SAPI5, drop by Microsoft's speech technology web pages at: http://www.microsoft.com/speech.

Accessed by the button below is a complete list of available voice commands you can use from within HyperSnap-DX once this feature has been enabled, (and of course the required system components have been installed, too).

If several SAPI5 applications using a similar set of voice commands are running, you must proceed each command with "HyperSnap" to make sure that HyperSnap-DX gets the command. Otherwise your results may be unpredictable.

Control Mouse with Keyboard - this feature lets you drive the cursor for fine operations without using a mouse. You can effect mouse cursor control with only the keyboard. This gives you great pixel-level accuracy when you're drawing, copying, cutting or pasting images within the HyperSnap-DX window.

The following keys become active when the Control Mouse with Keyboard option is enabled:

Arrow keys - move cursor up, down, left or right by 1 pixel.

Tab - hide/show mouse cursor (when cursor obscures part of the drawing you need to see)

ENTER - simulates a left mouse button "down" function. When you press the ENTER key once, the mouse cursor blinks. This informs you that HyperSnap-DX thinks that you're pressing the left mouse button (for drawing, drag-drop operations etc.) even though you don't really have to press the left mouse button.

Now you can move the cursor using the mouse—or the arrow keys—to draw, select or drop what you need with great precision. The mouse is for large moves, and use the keyboard for very fine adjustments you may find difficult with the mouse or trackball. (Such as moving a cropping bounding box out by one pixel just to the right—something that's especially difficult with most mice.)

When you're done with the current function, press the ENTER key again to simulate "left button up" or click the left mouse button for the same thing.

Zoom in/out with CTRL key + mouse wheel - you can turn your mouse wheel (if your rodent has one) while holding the CTRL key to let you zoom in or out of an image. This works like the magnifying glass tool on the drawing toolbar.

Startup and Tray Icon - this sets options for how HyperSnap-DX shows its icon. You have several options for how the system handles the program, and how the program interacts with your operating system.

Check Auto-Start with Windows if you want HyperSnap-DX to always be available. If you've asked it to handle the Window print screen keys, you'll probably want this checked, too.

Check Always start minimized if you don't want to see the interface upon loading, but you want it available as an icon.

Display system tray icon, hide taskbar button when minimized sets the program to conserve space on your main icon taskbar by jumping over to the little rectangular tray area where the clock is. A related option, Do not exit when clicked on "Window Close" X button, prevents you from accidentally killing the program by clicking the X button. It's easy to do this when you really mean to minimize the program, so this is a good option to check,too.

Click OK to establish your startup and icon settings, or Cancel to abort.

Default Image Resolution - use this dialog to establish the default resolution used for captures. You can control the default settings here for all future captures. You also can override these settings during "custom" captures and change them post-capture with the image processing tools on the Image menu, too.

The setting here will be defined as your "starting" point. It defaults to the DPI of your system video driver.

Horizontal Resolution define a value here that provides you with the resolution you require for your application of most images. A good start for SVGA users (1024x768 pixels screen size) is 96 DPI. Users running less than SVGA should probably use 72 DPI.

Vertical Resolution is handled the same way as Horizontal, above, and the two should generally be equal to prevent distortion. However, in the case of your destination being a printer with "non-square" resolution (for example, 600 lines of Horizontal and 300 lines of Vertical) you could pick a non-square value for these two and you'd get good results, because they'd match the printer's capabilities.

Apply to the current image is simply a quick way of applying what you enter here to the image open in HyperSnap-DX at that time and then setting this as the starting values, too. You can also apply this using the Image menu item, Change resolution.

Use as default for future images captured from the screen sets the options you've defined here to be used from now on for all captures. You can override these during post processing if you desire, using the Image menu's tools.

Click on OK to complete your changes and set the values you've defined here.

Image Position and Background - allows you to select a Background Color and Hatch Color and pattern for the portion of HyperSnap-DX window that's not filled with a captured image. You can decide if you like the image positioned in the top left corner or centered, when the capture doesn't completely fill the application's window.

The background color and hatch values could be important when you want to test image transparency. On the Background Color button of the HyperSnap-DX drawing toolbar, you can select one color from the image and make it transparent, so that when an image is saved in GIF format (which supports transparencies) and is later displayed in a web browser window, the web page background will show through the image in places where the specified transparent color exists.

By changing the HyperSnap-DX image background here, you can thus test how this image will look on different colored or textured backgrounds, giving you a better feel for how it will appear on the destination web page when a reader views it.

Office XP Style allows you to toggle between an Office XP-like look for HyperSnap-DX's toolbars and menus, or a classic look for these items. Choose whatever style you like best. The change is immediate and doesn't require you to re-start the program.

Register File Types - this function allows you to set Windows so that when you double-click the selected file types listed here, the system will use HyperSnap-DX to open (and thus view or edit) those specific file types. This allows you to quickly choose which files are sent directly to HyperSnap-DX and which file types are edited or viewed by other graphics utilities you may have.

To have HyperSnap-DX be defined as the program to open (and thus view and edit) any of the listed files, simply check the box to the left of that file type. Once you've closed the dialog, the selected types will be registered with the system as HyperSnap-DX files. The setting change takes place immediately.

Available types the program can associate itself with include: BMP and DIB, GIF, JPEG/JPG, TIFF/TIF, PNG, LEAD (CMP), TARGA (TGA), and WPG (Word Perfect Graphics format). There are two other options to set on this dialog.

Open each file in the same window causes HyperSnap-DX to re-use its currently-open (or first-opened) window rather than opening multiple incidences of itself.

Open each file in a new window causes HyperSnap-DX to open as many incidences of its main window as you need to view the files you are double-clicking.


Tools menu

This menu contains links to user-definable tools you can get from third parties. It is, essentially, a mini "shortcut" menu you can build.

At this writing only one item is added to the Tools menu during HyperSnap's basic installation, and that's a link to an image morphing tool called Morpheus. Users of HyperSnap-DX can get and install a free trial of Morpheus. Follow the instructions on the link to obtain and install this tool, if you wish to do so.

The functions of the tool menu are added from within the Customize Tools tabs, each of which has its own section of help. You can jump to any of them using the links below, if desired. Or open the Customizing the interface help book on the Table of contents and browse through the tab sections there.

Commands tab

Toolbar tab

Tools tab

Keyboard tab

Menu tab

Options tab


Window menu help

Window menu

This menu lets you control how HyperSnap-DX handles open documents. Release 5 has some slick new features that include a tabbed interface, which you access from the main program window. If you open at least two files (why not do that now?) and then look at the bottom of the window, you'll see tabs showing the filenames of each open file.

To work on one of the open files, click the tab corresponding to the file you wish to process. The contents of HyperSnap-DX's workspace will change to show you the new file. This way you can quickly jump between multiple open files. You may also use the standard Windows "switch documents" function keys of CTRL+TAB, too. Pressing CTRL+F4 closes the current file.

Window arrangement items include Cascade, Tile and Arrange Icons. These should all be self-explanatory even for novice users. Below the divider line is a list of open files, with a checkmark graphic displayed to the left of the file currently being edited or viewed.

At the bottom of the Window menu is a powerful function that allows you to manage large lists of open windows by assigning them into groups. Lets say you have eight windows open, but want to close four of them scattered through the list.

  1. Click on the Windows menu Windows item.

  2. Select the windows you want to close, hold Ctrl key to select more than one at a time.

  3. Click the button that says Close Window(s). Just those four will be closed, leaving the other four files or captures available for editing.

You can use this process to switch to the checked window on a list by hitting Activate (or "bring up" from an icon multiple windows), you can use this to Cascade only the selected windows, or perform any of the listed functions on just the windows you wish to manage.

If you've got a lot of windows open and want to "clear the decks" to clean things up, select all of your open files and then click on Minimize. They'll all be sent to the iconic state within HyperSnap-DX's interface.

Between this and the tabbed window controller on the application workspace, you've got very complete control of your working environment.


Help menu help

This section contains links to the file you're reading now, as well as quick links to help contents and searching functions.

Contents - loads the help file at the table of contents tabs. From here you

Tutorials and More - loads program tutorials and advanced guides. The sub-menus offered from this may change dynamically as the program improves, so examine the program's offered items here to see what's available.

Check for New Version - if you're connected to the Internet, the program will see if you've got the latest version. You may download and update to the latest release to benefit from new features, bug-fixes, and other improvements.

Registration and License - license the program or enter your keys here. If you're about to sell your computer, but want to leave a review copy of the program on the system for the next user, you should click the Delete this License button on the dialog that appears from this menu item. That will "un-register" the installed copy.

Equally important, you should back up your license by clicking the Backup this License button. You can copy the license data to a floppy or other location for safekeeping. It's always a good idea to do this, should a hard disk failure or other problem corrupt your system.

Credits - shows the list of Copyright and other credits for the software.

About - shows the version information (important to know if you'll be requesting user support).


Stamps dialog

This dialog and the other tools within it allow you to create stamps that you can apply to your images. Once applied, from within the HyperSnap-DX window, you can "grab" a stamp with the mouse by left-click-drag to place it in whatever location you prefer. (You can even drag it part of the way off of the image if you wish to clip off some of the stamp's contents.) Empty background area that appears under the stamp when you relocate it will be filled with the default background color.

Stamps Folder: - this shows you the current "in-use" stamps folder HyperSnap-DX is pointed to. You can change this using the Browse button. Navigate through your system to locate the folder you would like to use to store stamps.

You can have up to 40 stamps in a folder. If you have more than that, they won't display properly. If you need to have more than 40 stamps total, make folders that allow you to categorize them. Then change the stamps folder the program uses to one of the other folders you've created to load the various stamps you need as you work.

New Stamp - click this to begin the process of creating a new stamp. This loads the Edit stamp dialog, a subset of the Stamps tool.

Stamp Name - this appears on the entire set of tabs. You define the name here by typing whatever you like. The program will automatically increment the name(s) for you if you want, with Stamp 2, Stamp 3, and so forth. If you do not want this to happen, enter your own name.

Check the box to the left of the stamp's name to have that stamp be applied automatically to your captured images. You can have any number of stamps auto-inserted on images.

Edit - Click this to enter the Edit or New Stamp (both called Edit Stamp) tabs. Once there you'll see several other buttons and controls as part of the Edit stamp tabs grouping, covered below.

One important tip is that you can change an "applied" stamp (for example its text font or color) so long as you don't change the underlying bitmap in any way (such as creating a new selection, drawing anything else on the image). The stamp is editable (by double-clicking it) until you alter the base bitmap. At that time the stamp is now "fixed" as part of the bitmap itself, and will not be editable except in the case where you want to crop it off where it was applied "outside" of the boundaries of a bitmap. So don't make any other changes to the base image until you're sure the stamp looks the way you want it to look.

Preview - gives you a quick look at how your sample will look in action, leaving out the image to which the stamp will be applied. You can also edit the stamp's size and proportions within the preview window, too. You do this by dragging or sizing the stamp's

Delete - deletes the selected stamp from your collection. This is not reversible, so be careful, and make sure you've marked the one you really want to delete.

Insert - applies the selected stamp to the current image in HyperSnap-DX's workspace.

Stamp creation / Edit tabs

The features of New Stamp and Edit Stamp are essentially the same, and are broken out into multiple tabs, all of which are explained below. The only difference between New and Edit is that the New Stamp dialog asks you for a name on the bottom. Edit stamp uses the pre-existing name, and of course you should have selected a stamp within the stamp list prior to clicking Edit Stamp.

On the bottom of the tab sets are several other functions that are important to explain, too.

Save stamp - when this is checked, you're creating or saving a stamp which will then go into your database of available stamp tools. You can then use it later in another project, on another image, as you desire. Note that if this is checked, you must apply the stamp manually to the current picture by choosing the stamp tool from the painting tools palette and then apply it to the image. If you check Insert and save, below, the stamp is both saved and applied to your image in one swoop, when you click OK to close out the stamp edit/create tabs.

Insert on picture - when this is checked, you're creating a "one time use only" stamp to be applied only to the current picture in HyperSnap-DX's current window. The stamp is not saved for future use on other images.

Insert and save - one-stop-shopping is the bargain with this check box. Checking this and you are both creating a stamp, and then without adding further steps to the process, HyperSnap-DX applies the stamp to the current image.

At any time during stamp editing or creation, you can click the Preview button to get a look as to how the section you are working on will look when applied. (It won't show the image "under or above" the stamp, which it may have no way of knowing about, it will just show a representation of the current stamp tab's image, text, frame, and so forth.

Click each tab's name to open up help for that New Stamp or Edit Stamp configuration tab. Click the tab name again to close it to conserve screen real estate or when you're done with that topic.

Image tab

Deep bits.

The bit depth of this image should be equal to, or less than, the image to which your stamp is applied. If you are applying a stamp with a truecolor background image to a 16 color original, the stamp background (and perhaps font colors) will be altered to match the destination file's format. If you apply a color stamp with color fonts to a grayscale image, then the stamp will be converted to grayscale at the time of application.

From Selection - click this to load a picture fragment currently selected in HyperSnap-DX document window. If there is no visible selction, the stamp will use the entire image from HyperSnap-DX document window.

From File - click this to load an Open Picture dialog, which will allow you to select any supported image file format to use as the source of your stamp.

When this dialog appears, it has several important options. These include, of course, the file name, a file filter drop-down, which allows you to choose which types of file(s) to preview in the Open Picture, and Page number to open. The latter is a value, which defaults to 1, allows you to choose from available pages in multi-page images formats (such as animated GIF files).

Finally, the Open picture dialog has a check box Enable Preview, which allows you to see what the content is of the file, or subsequent pages of multi-image files you may elect to preview, by changing the number in Page number to Open. If you un-checked Enable Preview, the the dialog will operate a bit more quickly on larger files, but you will lose the ability to see your chosen frame of multi-page formats beyond page one. Click OK to open that file as your stamp source, or Cancel to abort.

Edit Image - drops you back into HyperSnap-DX so you can alter the chosen file. When you're done, save it and re-enter the Stamps dialog to continue with your changes. (The first time you do this, it may be a little disconcerting to see your stamp project "go away", but you can come back to it.)

Use this image on the stamp - check this to use the selected image on your stamp as a background. The source of this can be either a selection, which you can make within this tab which previews your active image upon checking From Selection, or From File, which loads a file browsing dialog.

Text tab

Font formatting tool buttons - use the buttons to format the text or fields you apply to your stamps and images. The font selector button lets you choose a font, including in those choices all of the typical options in the Windows common font selection dialog. The paragraph buttons and B I U buttons allow you to apply paragraph formatting to the text you've typed (or wish to have the fields place into your image).

Eyedropper tool - this tool lets you pick a color directly off of any location of your Windows screen. It will enable a set of screen-width crosshairs, with a dropper at the center. Locate the dropper over something that's the color you wish to use and then click your left mouse button. The color under the eyedropper will appear on the eyedropper button. Alternately you can click the downward-facing arrow on the eyedropper to choose a color from the standard Windows color selector panel.

Date button - check this to insert a programmatic date field into your text block. This is dynamic and will be applied to the image at the time the stamp is put onto the image. The format used is the current standard Windows date format (which may vary from one country to another). You can also directly type this in by entering %date% in any text string you desire. For example you could have a stamp that has the following text:

Copyright by Hyperionics %date% All Rights Reserved

Time button - like the Date button, used to insert a date field, %date%, into your stamp. It works just like the Date button in that the actual text applied to the message is dynamic, and also uses the time format set by the current system properties in Control panel, International settings, date and time.

File button - applies to the stamp the current filename of the image. Important note: if your filename is very long, and the image is very small, your stamp will cause HyperSnap-DX to add so much material at the top or bottom as to degrade the aesthetics of the image. Experiment a bit to see what font size and other formatting issues work best with various image sizes. Play with a test image and various font sizes in order to get to a good solution prior to using this tool with very long filenames.

Path - Like the file button, will insert the current image's path name. You can also put the File and Path fields together as, %path%%file% in order to get a long representation of the file's operating system properties, such as C:\Program Files\HyperSnap5\image.jpg.

User - applies the user name of the currently-logged-on user. So for example if the Administrator is logged on, it would add "Administrator" to the new area of the image the stamp creates. This function operates like the File, Path, and Time buttons, essentially.

Use this text on the stamp - check this to apply the text or special "fields" accessible from the buttons to the right to your stamp (and thus to your image). When unchecked, no matter what text is on the tab, it will not be applied to the stamp or image. The text can be formatted very much like that in a word processor, with multiple alignments, fonts, and colors being supported, in addition to powerful field functions such as date, time, and so on.

Frame tab

Frames are 3D rectilinear objects that HyperSnap-DX can apply around an image applied as a stamp, or you can manually drag the frame to fit within whatever square or rectangular shape you want on top of an image. (Handy for framing an image "within" another, such as a picture of a picture.)

Frame color picker - this loads the eyedropper tool to pick the frame color from any visible object on your desktop. You can also choose a color from the standard color picker drop-down that appears when you click the downward-facing arrow to the right of the eyedropper graphic.

Background color - working as does the Frame color picker tool, you can choose a background color from either anything visible on your desktop or from the standard color drop-down.

Make it transparent - when checked, makes the background of your frame transparent so the image below will show through.

Frame width (in pixels) - setting this to zero disables the frame portion of the stamps dialog. This is the same as un-checking the "use this..." box on the other tabs within the Stamp create/edit tabs.

Image position (pixels) boxes (Left and Top) - establish the left and top coordinates in pixels of the picture selected on Image tab relative to the upper left and top edges of your stamp. You can adjust these two values to make the picture appear where you'd like within the stamp.

Text margins (pixels) boxes (Left, Top, Right, Bottom) - adjust the margins around the perimeter of your stamp's frame so that text doesn't "bang into" the frame. Provides breathing room for the text contents of the frame.

Stamp size (pixels) boxes (Width, Height) - set the size of the finished stamp here by entering pixel values for its width and height. You can do this also graphically by clicking the Preview button and then resizing the stamp window that's displayed there.

Set to image size - click this button to make the stamp size to match exactly the size of the picture selected on Image tab.

Placement tab

Place at current selection - checking this HyperSnap-DX will insert the new or editing stamp at the location of the current selection on the current document in HyperSnap-DX's window.

Extend picture at top (add as a header) - the stamp gets "glued" onto the top of the current image as a header, as if you'd extended the image's background at its top edge and then applied the stamp there.

Extend picture at bottom (add as footer) - the stamp gets "glued" onto the bottom of the current image as a footer, as if you'd extended the image's background at its bottom edge, and then applied the stamp there.

Place on the picture - inserts the stamp directly on the image, overwriting the image's contents with the stamp's contents. When you check this, some other functions relating to the Offset of the image, are enabled.

Offset (Horizontal and Vertical) - specify here the offset you'd like to use when applying this stamp when you are placing the stamp on the picture directly. If you don't specify offset, the stamp is applied to the upper left hand corner of the image. If you apply values here, the stamp is "shifted" by the values you specify here. These two values are modified by the selectors below the Offset boxes, which allow you to choose from which locus of the image you wish the offset to be applied.

From picture (offset application starting point) - these allow you to specify the "starting point" of the offset you wish to have applied. You can have the stamp shifted from the locations listed here (Top-left, Top Center, and so forth) by the values listed in the Offset entry boxes, above. The combination of these "points of origin" boxes and the offset values allow powerful control over placement of your stamps.

Blend (Transparent to Opaque) - use this slider to control how much your stamp (both image and text) blends in with the base image. It can be set to be Opaque, or have no blending, to Transparent, which is 100% blending with the base image.

Auto-add this stamp to all captured images - tells the program to use this stamp when you save any images using HyperSnap-DX. Great for the application of copyright text to game screen captures, or for other "production" uses where you'd like text or other data to be applied without any other action by you. This can save a lot of work when you've got to create a bundle of captures for public release or other purposes, and you want to declare ownership, authorship, and so forth. This is the same as "Auto Insert" tick box on the main "Edit Stamps" dialog box.

Click OK to either save your edited stamp, or create your new stamp, and close the Edit stamp dialog. Remember that you must apply a name to the stamp if it's a new one, prior to saving.


Shadow dialog

You can use this dialog (on the Image menu) to add shadows to your images.

Shadow Size (slider) - drag this slider to set your shadows to be either closer or farther away from your selection. The shadow will appear as in the preview pane in the Shadow dialog.

Inner Shade - drag this slider to set the darkness of the shadow's umbra, the core of the shadow. Dark increases the apparent contrast of the shadow, making the light "causing it" appear more "harsh and sharp." Light makes the shadow "softer" and the light it is imitating appear less harsh.

Outer Shade - drag this slider to set the darkness of the shadow's penumbra. Dark makes the shadow appear less realistic, and more "solid." Light makes it appear more "gentle" and more realistic.

If you reverse the Inner and Outer shadow settings, you'll get an interesting look that makes it appear as though a "light source" is below your selection.

Add around the current image selection - checking this tells HyperSnap-DX to apply the shadow to the image currently loaded into HyperSnap-DX workspace. The shadow will be added around the current selection on this image, or to entire image if selection is not visible.

Auto-add this shadow to all captured images - if you're doing a collection of images where you'd like this shadow to be used (for example a photo album of screen captures), checking this box will force the program to apply the shadow automatically, without any additional effort.

Preview pane - this pane allows you to see how your settings will look, although the background here does not resemble the image or the currently-selected area, it's just plain white.

Click OK to make your changes go into effect, or Cancel to abandon them.

To print this topic, right-click this window and select Print.


Capture hot keys dialog

Screen capture hot keys dialog

Here you can set the keys that control HyperSnap-DX 5's functions. Most users won't need to change them from the default, but if you wish to (because of a conflict, for example, with another program you're using, or a conflict with a Windows shortcut hot key) it's easy to do.

  1. Examine the list of available functions, and click the button to the right of that function to change its hot key.

  2. When you do this, a box will appear, and with the cursor inside that dialog, press the key combination you wish to use for that function, or press the Backspace or Delete key on your keyboard for "None" (no hot key defined for this function).

Hot keys must be exclusive to each program that's running.

This is probably obvious, but make sure that none of the key combinations conflict with other programs you're using, or Windows hot keys used by the system itself (such as CTRL+ESC which opens the Start menu).

Click OK to approve the changed keystroke.

Repeat this process for every function whose key combination you wish to change.

Handle Print Screen Key - check this to have HyperSnap-DX 5 take command of the standard Windows Print Screen function key. If you enable this, the program will control these functions and put captures made using Print Screen into its workspace in addition to captured screens going into the Windows clipboard, as they do with the built-in Windows function.

Enable Hot Keys - check this to let HyperSnap-DX 5 use its hot key functions. If you un-check this, the hot keys are disabled, and you'll have to use the mouse or HyperSnap-DX 5's menus to control capturing functions.

Clear All - click this to "blow away" all of the definitions for hot keys. This is handy if you want to completely shift them around, for example reversing a key combination between functions, which is impossible unless you clear them (the error-checking in the program won't let you set two functions to the same keys). If you do this by mistake, the Defaults button, explained next, will restore the default settings, and the Revert button will get back your previous custom settings.

Defaults - if you change the key combinations and later decide you don't like them, click this button to revert the program back to its start-up settings. Note that your changes will be lost for every hot key you've set.

Revert - click this to "back up" the hot keys to the previous settings prior to the last changes you have made. This is like an "undo" function, and allows you to keep your previous custom key settings while discarding any experimental changes.

When you're finished, click on Close to complete the changes to your hot key combinations.

To print this topic, right-click this window and select Print.


More help about page setup

Page setup dialog

HyperSnap-DX 5's page setup contains quite a few advanced features. Here's an explanation of each, in the approximate order that it appears in the dialog.

On the top of the properties page is a preview of how your settings will look. This changes in real-time as you modify the properties on the sheet.

Paper size - this controls the selections of paper the program will use to format the document as it prints it. This must match what's actually in your printer or what you print will not come out as you desire. Drop down the list to examine the available sizes.

Paper source - this controls from which tray (for printers with multiple trays) that the program will select paper. Very handy if you want to do "test" printouts using plain paper in a lower tray, and "final" printouts in clay-covered paper in a top tray.

Orientation settings - select either Portrait (the "standard" way you print most things such as a letter, Landscape (like a spreadsheet), or Best Fit. With Best Fit, the program examines the proportions of the image and automatically determines which would best work with your document, trying to maximize the appearance of the image in respect to the aspect ratio of the page.

Header and Footer... - click this button to define header and footer text to use on the pages. On the following property sheet that appears you can define the text and position of the headers and footers, all of which is fairly self-explanatory.

Margins - define the margins that you wish to use. Note that you cannot define a margin beyond those supported by your printer. Consult your printer's documentation for the exact numbers here.

Margins of error.

You can define margins wider than your printer supports (that is, farther in on the page) but you cannot define margins that attempt to print content farther out towards the edge of the page than the printer supports. Typically inkjet printers need at least a half inch, and lasers can sometimes print within one eighth of an inch, sometimes all the way to the edge.

Due to paper handling, some printers need a larger margin at the bottom of the page than at the top. If you print in landscape mode this means that your right margin will need to be bigger than your left which can affect the visual centering of your image

Center image - check this to have the program place your image directly in the center of the page. If you're not going to trim off the white space around the image, this is probably a good idea to check (it will make the image appear more nicely formatted on the page, in genera).

Colors - here you can control certain functions such as Inverting black and white (just like what it sounds), Black and white only (converting the image from color or grayscale to black and white, which allows you to print color images to printer drivers that do not support them, such as dot-matrix printers), and Draw frame, which puts a border around the image. That's handy if the image contains white area that might cause it to blend in with the page's background.

Scaling - choose from either Auto-fit to fill the page, maximizing the image on the paper, or Scaling, where you can select values from 10000% to 1%. If you check Auto-fit and the image is too large, the program will scale down your image until it best fits on the selected page size. This choice makes the size of the image relative to the size of the paper selected, too.

Printer - using this button, select the printer you wish to use. This choice will change how the printed image is handled. For example if the default printer is a grayscale laser and you select a printer with color capabilities, then you might wish to make sure you have not converted the image to black and white.

You can click OK or Cancel, either setting your changes as the defaults, or discarding them.

To print this topic, right-click this window and select Print.


Quick tutorial

Capture types

HyperSnap-DX 5 offers four types of captures, listed in the table below:

Full screen capture | Captures the entire screen, edge to edge.
Window capture | Captures the exact window you specify (either with or without a window border).
Region capture | Captures a rectilinear region (or multiple regions) which you can define with a "rubber band" bounding box during the capturing process. New to this release is the ability to capture multiple regions, and with the space between them filled by a background color of your choice, and even hand-drawn regions.
DirectX® or Glide® capture | Captures those hard-to-retrieve screens from 3D accelerated hardware image buffers. This function allows you to grab screens from games or 3D development software that—previously—have been impossible to get with other capture tools.

Powerful tools.

Of course, no matter what type of capture you make, you can use HyperSnap-DX 5's post-capture tools to edit, crop, and otherwise alter your image so that it best fits your intended usage.

Click here to read though a typical capture session walk-though.


A capture walk-though

A capture session walk-though

This topic covers the steps of a typical capture session. Try to follow the steps exactly, and be sure to carefully read the procedures marked with the document symbol to avoid errors.

In order to view HyperSnap-DX 5 and your capture's image after you've done it, make sure that the Restore After Capture option under the Capture menu, Capture settings tabs is checked. If it isn't checked, HyperSnap-DX 5 will be minimized (visible only on the task bar) and you'll have to click on it to open it up again.

Let's try capturing a program's window. You can capture this help file's window as your example. But first, make sure HyperSnap-DX 5 is running, then come back to this file.

Tip for the rodent.

When you're in window capture mode, you'll note that as you move the mouse, blinking frame will appear around the window from which the image will be captured. This is your guide as to what the final product will contain. You'll move the mouse to select the window you wish to capture, and left-click to capture it.

To abort it, you'll right-click the window. If, as you move about choosing windows to capture, you notice that the process only selects a "sub-window" within an application, try clicking on the application's title bar, it should force a capture of every "connected" part of that application.

Please read through all of the next steps so that you can use them without referring back to this help file. You can optionally print this tutorial if you haven't already done that.

When you're ready to begin, make sure that HyperSnap-DX 5 is the top-most window. The help engine window you were just reading (this one) should be directly beneath it. Whatever window or area you want to capture should always be visible so you can click on it.

Next select Window or Control from HyperSnap-DX 5's Capture menu. HyperSnap-DX 5 will move out of your way, to the taskbar.

Move the mouse cursor to different sections of the desktop, including over your help file window. As you move it, notice that the blinking highlighted areas change. If you move to an application's Title Bar, that entire application's window is highlighted---take your time and examine the available capture objects you can locate on your desktop.

Once you've highlighted an area you want to continue to experiment with, click your left (sometimes called "primary") mouse button.

  • You can use hot keys to initiate your captures, too. Click Capture menu or right-click the HyperSnap-DX icon at the bottom of Windows screen and examine the menu that appears.
  • Every capture type should show its corresponding hot key next to it on the right.

After HyperSnap-DX 5 takes the screen shot its program window, now including your capture, is restored to the active window position. You can change HyperSnap-DX 5's window size (just like most other programs) if you want to see more of the capture. It may be partially obscured even with HyperSnap-DX 5 is full screen, depending on what you've captured.

Another most frequently used capture function is Region capture. Try it next by selecting Region from the Capture menu or pressing Ctrl+Shift+R hot key combination. Next, when HyperSnap-DX window goes away, click the left mouse button anywhere on your screen, then move the mouse away from your first click spot and click again. When HyperSnap-DX window returns, examine the result of your capture.


Advanced tutorial one

Multi-region capture tutorial

The subject of this tutorial is Multi-region capture. This means, as you've probably guessed, capturing more than one area of the screen, such as two rectangular portions of the same window, or even two different application windows at the same time.

You can use this powerful function for capturing a cascading menu, for example. This is a useful tool when creating documentation for software.

Here are the steps.

Hot key confusion?

Note that if you've changed the HyperSnap-DX 5 hot keys, you'll have to substitute yours for the default keys given here (and as they are given within all examples).

Minimize the HyperSnap-DX 5 window to the task bar.

Open a cascading (that means multi-level) menu in another program. For this example we'll use any Windows Explorer folder. Double-click the My Computer icon and then open any available hard disk drive's folder, and then open any folder that shows at least a few file icons you can use for this purpose. The Program Files folder is useful for this, typically.

Right-click on any convenient file's icon.

Choose File/Send to in order to get the menu open.

Press HyperSnap-DX 5's CTRL+SHIFT+M hot key combination to start multi-region capture.

Click on each menu in turn, plus the main menu toolbar (the one that shows File, Edit...)

Just to demonstrate the power of this feature, we'll add another step: while you're still in Mutli-region capture mode switch into Region mode.

Press and hold the right mouse button, select Region and draw a capture box around the pop-up menu as well as outlining something else on the screen to capture that, too. (For example, outline a data file's icon.)

Press the Enter key on the keyboard to finish this capture.

Examine the content in HyperSnap-DX 5's window, and you'll see all regions captured with the default background color filling the area between them. (The color of this region is user-definable.)

Click here to read about capturing those tricky DirectX or Glide windows (such as from accelerated graphics board game screens).


DirectX or Glide capture

DirectX or Glide capture tutorial

Always tricky to capture properly, DirectX (or the older Glide standard) represents a challenge because the data on the screen isn't really "part" of the Windows desktop. DirectX applications run in "full screen" mode, which means they're more or less like an old DOS program, with simulated "direct access" to the hardware. Getting at their video content can be difficult.

Folks like game reviewers (or even people who just want to show off how good they are at a game) can capture a series of images from an ongoing full-screen game, and they can do so without leaving their game to assign filenames for each file created when you capture a screen. Here's a walk-through.

First open up HyperSnap-DX 5's Capture settings tabs and then click on the Quick save tab. You'll be establishing some settings here before you begin your captures.

Check Automatically save each capture to a file.

Then, if you don't want to use the default filename, click the button labeled Change next to the default filename box. Locate a folder where you want your captures stored, and in the filename box, type in the initial name you want to use. For our example, we'll use TEST.

Close the Save as box, which will replace the name in the Default name box.

Click the box labeled Increment file name, and in the box next to it, marked Start at, enter 1. In the "stop at" box, choose any number you want. In our example we'll pick 100. That will allow you to capture up to 100 images without overwriting any filenames.

To illustrate this, if you set a start and stop at 1 and 100, you'll get files named Test001.bmp through TEST100.bmp. The total number of "counter" digits in the file name is set by the number of digits in the Stop at box. So to get a series starting with TEST01.bmp, use 2 digits, for example "99," as your stop number.

Examine the other values on the Capture settings tabs to make sure they are at the values you desire. (If you've not changed them from the defaults, they'll probably be fine).

Close the Capture settings tabs.

Re-open the Capture menu, and click on Enable special capture...

Here you need to choose what type of capture you wish to make. If your game uses Glide (for example, the older 3dfx hardware) then you should choose 3dfx. If you're not sure, just check all three, if all three are available, or just the top two if the bottom item is disabled. HyperSnap-DX 5 will take care of the rest for you.

Note that if you do not have detectable drivers installed for the hardware in the list, that option will be disabled.

Advanced user?

Advanced users should read the following note: The choices to enable/disable them separately are only for extremely advanced usage and for those "special, difficult-to-handle situations". Example: a game that uses both the DirectX and the Glide interfaces. Sometimes DirectX is only used by the game for displaying the "score" and intro screens. It might use Glide for the actual game action.

It's often not possible to snap the "score" or "intro" screen, unless you disable 3dfx Glide captures. But this doesn't happen often, so avoid carelessly changing these values.

In our example, we'll capture a screen from a Directx/Direct3D game, for example Microsoft's Combat Flight Simulator™). In this case, you'd check the box marked DirectX/Direct3D primary surface.

Pay attention, please!

Watch out for the message that appears when you check the topmost button on the Enable special capture dialog: Please use [ hot key ] as the hot key... You must use as the capture hot key the combination or other key(s) specified here. You can't use the "standard" HyperSnap-DX 5 hot key due to limitations in the system.

If you wish to enable post capture processing of the image, check the box labeled Enable post processing... For more on what this does, see the Direct3D/Direct X Glide section of this file. For now we can leave this unchecked. Examine this section for explanations on the other options available for these special captures, too.

Click OK to enable special capture.

Minimize HyperSnap-DX 5.

Run the desired game. Get to the point in game play that you wish to begin capturing.

Press the specified hot key at the moment you want to capture.

The file will be saved in the directory you specified, using the naming scheme you determined. You can make more captures by repeating the hot key over and over until you have what you need. Be careful not to capture more than the number you established, or you'll begin overwriting filenames!

Exit the game when you're through, and examine the captured files---which you can do by simply pressing Page down and Page up. You may wish to make some adjustments to certain features to improve the appearance of the captures.

See the DirectX Direct3D and Glide Capture section of this file or details on how to improve dark Glide or Direct3D captures, and other technical issues covering special captures such as these.


DVD player capture

Video Player Capture Tutorial

If you want to grab an image from a movie (for example, to use as wallpaper) this feature can do it for you. It works essentially like the feature for capturing DirectX games.

Limitations to video capture.

The video capture will work or not, depending on which video player software you're are using, and if it uses DirectX or not.

Enable Special Capture in HyperSnap-DX 5's Capture menu or as described in the DirectX tutorial.

Click on that item and make sure that DirectX Primary and Overlay surfaces are turned on. Then click the OK button.

Run your video playback software, pause the movie where you want to capture it, click the video player window title bar to make sure it's the front window, then press the Scroll Lock key. (That's the default HyperSnap-DX 5 Special capture hot key. If you've changed the hot keys, use the keystroke you've set for this function instead.)

Click on the HyperSnap-DX window and see what was captured. If you don't see the picture there, most probably your video player software doesn't use DirectX.

If you do see a picture within HyperSnap-DX 5's window, but it has incorrect proportions, or is repeated several times, use the Crop & Scale tab functions under the Capture settings tabs. These tools will let you auto-crop each image you capture (so that only one image remains) and it'll scale it to the correct proportions, too. Experiment a bit to find the settings that work best.

If video capture still doesn't work (for example, you still get a full screen capture with some solid color where the movie was because your player program does not use DirectX), you'll have to choose another video player package. HyperSnap-DX 5 won't be able to capture images from your existing package. For example, for capturing DVDs you should get a player that uses DirectX, such as PowerDVD™, SoftDVD™ or another DirectX-enabled package.

Unsupported pixel formats.

Sometimes you may see a message within the HyperSnap-DX window that complains about an "Unsupported Pixel Format." This means that HyperSnap doesn't know how to decode the picture from the DirectX overlay buffer. If this happens, check the settings and options in your DVD player. See if you can find a setting that disables a function that's often called Hardware Acceleration or sometimes Optimized Video, or something very similar to these. Re-try your capture, it should now work.

Be sure to restore this setting again after you've finished with your captures. Acceleration usually smooths playback during regular "non-capture" play.

If your DVD player doesn't have such a setting, just as in the other examples above, try another DVD player program. A good one is PowerDVD™ from Cyberlink. PowerDVD does have this setting, which can be turned off and on, and several of HyperSnap-DX 5 users have confirmed that they're able to reliably capture good images from DVDs after disabling PowerDVD's Hardware Acceleration feature.

We like it but...

We don't warranty that you will like PowerDVD, nor do we have an arrangement with them whereby we suggest that our users go and buy it and they give us "kickbacks." We mention it here only because our users have freely mentioned to us that they've been able to successfully capture from it. And many have not been able to capture from other popular DVD players. We've looked at PowerDVD, it does a great job overall, and has many terrific options.

It produces great image quality and solid frame rate performance given fast-enough hardware. But if you download it because of our suggestion and then have problems, please remember this disclaimer: we don't warranty it in any way, shape, or fashion. If you have problems contact the vendor, Cyberlink, not us.

Thanks.


DirectX® Direct3D® and Glide® capture dialog

This dialog offers a number of important options that can improve the quality of captured game screens. Several of them are, from a purely technical standpoint, too complex to cover in detail here. Because of this (it would involve pages of text and complex references to bit planes and methods of interpolating data and encoding color formats and how pictures are drawn and picture palettes are defined in 3D games) we've decided to simplify how we explain these functions.

We'll cover just the bare bones of these features, but enough so that you should know what they do, rather than "how they do it." How they do it just isn't that important for normal use of the program.

The features of the dialog relate only to DirectX, Direct3D, and Glide (generated by older 3dfx hardware) screens. If you see your screen captures from such sources appearing in a way that's not how you want them to appear, the options below used as directed may correct the problems.

Getting data from these high-speed buffers—and making that data look the way you want it to frozen into a single image rather than a dynamic animation that takes advantages of quirks in human perception like persistence of vision—is a complex task requiring some difficult finessing of the video hardware and the data itself.

You can choose which type of hardware from which you wish to capture a screen. Of course make sure it's the same as that which your game or other software is using to generate its screens.

DirectX/Direct3D Primary Surface - check this to capture from software using Microsoft's DirectX and Direct3D technology. Games like Combat Flight Simulator™, as well as many others use the primary surface to display content. These are not overlaid across the main desktop such as DVD players, which are covered below. Anything full screen is usually a primary surface, for the most part.

DirectX Overlay (for example, DVD or Video) - check this to capture an overlaid screen, such as that you would see inside the region of a DVD player application. This is different from a primary surface capture. This data is overlaid on "top" of existing screen information and during a "regular" capture may not appear at all (the captured region may appear distorted, black, or be missing data).

3dfx Glide - check this to capture screens from Voodoo, Voodoo Rush, and other various 3dfx chipset-enabled software.

Hot key limits.

Note that the hot key for full screen game and DVD screens is most likely going to be "forced" to the Windows standard Print Screen. Other keys may be blocked by full screen applications, or controlled by them. When you select the type of capture you're doing, the DirectX capture dialog will tell you which capture hot key to use during game play below the check box that enables it. Be sure to read that before you jump into the game, so you know which key to hit to fire off the capture!

HyperSnap-DX 5 has some post-capture processing tools that may improve some captures should they not appear as desired. To enable automatic post processing of these captures, check this box and then select the type of processing you wish to have applied. These are performed based on the type of capture you're making, and are designed to improve the appearance of captures from these various hardware types based on our knowledge of "typical defects" gotten from their images.

You must first select the type of graphics controller you have installed.

None, unknown, or other than listed below - defines a "generic" post processing environment.

K1x4 filter for 3dfx Voodoo 1, Voodoo Rush, or other Voodoo 1 based cards - optimizes processing based on the characteristics of the images generated by these boards.

K2x2 filter for 3dfx Voodoo 2, Voodoo Banshee, and Voodoo 3 based cards - optimizes the post processing based on the characteristics of the images generated by these boards.

Gamma correction Factor [value] - this function works just like the Gamma processing on the Color menu except it's applied post-processing. It's common to see very dark screens from accelerated 3D hardware, and you can save time by having these screens automatically brightened after capture. You can quickly set this value back to the default by clicking the button to the right of the value entry box.

Get your bearings.

Perform a capture first with all values set at the default in order to get a "reference capture." Then change the settings here, thus you'll best be able to see how "fine or coarse" the adjustments actually are to the appearance of the captured images.


Command line usage

These options, useful for advanced programmatic applications such as scripts, can greatly enhance the Power User approach to capturing. For example, you can set up an shortcut icon to perform a pre-set capture using the values you define in the parameters line on the shortcut's properties page.

If you're a Power User, or a user of something like Morrie Wilson's superb WinBatch™, or are familiar with the Windows 2000 or Windows 98 R2 scripting host languages, you can go even further by creating a combination of a programmatic and pre-set application use. For example, you can create a WinBatch script to ask you for the parameters you wish to pass to HyperSnap-DX 5, and it will then use the script to execute the program and pass the desired parameters to it.

As always with every program, you can open a Command prompt and enter a command line:

start/wait hprsnap5.exe [parameters]

or

hprsnap5.exe [parameters]

Where [parameters] are the desired operational values. The prompt will load HyperSnap-DX 5 and pass it the provided command line. You can even use a tool as simple as Windows 2000 or XP CMD files or–in the case of Windows 9x–plain old batch files to utilize special capture settings "on the fly."

If you open a prompt and type the command without using start/wait, you can close the prompt if you wish, or use it for other functions while HyperSnap-DX 5 is processing an image.

Should you elect to use the start/wait parameter, the prompt will stay open cannot be closed or used until HyperSnap-DX 5 is finished. This may be useful in batch files, if your next command must wait for HyperSnap-DX 5 to finish its operation before it can continue.

If you expect to make heavy "production" use of HyperSnap-DX 5, we think you'll want to take a moment to get familiar with the command line functions. The mouse is nice, but for heavy output or batch jobs, you simply can't beat command line control.

In the examples below, the actual command line and options you will need to type are in bold. Comments about the commands or other "tips" are in plain text. The paths to be used are simply examples, use the paths available on your own system. Note that you must type HyperSnap-DX 5's executable name, too, which comes before the parameter, as in the example above. You can't simply open a command prompt box and type, -hidden -quicksave,5000, nothing will happen except that familiar cryptic error message with which we used to be familiar: Bad Command or File Name. If you use Windows 2000 or XP, you might see, "-quicksave is not recognized as an internal or external command, operable program, operable program or batch file."

In any case, change to the folder where you've installed HyperSnap-DX and type its name hprsnap5.exe, or (even better) add that folder to your system's PATH environment. In the latter case you can type the executable name from inside any folder and Windows will locate it for you and run it with the commands you specify.

Finding your path.

If you're not familiar with the methods used to add a folder or directory to your PATH environment, you can find help for this within the Windows help documents. Click on the Start button, then find the system-wide Help function, then search for "Path." It will explain how to add a folder to your PATH, which makes command line use a real joy.

Windows XP and 2000 users can add to their PATH without rebooting, Windows 9x users must re-start their systems to add a new folder to the PATH environment.

- quicksave

Turns on QuickSave option, even if it was turned off in previous sessions or by default.

Additional -QuickSave options can start with timed auto-save. For example, here are some uses with other parameters:

-hidden -QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

-iconic -QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

-QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

These examples will start the program with a hidden, iconic or opened window, respectively, and will repeat the snap every 5000 ms (5 sec), increment the file name starting counter at 1 and will stop when the counter reaches 5.

To disable adding numbers to the file name, set the second number in -QuickSave to 0, for example -QuickSave,5000,0,5 will save a capture 5 times to the same file. To disable the max count function (the last number to capture before stopping), set it to 0.

The capture will be repeated indefinitely, or until you press the stop capture hot key (default for which is F11).

-fixed_title

Displays a fixed title HyperSnap-DX only (program will not display the file name or the picture size in the window title bar). This may be needed if you want to "send keystrokes" to the HyperSnap-DX 5 window from Visual Basic or some other applications that require this functionality.

-hidden

Runs the program with its window hidden, so you can operate it only by using the hot keys. You must have enabled Quick Print, or Copy each capture to clipboard in the Capture settings tabs, earlier, or you could use this mode with the Quick save tab's Automatically save each capture... option enabled, too.

Otherwise you won't be able to choose files or direct output to any useful location.

-dumpopts

Read the program's registry entries, and dump them to an INI file in the program's home directory. This is helpful for debugging problems. You can send the INI file in an e-mail to use for .during a user support session should we request it.

-readopts

Read the program's registry entries from the file HprSnap5.INI and then save them to the Windows system registry. A great way to immediately set the program back to all defaults. For example, if you install the program, then run it once, the registry entries will be set to the defaults.

If you then use the -dumpopts option, above, to create HprSnap5.INI, then keep that file in a safe place, should you wish to set the program back to the start-up status, this option will do that in one step. Mainly a technical support tool, as it can repair a corrupted registry entry, too.

-initfrom:filename

You'd use this option when you start HyperSnap-DX 5, for example:

hprsnap5.exe -initfrom:c:\hypersnap\hsdx.ini. A quick method of supporting multiple hot key configurations or other options, such as on systems where multiple users prefer the program to operate differently. If you create a shortcut that loads the program using this switch and a valid INI file you've created with the -dumpopts setting, it's painless to have the program set up differently for many users on the same machine.

Changes you make to its settings in this case do not go back to the registry (as is normally the case) but they are written back to the INI file name you used to load it. This thus keeps a discrete setting set apart from the default.

-snap

Capture a screen (or a portion) one time only, to immediately print or save it, and then exit. The HyperSnap-DX 5 window isn't displayed. This option takes several sub-options you must separate with a colon. Here are some examples.

HprSnap5 -snap:x60:y150:w200:h100 -save:bmp test.bmp

:x is X pixel coordinate from which to start the capture, counted from the left. If omitted, 0 the program will assume 0, the absolute left-hand of the screen.

:y is Y pixel coordinate from which to start the capture, counted from the top. If omitted, the program assumes you want a value of 0.

:w is width of the area to capture, in pixels. If omitted, the program assumes the area from :x to the right edge of the screen should be captured.

:h is height of the area to capture, in pixels. If omitted, the program will capture the area from :y to the bottom of the screen.

:window allows the user to select with the mouse the window to capture.

:region allows the user to select with the mouse a rectangular region to capture.

:awin will capture the currently active window, including frame and title

:acli will capture the currently active window without the title and frame (called the "client area").

-open:[filename]

or

-open [filename]

This option will run HyperSnap-DX 5 and open the specified file (if it exists, and is in a supported graphics file format). It will then perform the action set by any following command line options, such as -print or -save—perhaps in a different format as a quick way to convert one format to another, for example.

You can use this to print several graphics files in batch mode or to translate quickly between varying formats. The program exits when all prescribed operations are complete. Here are a few examples:

To translate test.bmp to test.gif:

hprsnap5.exe -open:test.bmp -save:gif test.gif

To print test.jpg file to the default system printer:

hprsnap5.exe -open test.jpg -print

-scale:[percent]

Scale (resize) the image captured with -snap command line option or opened from a file, by the percent factor specified. For example:

hprsnap5.exe test.jpg -scale:50

This will open test.jpg file scaled to 50% of its original size, and:

hprsnap5.exe -open test.jpg -scale:50 -save:jpg test.jpg

This will open test.jpg file, scale it to 50% of the original size, save to the same file name and exit immediately. This latest form could be used to scale an entire directory of images with the for command of the Windows batch language. Here's an example:

for %f in (*.jpg) do start/wait hprsnap5 -open %f -scale:40 -save:jpg:q95 %f

This will resize all JPEG images in the current folder to 40% of their current size and save them under the same names with 95% JPEG quality setting, overwriting the originals. To have the files saved in another folder, and preserve the originals, you could specify the folder after -save such as -save:jpg:q95 c:\temp\%f.

This command could also translate the format. For example opening JPEG files, but saving to PNG instead. In this case the last part could be:

-save:png c:\temp\%f

-print

This function was designed to be used after -snap to force the printing of the captured picture. It takes several sub-options, all of which must be separated with a colon.

:l print in Landscape mode. Default is portrait

:inv invert black and white

:bw print black and white colors only

:fr draw a frame around printed picture

:sNN scale, where NN is % of the image size, the default being 100%

:af auto-fit the picture to fill the whole page (but preserving the aspect ratio)

pd display Print Dialog, to select the printer etc.

Prints to the default printer if :pd omitted. Here's an example:

hprsnap5.exe -snap -print:l:fr:s75

This example will snap the whole screen and print the resulting capture in landscape mode, with a frame, and scaled downward to 75% of the original size.

-save

This was designed to be used after the -snap option to save the file to a supported file format. The very next argument must be the filename to use for the saved data, including the extension. For example, snap.bmp, snap.gif, and so forth.

Here's a list of possible formats as well as some examples using them:

:gif save as a GIF file

:gif:i save as Interlaced GIF file

:jpg save as JPEG file with the default output quality of 75%

:jpg:qNN save as JPEG file with quality NN% (replace NN with a number such as 90, representing image quality factor).

:jpg:p save as progressive JPEG file (you can add :qNN)

:bmp save as BMP file (this is the default, and may be omitted). Bitmap pixel depth is the same as your screen's.

:bmp:c1 save as 1 bpp bitmap

:bmp:c4 save as 4 bpp bitmap

:bmp:c8 save as 8 bpp bitmap

:bmp:c24 save as 24 bpp bitmap

The program accepts other file types as -save formats. Here's a complete list of all file types accepted during this command. These values should appear after the : in the command line:

bmp, gif, jpg, tif, cmp, cal, fax, eps, img, raw, ica, pict, mac, msp, pcx, ras, tga, wfx, vfm, wpg, png

With all of these file types, the following options are accepted, if valid for a given file type. If an option is not valid for that type, it will be ignored by the program:

:a append the picture to the specified file, if the file format permits this. For example, GIF and TIFF files support appending frames to an existing file.

:c1, :c4, :c8, :c24, :c32 represents the color resolution to use, in bits per pixel.

:i, :p tells HyperSnap-DX 5 to save the file using either interlaced (GIF) or progressive (JPEG) format.

:qNN quality in %, valid for jpg and cmp files. The larger this number, the higher quality the final file will be, but the file size in bytes will be larger, too.

Here's more examples. Snap the whole screen and save in BMP file in the directory c:\tmp\:

hprsnap5.exe -snap -save c:\tmp\test.bmp

Snap portion of screen, save as 8 bit per pixel bitmap in the current DOS directory (be sure you know where this is, or you'll "lose" your file!):

hprsnap5.exe -snap:x50:y80:w200:h100 -save:bmp:c8 btm.bmp

Snap the whole screen, save to GIF file called test.gif:

hprsnap5.exe -snap -save:gif test.gif

Snap the whole screen and save it to a JPEG file with 85% quality:

hprsnap5.exe -snap -save:jpg:q85 test.jpg

-onewin

If you run a second copy of HyperSnap-DX with this switch, it will only activate and bring to front the first copy, and the second one will exit. If you run a second copy like this:

hprsnap5.exe -onewin filename

it will cause the first copy to load the picture stored under the specified filename and then activate or bring to front that copy. The second copy, after sending the appropriate command to the first instance, will exit.

-defprn:prn_name

This command makes HyperSnap-DX 5 use a printer other than the "system default" as its default printer. The "prn_name" part must be the exact same name as listed in your system Printers folder. The entire command must be enclosed in double quotes if the name contains any spaces. If the name is one solid block without spaces, you can skip the quotes.

For a local printer name that includes a space:

"-defprn:HP 2000C"

For a network share printer name without space:

-defprn:\\gandalf\hp855c

-ra

Sets the program to restore advanced options to defaults when the program is restarted. These advanced options currently include Capture Settings, Crop & Scale enable mode, and View & Edit selection. Normally restoring these options in other than their default state can confuse novice users of HyperSnap-DX, so you use this command line argument to help prevent confusion.

-exit

Causes HyperSnap-DX 5 to exit after it's finished with the requested operation. For example, -snap without the -save or -print commands. Normally HyperSnap-DX would stay running (with its window opened or hidden) in that situation. By using -exit you force it to quit when its tasks are done.


FTP server dialog settings

Should you wish to send a file across the Internet to an FTP server, this dialog contains the settings you'll need to fill out to accomplish such a transfer. Remember that passwords and user names are typically case-sensitive, so make sure they match those given to you by the site administrator.

FTP Server (name or IP address) - enter here the name of the server to use (for example www.microsoft.com). Of course, you must have access to the server in order to send the file.

Port - this is the outgoing protocol port to use. Most users will not need to change this value. Advanced users who need to do so will know how to alter this setting and to what it should be set. If in doubt, leave it at the default.

User - this is the user name you're supposed to use on the server. You must enter it exactly as given to you by the site administrator or the connection attempt will fail.

Password - enter here the site access password given to you by the site administrator. It is probably case-sensitive, so be sure it matches exactly.

Save Password - check this to have HyperSnap-DX remember your password between sessions. If you're the only one using your computer, this can save you looking it up during a later session. If maximum security is an issue (such as at work) you may want to leave this unchecked.

Use Proxy Server - if you're using a hardware or software proxy server that does not use transparent Network Address Translation (sometimes called NAT) and it requires your software to connect through its address (which it will then re-route to the outside world) then you must enter the address of the proxy here. It can be something like WinProxy, which is software, or a hardware device like a router, such as the Netgear Gateway product line. However most dial-up users and DSL users won't need to set a value here unless they are sharing another computer's connection to the Internet.

Remote file name (may contain path/name) - this lets you rename the file on the remote host, including setting a specific path for the file to be written to. Note that if you attempt to write to a path that does not exist, and you do not have "create directory" rights on the server, your upload will fail. If you fill out just a filename here, the file will go to the remote server's default directory for uploaded files sent by your account, a value the administrator has set. If in doubt, leave the path off or ask the site administrator where you should send the file.

Save As - you can translate a file of one format to another prior to sending it. Select the format to send here from the available formats listed. Some may not be available depending on your capture type (for example, if you captured a 24 bit image, you'll need to downgrade the Bits per Pixel to 8 send it as a GIF file).

Sub-Format - here you can choose from available sub-formats supported by the file type chosen above this selector. Many types support different sub-type formats, such as compressed or uncompressed. If in doubt, pick compressed, especially if you are using dial-up connections which are slow. It will save upload time. Uncompressed formats will disable the Quality factor setting, below.

Bits Per Pixel - here you can elect to keep the existing capture BPP format or change it during file save and later transmission. If in doubt, should your connection be slow and image quality isn't all that important, downgrading it to a lesser value (such as 8) and compressing it, too, will speed transmission. Going to higher values and non-compressed formats make for slower transmissions and bigger files. Quality factor, below, also can help speed your transmission.

Quality Factor - drag the slider back and forth to establish a quality factor for the selected format. If the format does not support quality settings (such as uncompressed BMP format) this control will be disabled. If you enable a compression-type sub-format, this control will enable, and you can then choose how far to compress the image.

Interlaced - some sub-formats and file types support interlacing, which can make a preview of the image faster on the "other end" of the transmission. If the format supports it (such as GIF) this control will become enabled and you can check it. If it doesn't allow it (such as BMP) then the control will be disabled. Default is non-interlaced.

Transparent - checking this enables the transparency value on the image, if the image type supports it. You should also set a "transparency color" within the image editing tools of the program prior to checking this. Default is no transparency.

Click on OK to begin the upload, or Cancel to abort the process.

To print this topic, right-click this window and select Print.


Voice command list

You can use the voice commands listed here within HyperSnap-DX. If you encounter problems, go to Windows Control Panel and locate "Speech Properties" or a similar icon.

  1. Click Configure Microphone... to adjust your volume levels and the other settings of your microphone.

  2. Then click the "Train" or "Train Profile..." button there, to train the speech recognition engine to recognize your voice better.

  3. Also try speaking more slowly and more clearly. Voice support is still a work in progress, and computers still require speech commands be delivered a bit more clearly and at a slower-speed than we humans do.

Make sure you use a high quality microphone. Like all current speech recognition technology, this one requires a respectable pause between all commands in order for them to process. The faster your computer, the faster you'll be able to speak the commands, to a certain point. The more background noise you have in your work area and the worse speech commands will perform, too.

Say Capture or Snap, and optionally add the, followed by any of the following items:

  • Full Screen

  • Desktop

  • Window

  • Active Window

  • Active Client

  • Region or Rectangle

  • Mulit Region

  • Pan Region or Move Region or Pan Rectangle or Move Rectangle

  • Repeat

Drawing Tools Commands

  • Say Take or Get, and optionally add the, followed by:

  • Line

  • Pencil

Miscellaneous Commands

  • Microphone off

  • Activate or Restore (to restore and bring the HyperSnap-DX 5 window to the front)

  • Minimize or Iconize (to send it to the system tray or task icon list)

  • Maximize

  • Help or What can I say? (displays brief help which has links to this file)

For users with physical limitations, speech technology offers new-found freedom and will allow many for the first time to be able to use our program with relative ease.

To print this topic, right-click this window and select Print.


Customizing Hypersnap's interface

The Customize command on the View menu lets you set the program's user interface so it works the way you want it to. For example, you can define which toolbar buttons are shown, add new buttons from any available functions, customize menus by re-arranging them, hiding or changing items, customize the keyboard shortcuts, and establish the overall look and feel of the toolbars and menus.

You can even drag the menu off of its location on the top of HyperSnap-DX's window and use it as a free-floating tool, or attach it to any side (or the bottom) of the program's window. To do this, left-click the little gray bars you see to the left of the first menu item (the File menu by default) and then while holding down the left button, drag the menu away from the edge of the application workspace. You've now got an instant floating menu palette, which you can position virtually anywhere you want.

Customizing toolbars...

If you right-click any toolbar button while the Customize tabs are open, you'll see a menu there that contains various functions. Some of these are not functional in the current release (such as changing a buttons appearance) but they will, with little doubt, appear in a future version. We've documented the non-functional features because they may be "slip-streamed" into a point release, and that way the documentation is actually ahead of the program (rather than is common, the other way around). If a feature here doesn't work (like the Button appearance editor) that's not a bug you need to report, it's a feature that's been "turned off" until we've got time to enable it in an upcoming version.

Lots o' buttons?

If you have a lot of buttons showing on the toolbar, and then check Large icons, you may find your buttons are larger than the available screen space can show. Either remove some buttons using the customization tool, or go back to the smaller size buttons. Alternately, if the single-row takes up too much space, you can pull the button bar "off" of HyperSnap-DX 5's user interface by grabbing the raised area at the left edge of the bar and dragging it "away" from the menu (either up, down, or away to either side totally off the HyperSnap-DX 5 window).

Then it will become a free-floating palette which you can size like a window, allowing you to double-up the rows. You can place it anywhere you like on your screen, it will still function as before even if it doesn't "touch" the HyperSnap-DX 5 window. To replace it, simply drag it back into the previous place. The "side" bar will move out of the way as may be required. (Both the top bar and the side bar support this positioning method, by the way.)


Hypersnap-DX's toolbar

HyperSnap-DX 5's toolbar

HyperSnap-DX 5—like all modern applications—can be mouse-driven for many operations. It's got a powerful toolbar which the user can fully customize.

The toolbar replicates most menu functions, but the buttons provide quick "one-stop shopping," letting you get into the basic features of the program without having to dig open the menus and navigate through them. To see what a button does, hold the mouse over it for a moment and brief help will appear, explaining that button's functions. You can alter the appearance of the toolbar buttons by right-clicking any button when the Customize tabs are open, too.

The painting tool palette contains tools you can use to draw on your image or otherwise manually modify it. Some of the tools have a drop-down arrow that lets you select from varying properties for that tool. Click on these tools within the actual program interface to examine the possible properties offered for these tools. Just as with the main toolbar, hold the mouse over any button to see the familiar "tool tip," which will explain what that button does.

The magnifying tool on the palette below the main toolbar lets you zoom in and out of the image for a better look at details (or to see an image larger than the program's current workspace size). It has several zoom levels in addition to Auto, which will cause the image to be reduced to fit the current application workspace as best as is possible. (This may cause some distortion in the image, but this happens only within the Auto view, and the file's contents remain as they are in the 100% view.)

It's a drag.

The toolbar, painting palette, and menu can all be dragged away from their docked positions and placed where you want them to go, on any side of the program, or floating freely, if that's your choice. You can customize the toolbar, or menu so each contains only the buttons you want, and ordered in the way you prefer.

Lots 'o buttons?

If you have a lot of buttons showing on the toolbar, and then check the Options tab item Large icons, you may find your buttons are larger than the available screen space can show. Either remove some buttons using the customization tool, or go back to the smaller size buttons. Alternately, if the single-row takes up too much space, you can pull the button bar "off" of HyperSnap-DX 5's user interface by grabbing the raised area at the left edge of the bar and dragging it "away" from the menu (either up, down, or away to either side totally off the HyperSnap-DX 5 window).

Then it will become a free-floating palette which you can size like a window, allowing you to double-up the rows. You can place it anywhere you like on your screen, it will still function as before even if it doesn't "touch" the HyperSnap-DX 5 window. To replace it, simply drag it back into the previous place. The "side" bar will move out of the way as may be required. (Both the top bar and the side bar support this positioning method, by the way.)


The Commands tab

This tab supplies the categories of available toolbar buttons on the left, and the graphical representation of these on the right. You add a desired button from any of the categories by dragging it up to the place on the existing toolbar where you'd like it to be. An I beam tool will appear showing you into which gap the button will be dropped.

You can drop the button between any existing button, or on either end if you'd prefer. Below the list of buttons is a description for what the currently-selected button in the list will do when you click it during work.

You can edit the main program menu in virtually the same way. Select a function to add to a menu, and drag the graphic for that command to the HyperSnap-DX 5 menu. The menu below the mouse cursor will "open up," and you can then drag the graphic up and down to locate the item where you'd like it.

A horizontal ][ beam graphic will appear so as to display the final location of the added item when you drop the graphic.

Release the graphic when the I beam is where you want the new menu item to appear, and HyperSnap-DX 5 will add the function at that location.

The Commands tab allows you to quickly build the toolbar you want by dragging and dropping the buttons you choose onto your toolbar. (The drawing palette can't be changed, though, in this release.)

  1. Highlight the category you wish to work with from those available on the left, and the rightmost pane will change to reflect buttons available within that category.

  2. Click on the button you wish to add, and drag and drop it into the position on the program's bar where you'd like it to go.

  3. Continue through the various categories until you've got the buttons you want.

To remove buttons you don't want from the application's toolbar:

  1. Click and hold on that button and drag it completely off the HyperSnap-DX 5 user interface.

  2. A little X will appear on the bottom of the button's graphic below the mouse, showing you that you cannot drop the button there and have it work. (That's okay, you're removing it.)

  3. Let go and the button is now gone.

  4. If you make a mistake, you can re-add the same button from the applicable category by dragging it from the category list and back onto the bar.

Once you're finished adding or removing buttons, click on the Toolbars tab. Here you can completely hide any of the visible toolbars by removing the checkbox next to the bar's name. The toolbar has its own help section. Click the button below to read about it.

Clicking the Close button will close the entire set of Customize tabs, establishing all of your changes on each as the settings the program will use.


The Toolbar tab

The Toolbars tab

Toolbars - this list allows you to show or hide the available toolbars. Clear the checkmark to the left of the bar name to hide the bar, or check the box to display it. Note that clearing the mark doesn't delete the bar, or any changes you've made to it, it simply instructs the program to not display it. For example, you might want to maximize your available screen real estate by hiding the bar temporarily, or you may not like toolbars at all.

To customize the toolbar select View, then Customize. The Customize user interface editor will appear. Choose a Category, which will then change the list of available buttons on the right. Left-click and then drag the button you wish to add up to the toolbar and drop it where you want it to go. You can also remove an existing button by dragging it "away" from HyperSnap-DX 5's window and letting up on the mouse button.

The Reset button will re-enable the selected bar to its default configuration and re-enable it. You'll lose any changes to it you've made if you click Reset, so be careful—this cannot be un-done once executed.

Reset All will reset multiple groups of bars should multi-bar support be added to the program later.

Clicking the Close button will close the entire set of Customize tabs, establishing all of your changes on each as the settings the program will use.

Customizing toolbars...

If you right-click any toolbar button while the Customize tabs are open, you'll see a menu there that contains various functions. Some of these are not functional in the current release (such as changing a buttons appearance) but they will, with little doubt, appear in a future version. We've documented the non-functional features because they may be "slip-streamed" into a point release, and that way the documentation is actually ahead of the program (rather than is common, the other way around). If a feature here doesn't work (like the Button appearance editor) that's not a bug you need to report, it's a feature that's been "turned off" until we've got time to enable it in an upcoming version.

Reset to default - sets the button back to its originally-shipped values and options.

Copy button image - copies the button image to the clipboard for use across the system.

Delete - removes a button from the toolbar. If you do this by mistake, you can recover it by going to the Commands tab and dragging that function up to the bar and dropping it. See the Commands tab for more help about adding buttons to menus or toolbars.

Button appearance - loads the Button Appearance editor. You can from there select how this button appears. Define items such as whether or not it shows Image only, Text only, or Image and text together. There's a checkbox marked Use Default image which sets the button to use the standard image for that function.

Image - use a picture only for the button.

Text - use only descriptive text for the button.

Image and text - use both image and descriptive text for the button's appearance.

Start group - adds a divider to the toolbar before the currently-selected button. This allows you to arrange buttons in visual "sections" that may contain specific types of functions between the lines that divide groups.


The Tools tab

This tab lets you add plug-ins or program "connections" to HyperSnap's Tools menu interface. At this writing only one item is added to the Tools menu during HyperSnap's basic installation, and that's a link to an image morphing tool called Morpheus™.

Users of HyperSnap-DX can get and install a free trial of Morpheus. Follow the instructions on the displayed link to obtain and install this tool, if you wish to do so.

Menu contents are listed in the box at the top of the tab. At this writing, one tool is available for download, the Morph Images! tool. You can add others by using the controls on this tab. These include:

Browse button - click this to browse through your system to locate a supported type of file or program to load onto the tools menu. The linked item may be a program you want to run, or a data file (for example, a PDF file with instructions you need to read in order to perform a task within the program).

Command box - instead of browsing, if you know the full path and filename of the linked object you're trying to add, you can type it here.

Arguments - add any "switches" the program may need to operate properly, or which you want to use as options. (For example, to run the program as an icon, full screen, so forth).

Initial directory - sets the startup directory for the program to use. This may affect what files the program will first see if it has a File / Open function and you engage it.

Arrangement buttons - above the Menu contents pane and to the right are a buttons arrows that control the list. These include the sheet of paper (add New item), the X (delete item) for removing items from your Tools menu, and the Up and down arrows, which allow you to re-sort the list and move items up and down the list so they appear on the final menu in the location you want.

Clicking the Close button will close the entire set of Customize tabs, establishing all of your changes on each as the settings the program will use.


The keyboard tab

Keyboard tab - you use this tab to set keyboard "hot keys." First select a Category to edit (these are the topmost-level menu items on HyperSnap-DX 5's menu). Then select a Command from the list on the left, click in the box labeled Press new shortcut key, and then press the key or key combination you'd like to use. Note that you don't want to use any of the Windows "system" keystrokes (such as CTRL+V).

If the menu item currently has a shortcut key assigned to it, this will be displayed in the Current keys box (you can change it if you wish simply by assigning a new key combination to it using the entry box, below the Current keys box).

You choose which menu you'll be setting shortcut keystrokes for by dropping down the Set Accelerator for... list. On new installations the only available item there will be Default, the main menu structure. Use the Assign button to specify the keystroke you've entered in the box as the keystroke to be used for the selected Command in the Command list.

To assign a new key to a command:

  1. Click in the Press New Shortcut Key field.

  2. Press the key combination you want.

  3. If that combination is available (that is, not used by other commands), you can click the "Assign" button, and then proceed to customize any other keys you wish to change.

The button labeled Remove will clear the currently-selected function's keystroke (if you've discovered a conflict with another piece of software, clearing it will help that problem until you can pick another key to use).

The button Reset All sets the program back to its default keystroke combinations, clearing those that did not have a keystroke assigned to them. Note that all of your changes will be lost if you Reset All.

Clicking the Close button will close the entire set of Customize tabs, establishing all of your changes on each as the settings the program will use.


The menu tab

The Menu tab lets you customize the menu. When you open this tab, you can set certain aspects of menu appearance (animations and shadow). You may also click any menu and drag its items to rearrange them, or drag them off the menu to delete them, or right-click a menu item to change the text for it, etc. In addition, you can drag a menu away from its default attachment point altogether. Left-click the little gray bars at the left side of the menu, and holding down the mouse button, drag the menu away from its attachment point. The menu will change to a tool palette, and you can float it in whatever location you'd like.

Not only that, but if you desire you can attach it to any other side (or the bottom) of the program's window. Just drag it carefully to the new location and the menu's bounding box (the outline you see when dragging it) will "pop open" to a long bar shape. When this happens, you can let go and the menu will stick there. If you want to slide it to the left or right, or up and down, you can do this by carefully dragging it to the location you want and then letting up on the left mouse button.

A click with the right mouse button on any actual menu item when the Customize window is opened allows you to further customize the appearance of that item. In addition, if you right-click a menu item you can select Button Appearance to further alter the menu item's text and ALT+KEY properties.

To change the underline key from the Button appearance dialog, where it shows Button text on the bottom, enter an ampersand (&) to the left of the key you wish to use when pressed with ALT while the menu is open. For example, ALT+O when the file menu is open usually opens a file. If you want that to be ALT+E move the ampersand so it's to the left of the E.

Use the left-click-drag mouse functions to relocate a menu item to any location within the program's menu. (For example, you can drag File / Open to the top of the File menu if you desire. To do this, follow these instructions.

  1. Choose View / Customize so the Customize tabs appear. Select the Menu tab.

  2. Gently left-click any program menu to open it for editing. It's easy to pop it back shut, depending on how sensitive your mouse is, etc.

  3. Left-click and then hold the button down on any menu item. A box will appear around that item, which means the item is ready to relocate.

  4. Drag the item to the location you want it to occupy. You can even put any item on any other menu, for example if you wanted something from the Help menu to be on the File menu (beats us why) you could do this by dragging that item off of the help menu, then hold it over the File menu until the File menu opens.

  5. Then drag it up (or down) the File menu and release it when it's located at your preferred position.

  6. Just so you know, the mouse cursor will display that you've "grabbed" a menu item by putting a box around it, and then putting a little gray button under the mouse pointer, meaning that menu function is now ready for relocation.

  7. Relocate any other items as you may wish, then click back on the Customize tabs. if you're done customizing, click OK to close them and apply your changes.

To change an ALT+ key for a menu item, while the Menu tab is active follow these instructions:

  1. Left-click the menu that contains the item you want to change.

  2. Left-click to select that item (we'll say it's the Image menu item, Crop).

  3. Right-click that item and pick Button appearance. A new dialog will appear entitled Button Appearance.

  4. Within that dialog, you can change whether or not a graphic is displayed next to your menu item (pick Text only, or Image and text to see the graphic). The box to the left shows the description that will appear when that menu item is active, but you cannot edit that.

  5. At the bottom of the dialog is an edit box labeled: Button text. Within that box type in the text you'd like that menu item to use. Be sure to put the ampersand to the left of the character you'd like to use in combination with ALT+. In our example we'll change Crop, which is &Crop to C&rop. Now the keystroke ALT+R will jump the cursor to the Crop item. (The underlined character always represents the ALT+ key you can use to jump to that item and then activate it.)

  6. Click OK to complete your changes.

Use the controls on this tab to alter how the program's menus look, feel, and operate so they're at your express liking.

Show menus for - Default Menu is the choice when no documents are open.

Reset - reverses any changes you have made to the default application menus. This deletes any alterations in the main program menu that you may have made, and sets it back to how the program shipped.

Menu animations - if you like such things, you can have the menus open quickly, fade into place, slide into place, or unfold into place.

Menu shadows - checking this enables menu shadows, which add to the 3D appearance of the program.

Clicking the Close button will close the entire set of Customize tabs, establishing all of your changes on each as the settings the program will use.


The Options tab

Show ScreenTips on toolbars - either enables (checked) or disables (unchecked) the help text that appears when you hover the mouse over the toolbar button.

Show shortcut keys in ScreenTips - this sets the ScreenTips, when enabled, to also display any available keystroke shortcut to execute that button's function. Enabling these is a great way to learn the keyboard hot keys for operating HyperSnap-DX 5, and the keyboard is almost always faster than the mouse.

Large icons - checking this uses the "SVGA" button size. Great for users with high-color high-resolution displays such as 1280 X 1024. The buttons are easier to see than the smaller buttons at such a resolution, although they take up more screen real estate.

Lots 'o buttons?

If you have a lot of buttons showing on the toolbar, and then check Large icons, you may find your buttons are larger than the available screen space can show. Either remove some buttons using the customization tool, or go back to the smaller size buttons.

Alternately, if the single-row takes up too much space, you can pull the button bar "off" of HyperSnap-DX 5's user interface by grabbing the raised area at the left edge of the bar and dragging it "away" from the menu (either up, down, or away to either side totally off the HyperSnap-DX 5 window).

Then it will become a free-floating palette which you can size like a window, allowing you to double-up the rows. You can place it anywhere you like on your screen, it will still function as before even if it doesn't "touch" the HyperSnap-DX 5 window.

To replace it, simply drag it back into the previous place. The "side" bar will move out of the way as may be required. (Both the top bar and the side bar support this positioning method, by the way.)

Look 2000 - changes the toolbars to look like Windows 2000 and Office 2000 toolbars. This option shows up only if you turn off the Office XP Style selection under the Options menu.

The next section affects how your menus operate, and whether or not they track which functions you use and move them to the beginning of the menu list as you use them.

Menus show recently used commands first - enable this to set the program to prioritize the menu items by how often and recently you've used them. Most-used commands are automatically moved to the top of the menu, and least-used commands are hidden below the little double "caret" at the bottom of the menu. Some people find this behavior desirable (typically folks who use the mouse more than the keyboard, where menu placement by counting up or down to the menu item you want is the norm). Others prefer the menu to be static, like previous versions and most common software. If that's your preference, be sure to disable this function.

If you enable Menus show recently used... then the item below will be available for checking.

Show full menus after a short delay - this works in tandem with the above listed function, and causes the least-used menu items (which are hidden beneath the little double "caret" at the bottom of the menu) to automatically reveal themselves after a brief delay of a few seconds. This way you don't have to click the double caret character to unfold the menu. Holding the menu open will cause the program to automatically unfold, revealing any hidden menu items.

Reset my usage data - clicking this erases the database HyperSnap-DX keeps that lets it know which menu items you've used the most. Click this if you want to reset all positions back to the default places for each item. Doing this is not reversible, so be careful.

Tear-off menus available - when you open any menu during normal program operation (but not when you are in "Customize" mode) you should note a horizontal grey bar on the side or top edge. You can grab this bar with your left mouse button and then drag the menu away from its docked position to "tear it off." Thus you can make a floating "menu toolbar."

If you want, you can dock this menu/toolbar to any side of HyperSnap-DX 5's window, thus having single-click access to all menu functions. When docked to the top, it becomes a menu again.


> More help about cropping

While activated, the following additional useful options apply, and will be shown in a small window as a reminder. Toggle these off using F1 or by un-checking the capture option Show help and zoom area during region capture.

F1: Toggle help text and zoom on/off

Arrow keys: more pointer by one pixel

Shift-Arrows: move pointer by 10 pixels

CTRL-Arrows: move pointer to the capture or image edge

ESC or Right Button: abort operation

Enter or Left Button: accept this position

+: hide/show mouse pointer

X, Y: Lock/Unlock X or Y axis movement

Once the first operational anchor point is established, these tips are added:

-: hide/show rectangle size in pixels

Tab or Home: switch rectangle corner

The points are picked upon release of the left or primary mouse button. Press the left mouse button, hold it down, move out of HyperSnap-DX's window, and then release the button.

This will pick the nearest edge of the image, or a point of the value (0, 0) if you go to the left and top of the HyperSnap-DX window.

Important boundaries.

HyperSnap-DX 5's window does auto-scroll if you try to drag a selection with left mouse button held down beyond the edge of the programs' window. You can also resize the program's window or use the scroll bars to adjust your view and make cropping more convenient without losing your selection. The selection edge markers will reactivate as you move your mouse back into the HyperSnap-DX 5 main window.

To print this topic, right-click this window and select Print.


More help about region captures

More about region captures

While region capture is activated, the following additional useful options apply, and will be shown in a small window as a reminder. Toggle them off by using F1 or by un-checking the option Show help and zoom area during Region Capture. You can read about this setting by clicking the button below, which takes the main help window to the Capture settings tabs section.

.

Use the mouse or the following keys during region capture:

F1: Toggle help text and zoom on/off

Arrow keys: more pointer by one pixel

Shift+Arrow keys: move pointer by 10 pixels

CTRL+Arrow keys: move pointer to an edge

ESC or Right mouse button: abort operation

Enter or Left mouse button: accept this position

+: hide/show mouse pointer

X, Y: Lock/Unlock X or Y axis movement

Once the first anchor point is established, these tips are added:

-: hide/show rectangle size in pixels

Tab or Home: switch rectangle corner

To print this topic, right-click this window and select Print.


More help about resolution

The resolution setting does not affect the appearance of an image in the HyperSnap-DX 5 window.

The default resolution is to keep the original image size in printing. Pasting to other documents should usually be 96 DPI for high resolution monitors (800 X 600 or higher setting) and sometimes 72 DPI for low monitor resolutions. However sometimes this value may need to be modified to make the image appear in the desired size once you've applied it to the program or document.

This function is accessible via two different ways.

In the Options menu, Default Image Resolution displays and sets the default resolution for all images that you will subsequently capture.

In the Image menu, the Change Resolution / Image Resolution dialog displays the resolution of the image currently displayed within the HyperSnap-DX window. It allows you to modify the resolution used from that point forward as well as applying the change to the current image displayed in the program's window.

Apply to the current image - uses the values here on the current image.

Use as default for future images captured from the screen - sets the values here as those to be used from this point on.

You may check either one or both of the boxes. The changes (if you make any) in default resolution or current image resolution will take effect immediately when you close the dialog (unless you click Cancel).

To print this topic, right-click this window and select Print.


More help about scaling

More help about scaling (resizing)

The slider control interactively adjusts image sizing, displaying the results in the value boxes boxes, although you can also type directly into the box to "jump" to the setting if you want to save time.

You can enter percent of original size, width in pixels, and height in pixels directly. These will interact with each other by recalculating the other values if you've chosen to maintain the aspect ratio (that's the ratio of height to width).

Keep Aspect, when checked, maintains the mathematical relationship between width and height, so your image remains its original proportions. If you un-check this, the image may become stretched and distorted if you resize the horizontal and vertical dimensions using disparate values.

Interpolate can help improve the end product when you're both enlarging and reducing images by using mathematical formulas to fill in missing pixels. It should improve your image quality noticeably when radically resizing it.

You can use the Apply and Revert buttons with and without the Interpolate box checked to determine which variation suits your purpose.

The Apply and Revert buttons apply and reverse the effects of your actions of the current session, making quick comparisons easy and fast to perform.

To print this topic, right-click this window and select Print.


Capturing a drop down menu

This covers the sometimes "tricky" method of snagging a capture of a program's menu. The menu usually "goes away" when you switch away from a program, or press the HyperSnap-DX hot key, right? Here's how to grab a copy of a program menu.

  1. Send HyperSnap-DX to the taskbar by minimizing it.

  2. Use one of the program's other hot keys (for example, Region or Window capture) to get the menu captured---it shouldn't disappear then.

Or...

  1. If the menu still does disappear, you can press the Print screen key on your keyboard to send the entire desktop to the Windows clipboard.

  2. Now, place the shot into HyperSnap-DX 5 by using the Edit / Paste menu selection. Using the Crop tool will let you select the portion of the image you need.

You're all set, you've captured the menu.

To print this topic, right-click this window and select Print.


Hiding HyperSnap-DX during capture

Yes, it's possible to completely hide the program...in fact, it can even start to feel just like a part of Windows rather than a stand-alone application.

  1. Set HyperSnap-DX's options to Copy each capture to clipboard from the Copy and Print tab of the Capture settings tabs.

  2. Un-check the box Restore HyperSnap-DX window to front after capture under the Capture settings tabs.

  3. Now, go to your word processor or other application and proceed with your work.

  4. When you need a capture, use the appropriate HyperSnap-DX hot key.

The options selected will cause the capture to be sent to the Windows clipboard, so you can simply paste it into your document whenever you need it.

Now what was that key..?

If you need a reminder for which hot key to press, click on HyperSnap-DX 5 in the task bar with your right mouse button, and select the type of capture you want. The menu will also show you the hot keys beside each function.

To print this topic, right-click this window and select Print.


Running multiple instances of HyperSnap-DX

Sure, you can run multiple instances of the program. In fact, this is a powerful way to support different capture settings and different types of captures during a single session, and to cut and paste data between different documents.

But there are a few things to remember when you do this.

Only one copy of the program can respond to hot keys, which is logical if you think about it.

The program's final values for "operating options" is defined by the last copy that was closed during a multi-instance session. This copy will write out changes to the program's registry upon exit, overwriting any previously-written values.

Only one chunk of data at one time can go on the standard Windows clipboard. So if you wish to use the clipboard to exchange data, remember that if you go to instance three to copy something, but previously copied something to the clipboard in instance one and have not saved it to a file, you'll destroy the first data instance one sent to the clipboard.

To print this topic, right-click this window and select Print.


Glossary of technical terms

This documentation uses many technical terms that users new to computers may not know. In order to help novice users better employ this software (and perhaps even get a more firm grasp on computing in general) we've included this glossary of terms.

Computer users, especially advanced ones, toss a lot of jargon about. It's part of the process of making sure the listeners belong to their social group. (It's also why doctors say, "ibid" when they mean "per day" on your prescriptions.)

To read about a term, just click on that term and a bit of information about it will appear. We hope the glossary improves your knowledge of computers, and helps you take better advantage of our software, and of your computer.

Note: this topic is only available in English, even though it might be included in translated versions of the documentation.

3dfx

A maker of previously advanced video chipsets and video boards used to rapidly draw 3D content onto your screen. These include the Voodoo product line and other products. They're not active in the market at this writing, but many 3dfx boards are still in service.

API

Short for "Application Programming Interface." It means a way for a programmer to make requests of the system in order for it to execute his commands. Used by DirectX and Direct3D for example, which are sets of APIs for fast graphics delivery and fast 3D graphics rendering, respectively.

Bit depth

The amount of colors a picture contains, typically limited to the values of 1, 4, 8, 16, 24, and 32, representing monochromatic, 16 color, 256 color, 16 million colors, and "true color" format. Files with 24 bit color typically can display more colors than most people are able to detect.

BMP (bitmap image format)

A file format developed by Microsoft to display image content. It is a non-compressed, fairly space-wasting format that's used for wallpaper, and also for user-interface graphics such as toolbar glyphs. The biggest advantage to this format is that it loads fast into most applications supporting it, and it supports virtually all color depths.

Border

Refers to the region "around" an application window. It's the area you "grab" onto with your mouse when you want to size a window.

Button

A control device used by software to actuate a function. It may appear to actually "depress" when clicked, which is an illusion caused by the operating system.

Caret

The Caret is a programmer's term that usually means the area or control where "focus" or what user interface control you are currently interacting with, is located. It can be any number of things, but mainly it means the "active control." See Control.

Chroma

Refers to "color" or the color "palette" of an image, and sometimes to the color "balance" of an image when used slightly incorrectly. The "chroma" of an image is a compressed reference to its chromatic content, or it's "color content." See Gamma, below, for reference to its white/black content.

Clipboard

A place where Windows stores data when you mark an area of an image and select Edit / Copy or use the CTRL+C shortcut keys. Windows uses a special data format for the clipboard that makes it possible for it to store all sorts of things, both graphics and text, or even mixed formats that contain both (for example, a Word document's page with a chart on it). Sometimes called a "metafile" this format is quite powerful. Some people say that the biggest improvement over DOS that Windows has ever offered was the power of the clipboard. Now applications can share data (and even dynamically through embedded objects, yet another type of technology). Like all powerful graphics programs, HyperSnap-DX makes use of the clipboard and can both read data from it and write data to it, in several formats.

Color depth

The same as "bit depth," essentially. Refers to the amount of colors in an image. Most modern systems run in what's called "high color" or are at least able to display 16,000 plus colors. Many run in "True color" which is typically used to define a color bit depth of 24 or 32 bits.

Color palette

The "table" of colors used to draw an image. In some formats, this may be limited to a certain range (for example, GIF files are "palette-based" images. Each pixel contains, essentially, a pointer to a certain "place" in the palette. If you change the palette, that pointer will now direct the pixel to a different color. This is called "palette-shifting." The larger the palette, the more colors the image can display. Not all image types use palettes, some contain within their pixel data a direct color reference rather than a "lookup" value.

Control

A class of user interface management devices used on software (such as a button or list box) that allows you to make the software "do" things. Everything you "touch" with your mouse on software (buttons, lists, checkboxes) are called "controls" by programmers.

Crop

To cut a region from an image, or to trim off excess material from around a more desirable area. Sometimes incorrectly used when the word zoom is a better choice (to "crop in" on an object, for example, is not really accurate). Think of "harvesting crops," which means when you're done cutting, the region harvested (such as the corn) is no longer in the field (in this case image). How about that analogy?

Cursor

The pointing device on your Windows screen. It may be an arrow, or something else. It provides a way for you to interact with software "controls" and make the system behave the way you wish it to. (Well, most of the time.) You click on things using the mouse cursor, and you type things using the keyboard cursor (that flat thing that moves usually from right to left within WordPad, for example).

Desktop

The background of your Windows screen. It's the area where you put shortcut icons that are not in your Start menu, and the area where you may apply wallpaper, if you have done that. It's also sometimes called the "background," but that's not really accurate.

Direct3D®

An accelerated display technology developed by Microsoft. The idea behind it was to provide a collection of API programming tools for game developers that allows them to create 3D content without having to directly access the display hardware.

This is something Windows likes to prevent for reasons having to do with operating system stability.

Directory

An older term for something Microsoft now calls, and previously Apple called, a Folder.

DirectX®

An accelerated sound, video, and game controller technology (set of APIs, see that above) developed by Microsoft. It allows game and other software developers to have high-speed, closely-timed access to the hardware like they used to have within DOS, but without direct access to the hardware, something not desirable within a multitasking operating system.

Dithering

No, it's not wasting your time playing Solitaire, it's a process of applying one of several specific dot patterns (such as Stuckey or Floyd-Steinberg, to name two) to an image. This is usually to attempt to make an image reduced in color bit depth (see Bit depth) to appear more closely like the original. The idea is that dots next to each other can affect how the group of dots appears, and by adjusting the patterns, the final effect may "simulate" colors that are no longer present within the image.

DPI (dots per inch)

The number of pixels the image has per inch of content. The higher it is, the higher we say its "resolution" is. An image with 300 DPI that is 300 pixels across will print out at 1 inch on the page of a printer with 300 DPI resolution. The relationship can be changed by other settings, but basically this refers to a device's capability (such as a screen or printer) or the data format of the file itself, which may contain a DPI specification in order to enhance its printing properties or viewing characteristics.

Drop-down

This is a control in Windows where if you click a downward-facing arrow, you're presented with a list of possible choices or functions. These might be file format choices (see HyperSnap-DX 5's Save as dialog, for example) or a list of hard drives on your system when saving a file.

FAQ

Shorthand for "Frequently Asked Questions" and often refers to a list kept by software manufacturers or others who are tired of answering the same old questions. They send curious users here first to save time.

Best tip for today: read any FAQ page put up by a vendor BEFORE contacting that vendor!

File format, File type

The actual low-level data-type used by the image or other type of file in question. In our case, it might be JPG, GIF, BMP, and so forth. It refers not to the "look" of the image (for example, a "Portrait" format image) but rather to the binary encoding method used to create the file on your hard disk. The program used to open (view or otherwise handle) that file must be able to decode the "file format" in order to operate on the file.

Not all graphics programs can open all file types, and there are dozens of them out there, many of which are pretty much obsolete (such as the old PC Paintbrush PCX format, which is rarely used).

Folder

Microsoft's attempt to steal the Macintosh name for a directory. It's where you put files. Long-time users still call it a directory, and pretty much ignore the term "folder." It's a good way to tell how long somebody has used a computer, actually. See if they call this directory a folder or a directory. And as Shakespeare said, "A rose by any other name would smell as sweet..."

Gamma

The "brightness" content of your image. Not the same as just "brightness," but the balance of white to black on the overall image. An image with high gamma may appear very bright, but also may appear washed out, even "faded by the sun." An image with low gamma may appear "blocked up," and difficult to see.

GIF®

Graphics Interchange Format. A file format developed by CompuServe and used a lot on the Worldwide Web and elsewhere. It is a palette-based format that supports no more than 256 colors, and it best for images containing solid-color areas. JPG is superior for most photographic content, and you should use that format for photographs or variable-tone image content. If in doubt, use JPG or BMP if disk space consumption and/or network transmission speed isn't an issue.

Glide™

A technology developed by 3dfx for displaying 3D gaming or other content. It's a programming interface that allows game developers to write to 3dfx hardware more easily. It's not in active development at this writing anymore, but is still present in older systems or hardware using 3dfx video boards.

Hard disk (formerly Winchester drive)

A spinning metal platter (sometimes multiple platters) that's inside virtually all computers and used to store data. This is compared to "floppy disk" even though they've not been "floppy" for years. Hard disks are much faster and more reliable than the nearly useless 1.44 format "floppy" disk. Most modern systems may have up to four Hard disks added to them if they contain sufficient space inside their cases to add them.

Way back at the invention of hard disks, they were called "Winchester drives," being named for their inventor. A huge array of platters that weighed in at about 200 pounds held perhaps a megabyte or less—not even the capacity of a modern 1.44 floppy disk! It's common now to find tiny 2 inch wide one-quarter inch thick laptop drives with ten thousand times that much and more. Science marches on.

Hot key or Hot-key or hotkey

A term referring to a special key combination that can cause a program to perform a specific operation or process without taking multiple steps. HyperSnap-DX 5 uses them to trigger screen captures of various types. Also sometimes called a "shortcut key."

Hue

The balance of colors within an image. Refers to the relationship of the key colors of an image, just like how the "tint" control works on televisions works. Hue refers to the "cast" of the colors in the image. Hue can sometimes be restricted to RGB hues (for example, saying an image has a Red, Green, or Blue casts) because many file formats are considered to be RGB-based.

There are other formats, typically used in printing, called CYM for Cyan, Yellow, Magenta, for example.

Icon

The little picture on your desktop, start menu, or a program's toolbar that's used to identify the program or function that will launch when you click it (or double-click it). For example, the icon for Internet Explorer is usually a blue E.

INI file (or initialization file)

A special file used by some software to hold important settings and other information. Windows itself used to be entirely built from the settings within two INI files, SYSTEM.INI and WIN.INI, but with the release of Windows 95 the system began to be based on the more fragile (but more powerful) database-format "registry." HyperSnap-DX 5 can use INI files, see the help section "Command line usage" for more information about that.

JPEG (or JPG or JPE)

The "true" extension for JPG, a common file format used for photographs, and throughout many web pages. It can be a true-color format, has the option of superb file compression (reducing size massively) and can produce very tiny files that still look quite good for most purposes.

Overall, the JPG file is a superior format to most others for general bitmapped image work, unless you need a discrete object-based format such as Ulead's UFO format, or Corel Draw's CDR. HyperSnap-DX doesn't work with object-based formats at this writing, however.

List

Within Windows, the items that appear when you click a "drop-down" button or other user interface control and are given some choices. HyperSnap-DX 5 uses a list within the Save as dialog for possible file format types (for example).

Luminance

Often referred to as the "brightness" of an image, it's the overall "light" within an image or scene. If you turn up or down the brightness of your television set, you're affecting the luminance, but not the color of the image. Gamma, above, represents the effect of luminance values on the image.

Maximize

Here it refers to the behavior of an application within the Windows desktop. When it's "maximized" it means it has been set to be "full screen" and it's the only application you can see at that point, unless you "switch" to another using the keyboard. It covers the entire desktop, all of your icons, and all other programs except for (in most cases) the task bar, which can be set to "stay on top" of any maximized window.

Memory

Sometimes refers to RAM, which is the chip-based storage space your computer uses to make its calculations. Its best not to use "memory" to mean hard disk space, you can confuse technical support staff. Say, "hard disk space," and "RAM," or "memory" for the system's running data storage space.

It's best to stick with the exact technical terms for both.

Minimize

Means an application's window has been "sent down" to the task bar or (in the case of HyperSnap-DX 5) to the system tray area where the clock lives. To get access to a minimized program, you must Restore it. Try the right mouse button on HyperSnap-DX's system tray icon, and the left, and see how they differ.

Monochrome

A black and white image. Not to be confused with "grayscale." Black and white is often used incorrectly, for example Black and white photos from a camera are actually grayscale photos. A true black and white image is made up only of dots of either black or white, with nothing else. How tightly they are packed, or how loosely, creates the illusion of other shades. A newspaper photograph may actually be Monochrome, it depends on how it's printed. The newspaper printer then sizes the dots, or makes smaller dots crowd together, to simulate varying grayscale value. But all dots and spaces are either black or white, making them monochrome.

Examine a newspaper photo with a magnifying glass and you may see only larger or smaller black or white dots, giving at a distance the effect of black, gray, or white colors, which then appear as grayscale. Many big city newspapers have switched to color and many more are finally using true grayscale, though.

Overlay

A technology where a software application, like a DVD player, will "paper over" part of the Windows screen with the "active content" it is providing, such as the moving frames of a film delivered via the DVD. It will use its window space to directly write content to the screen, bypassing Windows itself for this. Overlay functions are common with desktop TV tuners and DVD players, all of whom must show data at a rate much faster than Windows would be able to do, so Windows lets them "clip out" a region and then handle it themselves.

Capturing such a window is very difficult as the data is "private" and must be carefully decoded.

Palette

The table of colors used by certain image types, just like an artists palette might be. Such types include GIF, for example. These files contain "pointers" to a location on the palette rather than actual pixel color values. If you change the palette, the image will change right with it, perhaps looking very weird. Sometimes the palette is stored internally, and in other (rare) cases, the palette can actually be loaded from another file and applied to the image itself, dynamically changing how it appears. This is called a "palette shift."

Think of it as each pixel as a house in your neighborhood. If you change that home's address to "yellow," it re-paints the house yellow, too. It's as simple as that, more or less.

RAM (sometimes "memory")

Techno-babble for Random Access Memory. It's the chip-based storage space used by your computer to run itself, and to execute programs. Generally, the more you have, the faster things run. It's best to call this RAM and not "memory," to avoid confusion. A good rule of thumb when building a system is this: More RAM is better.

Buy as much as you can afford, Windows and your programs will thank you for it by running better and faster.

Rectilinear

A region defined within a rectangular or straight-edged space. The box you draw when you crop an image is usually rectilinear in nature. It's a fancy way of saying "rectangular," in some cases.

Region, as in "Region capture"

To capture one or more "regions," or areas of your screen, application, or desktop. It means to only pick a part of what you can see rather than all of it. A useful tool when you only want to capture the important part of the screen. These can be rectangular (or rectilinear) or freehand, using HyperSnap-DX.

Resize (or Scale)

This means to change the dimensions of an image (not its resolution, which means dots per inch). For example, changing a bitmap from 320 X 200 to 640 X 480 would be a 2X resize. Sometimes confused with "resampling," which applies advanced techniques such as anti-aliasing to prevent the "jaggies," and may also alter resolution, too. A simple resize just changes the dimensions to those you want.

Resolution

The resolution of an image is its dimensions in relation to its DPI values. An image of high resolution means it can contain "fine detail" and typically has a high DPI value as well as a high pixel count. A low resolution image typically has a low pixel count, and a low DPI value. Screen resolution is usually very low, only 96 DPI. Some printers are now printing well above 1,000 DPI. This means if you send an image that covers 1 inch of your screen to this printer, it's only going to cover a tenth of an inch on paper.

Restore

Here means to "bring back" the window of a minimized application, like HyperSnap-DX. To Restore it from the System Tray, you can right-click its System tray icon, and pick Open HyperSnap-DX. (You can also choose from other menu items, too. Take a look.)

Saturation

Refers to how much "color" is in an image. A highly saturated image contains a lot of color, and may appear to be "overly-colored." Think of it as if it were paint on a brush. A brush dipped into paint only lightly will produce strokes of light color. A brush that's saturated will produce rich, thick color.

Scale (or Resize)

Refers to changing the dimensions or resolution of an image. This can be to make it print larger, smaller, or appear on the screen smaller or larger.

System

A common term to refer to your computer, or the operating system itself used to "run" the hardware of your computer (such as your display, your printer, and your hard disks). It's a generic term, used to cover both the hardware or the operating system, or both working (with any luck) in unison.

System tray

A feature of Windows 95® and later Microsoft® Operating systems where you see a small recessed area in the taskbar that shows you a clock, and sometimes many other icons. This allows you to keep your eye on running applications without them hogging space on the main taskbar. HyperSnap-DX 5 can be set to minimize to the system tray if you like.

See the Options menu, Startup and Tray Icon menu item. Check Display System Tray icon... and also the option below, probably, Do not exit when X button... That will prevent you from closing it accidentally during long work days.

Taskbar or Task Bar

A feature of Windows 95® and later where icons are no longer minimized to the desktop, as they were in previous 3.x versions, but are sent to this window-within-Windows. Here's a usability tip: you can grab any blank area of the taskbar (a part not occupied by a program icon) and drag it up to the TOP of your desktop. If you do this, you'll save a lot of mouse motion. Because most applications have their menus at the top, you'll only have to move the mouse a short bit to get to the taskbar rather than making a huge motion all the way from the menu to the bottom of the desktop.

Try it for a few days, you'll like it after you get used to it.

Toolbar

Sometimes called "button bar," it's a row of icons within a program that contains buttons. When you click the buttons, the application will perform various functions. With most programs (including HyperSnap-DX 5) if you hold the mouse still over a button you'll see some brief help for that button's function.

Truecolor or True color

Commonly used to refer to files that contain 16 million or more colors. This number of colors (and beyond) is essentially more than the human eye can see, so supporting more in a file format isn't practical or even logical. A true True color file is usually 24 bit or higher, and may contain area transparency information, too.

Video buffer

Your computer's video board has some chips on it where it stores data it needs to display images on your monitor. In the case of 3D accelerated hardware, this data buffer may contain entire screens or huge "chunks" of screens as well as complex texture data (such as for games, which may render brick walls, for example, in 3D). HyperSnap-DX 5 is able to "grab" data from this buffer when it captures Direct3D screens, for example.

By storing the data here, rather than re-calculating it again and again in memory, the video board is able to quickly re-supply the image content much faster than if it had to re-create it from scratch each time it was needed by the active software generating the images.

Wallpaper (also called Desktop)

This is the name of images that some people apply to their Windows desktop. To change your wallpaper, right-click your Windows desktop on any blank space (not on an icon) and pick Properties. There's a Background tab, and from this tab you can choose from available files to use as wallpaper.

Changes to the operating system may alter this procedure somewhat, but it should remain similar.

Web

The shorthand name of the Worldwide Web, the thing on which we are all wasting far too much of our time. But it's a great place to find superior software tools such as HyperSnap-DX 5...so I guess it's of some value.

Window

The rectangular or square place where a Windows application displays its data, but also in a technical sense, every part of that application is called a window. Programmers know that Windows itself calls every button, toolbar, and so forth a "window," and even gives each of them a "window name or window handle." Because of this, HyperSnap-DX 5 is able to capture even the smallest of controls, because they are all "windows" in that way, and it can get their names—and then their content—from the system individually.

Window capture

This means to capture the entire window of an application, including its border (usually) and title bar. Such captures will not show the desktop, wallpaper, or other programs. They may not show multiple-window programs (such as DreamWeaver or Corel PhotoPaint).

Windows

This can mean either the programs you run, as these create "windows," or it can mean the operating system on which you are running your programs, trying to get some work done in the process. There have been many versions of Microsoft Windows®, going all the way back to 1.0 (which nobody used) through 2.x (which about fifty-six people used) and on to the current versions, Windows ME, 2000, and Windows XP Pro and Home.

The latter versions dominate computing around the world, running about 90% of the world's PCs by some estimates, much to the chagrin of the Mac and Linux folks who are jealous of Windows' "undeserved success." Of course that's just sour grapes. Windows is a tool like any other, and succeeds or fails on its usefulness or failure to be useful.

Many people think the best version "ever" (so far) is XP Pro.


User support

Before contacting us for technical support, please check first the "Frequently Asked Questions (FAQ) list at our web site. The answer to your question may be already there! Click below to access the FAQ page right from within the help system.

http://www.hyperionics.com/index.asp?Page=hsdx/hs4faq.htm

Support for HyperSnap-DX is always close at hand. An E-mail message will get the quickest response. Be certain to provide as much background information as possible. To send one, just click E-mail message, above, and the process should start on your system. (If you don't have an Internet connection or "registered" E-mail application, this may fail.)

Include (at least) the following information if you encounter a problem with the software:

  1. Your operating system, for example Windows XP Professional or Windows 2000.

  2. How much RAM your computer has installed (sometimes called "memory" but different from "hard disk space," something about which many novice users get understandably confused). If you don't know how to check this, open an Explorer window (not Internet Explorer, Windows Explorer) and select Help/About. It should show you a listing on the bottom of the dialog: Physical memory available to Windows. That will give you the RAM, but not swap file, available to the system for most versions of Windows.

  3. Your computer's CPU and speed (for example, Pentium IV, 2GHZ).

  4. Your video card's manufacturer, color depth, driver version, and resolution. You can usually find this information by right-clicking the wallpaper area on your desktop, picking Properties, and then examining the tab that's called Settings. A typical setting might report, "1024 X 768" with the color drop-down listing, "True Color." You sometimes can get driver version information by clicking the Advanced button that may appear on the Settings tab. Driver features vary, but look around the tabs presented by the driver, you'll probably find it.

  5. A concise description of the problem and exactly what you did to get it to happen. If you can get it to repeat at will, please give us every step from beginning until the end, that will help us replicate your problem. Explain it so we can re-create it here, and we'll do our best to find out what causes it and get back to you with a possible solution.

Monster E-mail alert.

Please don't E-mail graphics with whom you had problems, or huge screen captures, or other large items unless we request them. Please wait for us to do this before sending large images in your support requests. And when you do send them, please use a standard Zip format compression utility.

We welcome your suggestions and comments. E-mail ideas for new features, improvements, or other subjects to support@hyperionics.com.

If you have problems getting to us via the Internet, or you don't have net access (for example you got the program from a PC Magazine or other shareware CD-ROM), you can always mail your questions or comments to us.

Send your mail to:

Hyperionics Technology, LLC

3146 Chestnut Street

Murrysville, PA 15668, USA

And visit our World Wide Web site to download our latest releases, read important announcements, and find out more information about HyperSnap-DX 5 and our other fine products:


Repairing a damaged installation

If something has damaged your HyperSnap-DX 5 installation, you can repair it using the procedures here.

  1. Click on the Start menu, then Settings, then Control Panel.

  2. Double-click on the Add Remove Programs icon in Control Panel.

  3. Scroll through the list until you see the entry for HyperSnap-DX 5. Once you locate it, click on the button Add / Remove.

  4. A dialog will appear asking you to confirm this operation and offering three selections: Automatic, Custom, Repair.

  5. Choose Repair. The installation may request the contents of the original archive file that you downloaded or received on CD, depending on whether or not files are missing.

  6. Follow the prompts that appear and the installation will be automatically repaired, and all missing files will be replaced.

User interface changes.

Depending on your Windows version, the Add/Remove feature may be labeled or arranged slightly differently, for example Windows 2000 shows it as "Change/Remove."

Virus problem?

If the program has been damaged by a virus, you should remove it and then completely re-install the program from "scratch" to remove the viral infestation. In addition, make sure you've scanned the archive itself, and your system, prior to installing, in the event that you did not get the HyperSnap-DX archive directly from our server.


Uninstalling HyperSnap-DX 5

If you're reading this because you've had a problem with the program and have decided to remove it, please stop! Before you remove it, please contact us and tell us what the problem was, perhaps there's a simple solution for it. We want to hear about it and we want to help you solve it so you can successfully use HyperSnap-DX 5.

Contact us at User support.

If you're reading this because you've bought a new machine and want to sell your old system (and properly so, you're removing your licensed software so as to not violate your single-user license), removing the program is exceedingly simple. Follow the directions below.

If you wish to repair a damaged installation see the help for that.

  1. If the program has terminated abnormally (and that's why you're removing it) first re-start Windows. Then after it's back up, click on the Start menu, then Settings, then Control Panel.

  2. Double-click on the Add Remove Programs icon in Control Panel.

  3. Scroll through the list until you see the entry for HyperSnap-DX 5. Once you locate it, click on the button Add / Remove.

  4. A dialog will appear asking you to confirm this operation and offering three selections: Automatic, Custom, Repair. If you wish to remove the program, choose Automatic and press Next.

  5. The uninstaller will remove the program and all icons, shortcuts, etc. from your system. Note that if you changed the icons in any way (for example moved them to a new group or re-named them) they will not be removed. You'll have to do that manually.

  6. Any files you've created and left in your HyperSnap-DX 5 folder will remain behind, and in which case you will have to manually delete these.

User interface changes.

Depending on your Windows version, the Add/Remove feature may be labeled or arranged slightly differently, for example Windows 2000 shows it as "Change/Remove."


Who made HyperSnap-DX?

This section lists the people behind the software, and provides a tip 'o the hat to others who helped in special ways during HyperSnap-DX's development. Without the support of our users and their suggestions, HyperSnap-DX 5 would not be as good as we think it is.

Was designed and written by Greg Kochaniak of

Find out more at: http://www.hyperionics.com

Program documentation and some custom help system graphics were created by Todd Henschell of

E-mail him at: the_scrazner@hotmail.com or visit:

http://home.pacbell.net/scrazner

Special thanks to the following people:

Mark Anderson, http://www.yeardley.demon.co.uk

Samuel N. Ceccola, http://www.jspcservices.com

Mike Healey

rap@aci.net

Martin Sperlich


Copyrights and trademarks

HyperSnap-DX 5 is marketed as a fully functional trial version. Its only limitation is that the screen captures it makes are "branded" to indicate you are using it during a trial period. After thirty days of use you must license this software to continue to use it legally.

Registration is important.

If you don't register the software, it must be removed from your system before the thirty day period of usage expires or you are in violation of our copyright.

Your permission to use the software in order to examine it is strictly limited to this fixed period.

Failure to follow these rules as laid out here is a violation of copyright laws in the U.S. and other countries.

The following copyrights and trademarks are the property of Hyperionics Technology, LLC, and All Rights are Reserved.

HyperSnap-DX, and Hyperionics

All associated documentation and written materials that accompany this program are the property of Hyperionics Technology LLC, and are Copyright (c) 2000-2002.

Written documentation for this program was created by Dangerous Cybernetics™ and contains original graphics used by Hyperionics with license. These graphics may not be extracted and used by any other parties or individuals for commercial or any other purpose.

Anyone distributing the shareware version of HyperSnap-DX 5 for any kind of remuneration must contact Hyperionics Technology LLC—prior to including it within any distribution media—at our declared address for authorization.

Hyperionics Technology, LLC will automatically grant such authorization to distributors recognized by the (ASP) as adhering to its guidelines for shareware distributors. Such distributors may begin offering HyperSnap-DX 5 immediately without prior contact to gain permission.

No other party besides Hyperionics Technology, LLC is authorized to grant permission for vendors not recognized by the ASP, and such permission must be requested by, and will be granted by, writing. (Such writing might be E-mail or via FAX or via traditional mail, it depends on the method the vendor uses to contact us, of course.)

However in any case, and with all vendors, Hyperionics Technology, LLC must still be advised that the program has been made available to the public so that the distributor will always be provided with up-to-date versions of HyperSnap-DX. Upon receipt of the latest version, all vendors are to replace their previously included versions with the latest version in order to keep their permission current.

Other copyrights

Other Copyrights and Trademarks (such as DirectX®, Direct3D®, 3dfx™) as they may be used within the program's user interface or throughout this help system are the properties of their respective owners, and as such, have no connection with Hyperionics Technology, LLC whatsoever.


Ombudsman Statement

Hyperionics is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with an ASP member by contacting the member directly, ASP may be able to help.

The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products.

Please contact the ASP Ombudsman on-line at: http://www.asp-shareware.com/omb.


Disclaimers

Disclaimer agreement

Users of HyperSnap-DX must accept this disclaimer of warranty in order to use the project. By licensing it, you specifically and by your purchase agree to accept the terms of use specified herein.

HyperSnap-DX 5 ("the program") is supplied, "as is." The author disclaims all warranties, expressed or implied, including, without limitation, any warranties of merchantability or fitness for any purpose. The author assumes no liability for damages, direct or consequential, which may result from the use of HyperSnap-DX. User assumes all liability with respect to usage of the program and recognizes that under no circumstances will Hyperionics Technology, LLC be held accountable for any loss of data, work product, time or productivity that may occur as a result of their usage of said program.

Translated: if HyperSnap-DX 5 eats that rare bitmap proving the extraterrestrial origin of the Bermuda Triangle, (you know, the one that you were going to sell to a tabloid paper?), or it turns all of your images bright purple or deep orange with purple streaks and little yellow stars scattered across them, or it causes strange problems with other software or hardware that, upon examination, begin to resemble interference from alternate dimensions (perhaps the product of aliens accessing our space from the 10th dimension, or the violent spatial brutality of the 27th dimension intersecting with our space-time), no matter what...we're not responsible for the results.

Nor will we provide compensation in any manner or fashion for same.

We'll feel very badly, indeed, about those purple images and that lost Bermuda Triangle photo. And of course the dimensional tear that originated in your hard disk will cause us a great deal of worry, the 27th dimension has been on our mind for some time, we're sure parts of Windows code come from there, but we will not be held responsible for these events.

Thank you for your understanding.


Singer-user license terms

License to use this program is provided only upon our receipt of payment of the required fee, and such license does not give the user a right to disassemble, reverse-compile, reverse-engineer, or otherwise examine the trade secrets contained in the program. Your registration numbers or your registered version of the software should not be distributed to any third party.

This software remains the property of Hyperionics Technology, LLC and is used only under revocable license.

Your license covers the version or versions of the software as specified at the time you received it. All versions of the same "master" number (for example, 5.0, 5.5, 5.7—all 5.anything) are covered by your license. If you download and install a "point" release and need a new number because of changes to the program, please see the sections of this file regarding User support and contact us. We'll provide you with a free upgrade to the "point" release.

Your license, should you purchase one, is similar to that of a book. You may use it on as many computer systems as you may own (be that one or two hundred). However the way you use the software should be such that only one copy at a time may be in use at one time by the licensee.

For example, many folks have a desktop and a laptop. You may install HyperSnap-DX 5 on both and license both copies, but you may not use the program on your laptop and your desktop at the same time. Think of it as you would a book: you can read it anywhere you like, but you can only read one copy of it at a time.

Hyperionics is a member of the Associate of Shareware Professionals and follows the bylaws as set down by that organization.


Site license types and terms

License to use this program is provided only upon our receipt of payment of the required fee and your receipt of the proper license numbers.

Note to site license users: HyperSnap-DX 5 is supplied as is. The author disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The author assumes no liability for damages, direct or consequential, which may result from the use of HyperSnap-DX. User assumes all liability with respect to usage of the program and recognizes that under no circumstances will Hyperionics Technology, LLC be held accountable for any loss of data, work product, time or productivity that may occur as a result of their usage of said program.

We offer two types of site licenses that cover varying types of usage, and one or the other should suite the purposes of medium to large business usage.

Limited area site license - purchasers of this type of license may use up to 500 copies concurrently, for their employees/associates located at one physical location.

Unlimited worldwide license - this license covers worldwide corporate area no matter the locations or numbers of users. If your company is likely to expand beyond the dimensional restrictions of the other site license's terms, this option is the best for you. Not only is the upgrade cost between versions fairly low, the fact that you do not have to track locations and ranges from the home office makes it a real winner.

Medium to big company?

We'd like to encourage all corporations looking for a site license to purchase the second site license type, which will greatly simplify their use of the program. It simply isn't that much more to have complete freedom of usage, and administration costs in order to track the legality of your corporations usage will probably exceed the difference between the license types.


Hyperionics address

Hyperionics Technology's official address

Send any written communication to info@hyperionics.com or:

Hyperionics Technology LLC

3146 Chestnut St.

Murrysville, PA 15668

USA


Button tab

This tab sets options related to capturing button controls, such as OK or CANCEL on dialog boxes or other program interface components.

You can select if the captured area should be enlarged beyond the button's edges by the specified number of pixels on each side of the button. This can make the capture look a bit better when pasted into a document, giving you a little "breathing room" around the button graphic.

If you enter negative values, the area will be decreased instead of enlarged.

For example, to capture Internet Explorer 6 buttons together with a 1 pixel black frame surrounding them, set each of the Left, Right, Top and Bottom values to 1 pixel.

You may change all four values by 1 pixel up or down by clicking the [+] and [-] buttons in the middle of the group, or you can reset all values to zero in order to start over by clicking the Reset button.


Capture header

Capture settings tabs


Capture settings tabs

These tabs, accessible from the Capture settings button on the Toolbar, or from the Capture menu item, Capture settings, define the default settings the program will use when you execute screen captures. This section of the help explains each item for the tab set in the order it appears in the tabs.

Before you change a default operation, please make sure you're clear on what that function does and how it will change the way in which the program works. Jot down a note on what you've changed, in case you don't like the results and want to change them back.

As always, the best way to discover what something does is to examine it, change the setting, and re-capture the same screen or window and see how it differs from the previous setting's results. Experimentation will always be the best way to learn what something does, as long as you remember what you changed and what it was previously in case you don't like how it came out.

You can access some of the settings during post-capture processing (for example, cropping and scaling).

Click on the names of each tab displayed to the left to view help about that tab in the pane here.


Capture tab

This tab controls the core capture functionality. You will probably find yourself changing these parameters more than any other settings tab items.

Delay time before the capture - the default is 500 milliseconds, which would be a half second. If you set this to 1000 milliseconds, it will wait a full second, and so forth. Find a value that gives you the time you need to get things "in order" for the capture.

Include cursor image - check this to capture the mouse pointer or cursor in your image. Great for showing those 1, 2, 3 step explanations such as in software documentation. Capturing a cursor is fairly simple. The easiest way to capture it is by using hot key to actually initiate the capture: minimize HyperSnap-DX window and move your cursor to the exact position where it should be captured. Next press the hot key combination to start the capture, for example: Ctrl+Shift+R for "Region" capture. Note that cursor image gets "burned" into the desktop - now you can move the mouse to outline your capture area, the cursor will be there exactly as you see it.

If you are using HyperSnap-DX menu or toolbar button to start a capture, this is more difficult. Here are the steps for including the cursor in a regional capture (which, if you think about it, shouldn't be able to include the cursor because you're using the cursor to draw the region).

  1. First outline and execute a region (or multi-region) capture without worrying about where the cursor is.

  2. Verify that the capture came out as you wanted in HyperSnap-DX 5's window, and if it's OK, minimize HyperSnap-DX window to the task bar.

  3. Move the cursor over the screen where you want it captured as in the previous "region" capture.

  4. Press the F11 hot key to repeat the last capture.

  5. The same region will be re-captured again, this time with the mouse cursor in place.

Jumping hot keys.

If you changed the default hot key assignment, you must press your current "repeat last capture" hot key instead of F11.

Auto-scroll window during Window capture - check this to automatically scroll the captured application's window. It scrolls long pages with a vertical scroll bar, allowing you to capture more than you can see on the screen. In general, leave this function disabled unless you absolutely need this functionality.

Auto-scroll limits...

This function doesn't work for all applications that have a vertical scroll bar. Some applications erase the marks that HyperSnap-DX 5 draws over the window it captures while scrolling. These marks allow it to find out how many pixel lines the window was scrolled during the scrolling interval. If these control marks are erased, HyperSnap-DX 5 has no way of knowing how much data to capture, so it gets lost and gives up the ghost.

In such a case, it will display an error message and capture what it could without scrolling. The most popular web browsers (Netscape and MS Internet Explorer) work well with auto-scroll, and many other programs tested well with it. However it may not work with programs who handle the screen in a method hostile to the control mark method.

Here are the steps for making an Auto-scroll window capture. Please read them carefully before attempting an Auto-scroll capture.

  1. Make sure the Auto-scroll option is enabled.

  2. Have the target window ready, with the vertical scroll bar set to the top, or to the place where you want to start the Auto-scrolling capture.

  3. Select Capture / Window from HyperSnap-DX 5's menu, or press the "capture a window" hot key Ctrl+Shift+W.

  4. Move your mouse to the middle of the document that you want to Auto-scroll capture and click the left mouse button inside the document.

  5. Watch how HyperSnap-DX 5 scrolls the window, and as it does this, it draws horizontal marks over it.

  6. The capture is complete. Examine the contents of HyperSnap-DX 5's window to make sure it captured the contents correctly, and save the file using the name you wish to use.

If you want, you can abort this process early by left-clicking the mouse or by pressing any key on the keyboard. If you elect to wait until it finishes, the window will scroll until all of the available text has scrolled into view and has been captured. On some documents, remember, this might be very, very long resulting in a huge capture that consumes much memory (or disk space).

Auto-scroll refresh time - sets the rate at which the window will be scrolled during capture. A smaller number causes the screen to be scrolled faster, a larger number causes it to be scrolled more slowly. You may have to adjust this figure to obtain the results you desire from the capture.

Show help and zoom area during region capture - checking this shows context sensitive procedural help during region captures. Once you know how to execute these procedures, you can uncheck this to remove the help screens from your desktop.

Default region shape - you can pick the type of region you want to capture here. It does not have to be rectangular, drop down the list to examine the possible choices, and select the one you wish to use for the default shape.

Start multi-region capture with - choose from either a Window or Control selection, or a user-selected Region to begin multiple region captures. For example, you can choose to grab a single application window as the first region, and then snag a freehand-specified region off of that for the next portion.

Background color for non-rectangular and multi-region captures - since these types of captures by definition are "irregular," and documents must all be regular in shape, you must specify a color to fill the areas between the captured regions or windows. White is the default color. You can select this background color with the following button on the drawing toolbar:

Background/Transparent Color button

Play sound when making the snapshot - checking this enables the camera sound HyperSnap-DX 5 plays when you execute a capture (or when you press Print screen, if you've enabled it to capture that standard Windows function). The sound lets you know that HyperSnap-DX 5 is "at work" rather than the standard Windows clipboard screen capturing functionality.

Hide HyperSnap-DX window before capturing screen - Check this to have the HyperSnap-DX window automatically hide itself before capturing the screen. Turn this option off only if you need to capture HyperSnap-DX window itself.

Restore HyperSnap-DX window to front after the capture - if you usually like to work with your captures right away after making them, checking this will cause the program's window to "pop up" with the most recent capture as the active document, ready for any work you might want to do with it.

Capture layered windows - Keep this option turned on to capture "layered" windows. These are those oddly shaped objects such as Microsoft's Office Assistant, or other partially-transparent or translucent windows. Probably the only situation when you want to turn this off is if you've got buggy graphics card drivers, which might give you scrambled pictures when capturing with this option on.

Do automatic paste, print or save ONLY if a new capture is different from the previous one - turn this option on if you also have enabled any of the following options:

  1. Automatic paste or print on Copy & Print tab.

  2. Automatic save on Quick Save tab.

...and you want only to paste, print or save new captures if they are different from the previous capture.

Even a slight difference in only one pixel of the new image will trigger the paste, print or save action.


Capture tabs list

Capture tab - set basic capture options here.

Button tab - control how the program captures or handles buttons.

Crop & scale tab - set how the program will "trim" unwanted capture data.

View & edit tab - control how HyperSnap-DX 5 handles itself and successive captures.

Copy & print tab - establish settings for clipboard and printer usage.

Quick save tab - define file saving parameters.


Copy and print tab

You can define some specific "paths" captured data can take (in addition to being visible in the program's main window.

Copy each capture to clipboard - automatically clears the clipboard and inserts the capture onto it for use throughout the Windows system.

Paste each capture to: - this option will automatically insert the capture into its application workspace. All programs that can read bitmapped data through the clipboard should be able to handle this functionality.

Minimize this window before the capture - causes the selected application you've chosen to receive the capture to be minimized (reducing its visibility) during the capture. Unless you want the receiving application to be in the capture, you should probably check this option when sending images to third-party program.

Automatically print each capture - works just like the old DOS Print screen used to before Windows appeared. It sends the desired capture to the default printer you've selected in your printer folder. If you have multiple printers, be sure you've chosen the desired one as your default printer before checking this.

Prompt for printer - will display standard Windows "Print" dialog box to select the printer before automatically printing each captured image.


Crop and scale tab

This tab sets options related to clipping out unwanted parts of your image or automatically reducing the image's size.

Crop image - define the values here in pixels, setting the amount from the left, top, or as a percentage of the width (for example, by 50%). You can pre-set all captures to have the specified region removed automatically.

Cropping setup.

The easiest way to set this to the desired figure is to define a selection rectangle in HyperSnap-DX 5's workspace and then click the button Set to current selection rectangle. This is much faster than typing in "guessing" values.

Set to current selection rectangle - click this to automatically set the cropping box to the values present inside the current HyperSnap-DX 5 document window

Scale image - enable this and set options here to automatically reduce (or enlarge) your captured images. This can be either in pixels or in scaling factors, and you can set either values independently. For example, you can scale the Width to 200 pixels wide and the height by 50%. However generally it's easier to understand what the results will be if you keep both values the same.

Keep aspect - check this if you are working the scaling in pixels (it will be disabled if you're working in "scaling factor" and the image will automatically be sized up and down without becoming distorted.

Interpolate colors - check this to apply certain logic to the image that will improve the scaling by making intelligent "guesses" regarding the new pixels that may need to be created as an image is scaled. Sometimes images will appear less "chunky" or "aliased" when scaled if you enable this option. It has the effect of smoothing the scaling operation and making it less noticeable, especially on intermediate scaling functions (small percentages or pixel counts).


dialog_page_setup

Page setup dialog

Paper Size - this controls the selection of paper the program will use to format the document as it prints it. This must match what's actually in your printer or what you print will not come out as you desire. Drop down the list to examine the available sizes.

Paper Source - this controls from which tray (for printers with multiple trays) that the program will select paper. Very handy if you want to do "test" printouts using plain paper in a lower tray, and "final" printouts in high quality paper in a top tray.

Orientation Settings - select either Portrait (the "standard" way you print most things such as a letter, Landscape (like a spreadsheet), or Best Fit. With Best Fit, the program examines the proportions of the image and automatically determines which would best work with your document, trying to maximize the appearance of the image in respect to the aspect ratio of the page.

Header and Footer... - click this button to define header and footer text to use on the pages. On the following property sheet that appears you can define the text and position of the headers and footers, all of which are fairly self-explanatory.

Margins - define the margins that you wish to use. Note that you cannot define a margin beyond those supported by your printer. Consult your printer's documentation for the exact numbers here.

Center Image - check this to have the program place your image directly in the center of the page. If you're not going to trim off the white space around the image, this is probably a good idea to check (it will make the image appear more nicely formatted on the page, in genera).

Colors - here you can control certain functions such as Inverting Black and White (just like what it sounds), Black and White Only (converting the image from color or grayscale to black and white, which allows you to print color images to printer drivers that do not support them, such as dot-matrix printers), and Draw Frame, which puts a border around the image. That's handy if the image contains white area that might cause it to blend in with the page's background.

Scaling - choose from either Auto-fit to Fill the Page, maximizing the image on the paper, or Scaling, where you can select values from 100% to 1%. If you check Auto-fit and the image is too large, the program will scale down your image until it best fits on the selected page size. This choice makes the size of the image relative to the size of the paper selected, too.

Printer selector - using this button, select the printer you wish to use. This choice will change how the printed image is handled. For example if the default printer is a grayscale laser and you select a printer with color capabilities, then you might wish to make sure you have not converted the image to black and white.

You can click OK or Cancel, either setting your changes as the defaults, or discarding them.

To print this topic, right-click this window and select Print.


dialog_set as wallpaper

Set as wallpaper dialog

Set as wallpaper - this lets you choose to set the current image as your Windows wallpaper. Before you can set an image as your system wallpaper, you must first save it as a Windows format bitmap, the exception to this being Windows XP which will automatically translate JPG files into wallpaper.

During this process, you can specify (if you want) the file name to use, or you can browse to choose an existing file name and overwrite that name. From the Set as wallpaper dialog you can set several properties for your system wallpaper, such as how it will be displayed. HyperSnap-DX will automatically name the wallpaper file if you want it to (the default behavior).

  • Choose between Center (which displays it smack in the middle of your desktop) or...

  • Tile (which multiplies it as many times across and down as required to cover the desktop), or...

  • Stretch (which elongates the image across both vertical and horizontal dimensions to make it cover the desktop).

If you want to remove the selected wallpaper, you can click the Remove wallpaper button.

To print this topic, right-click this window and select Print.


dialog_change_resolution

Change resolution dialog

Resolution - the image resolution, usually expressed in number of dots per inch (DPI), affects the size of an image when it is printed or inserted into other documents (for example into an MS Word document). If you change the resolution to a higher value, each pixel will become effectively smaller, so the whole image, when printed or inserted into some document, will appear smaller as well.

Choose the value you want to use for both horizontal and vertical resolution in this dialog.

If you select different values for the two, your image will become squished or stretched (which may be what you desire, you can use this as an effect). In general, a resolution that's evenly divisible into or by that of the final intended display device will produce the best results.

Apply to the current image - uses the values here on the current image.

Use as default for future images captured from the screen - sets the values here as those to be used from this point on.

Click OK to close the dialog and apply the changes you've defined here.

To print this topic, right-click this window and select Print.


dialog_color_resolution

Color resolution dialog

Using this dialog you can change the color "depth" of the active image. Possible values are from 1 (monochrome, a depth of either black or white) up to 32 bit, which contains every possible color plus a plane for transparency.

  • Choose how the colors are ordered in the data, selections being Blue-Green-Red or Red-Green-Blue.

  • "Standard" windows bitmaps typically use RGB ordering, and changing this will have the effect of reversing the apparent color of the image.

  • You can effect how an image that is reduced to a level below "optimum" is dithered (which means colors "close to the original" are approximated by certain pixel changes). There are several possible dithering options from which you can choose here, and the final result will vary significantly based on the original image, its original color depth, and patterns within it.

An image with a pattern of fine lines may not reduce well to a level where it must be heavily dithered, because the dithering will degrade the apparent resolution of the line content of the image. Your best approach is to move the dialog to the side so you can see your image, and click on the various dithering procedure radio buttons one-by-one until you see the one that handles your image's color reduction with the best results.

To print this topic, right-click this window and select Print.


dialog_color_substitution

Color substitution dialog

This dialog lets you pick colors and then replacement values to use to overwrite the original values. The dialog is easy to use, and if you need to replace colors in an image, you can be up and running in just a few moments.

  • You Add a color to replace, then using the Old color boxes on the bottom left, enter a value—or use the color picker—to choose the color you want changed.

  • You can replace many colors at the same time, just keep picking the Old color and New color values until you have all of the colors you want to replace.

  • Then using the New color boxes, enter manually (or use the picker) select a color to use to overwrite the old color.

  • When you're finished defining replacement procedures, click Apply to make your changes take effect.

You can save lists of replacement procedures by clicking Save List. These can be useful when producing large volumes of images where you want to drop out a specific color (like a green screen image used in matte processing) and you'll be replacing the specified colors over and over during the duration of a project.

If you don't like the change after applying it, click Revert to undo them before taking any other steps or closing the dialog.

You can pick colors either by entering their numerical RGB values, or by choosing them from the image's area with the eyedropper. Note that if you want to use the eyedropper, be sure to move the dialog completely off of the image so you have full access to all of its pixels. (You may want to click on one below the dialog, and you won't be able to do so once you load the eyedropper.) Left-click the color with the eyedropper and its values are then automatically "grabbed" and filled in for you on the dialog.

If you've saved lists, click Open List to open a color replacement list script for usage with the current image.

Click Done when you're finished replacing colors.

To print this topic, right-click this window and select Print.


dialog_copy_format

Copy format dialog

Bitmap format to put in clipboard

Copy both - copy both DIB and DDB formats to the clipboard (the default). This is like a standard Windows "copy" operation.

DIB only -strip the DDB (Device Dependant format) and copy only the Device Independent format to the clipboard.

DDB only - strip the DIB (Device Independent format) and copy only the Device Dependant format to the clipboard.

Auto select color format best for current display mode - let HyperSnap-DX choose which format is best for the display mode you're using now. This may change how the program handles bitmap formats from one capture to another if the display mode is changed between them, too (for example, you go to a higher color display driver).

Select color format

Black and white (1 bit per pixel) - remember, this is black and white, not grayscale. It will turn the capture into a collection of monochromatic regions that will look very different from a color capture.

16 colors (4 bits per pixel) - this standard format is commonly used for toolbar buttons and for other graphics used by programmers, in order to better conserve the display colors allowed by Windows. It will make estimated guesses as to the closest color in a 16 color palette when assigning pixel values. Substantial image degradation will occur in most cases, except when capturing things like gray program menus, and so forth. However the files captured with this format will be small.

256 colors (8 bits per pixel) - a good medium ground for many captures, also the highest color depth allowed for GIF format images. If you'll be ending up with GIF files as your final destination, this option is a good choice to start with.

16 million colors (24 bits per pixel) - true color format, this is the highest value supported. If your current display driver is set to "high color" or "true color," and your destination is meant for the screen (such as wallpaper) you should select this value.

Minimize HyperSnap window on copy operation - instructs the program to hide itself when you perform captures.

Click OK to establish your bitmap format copy settings. Click Cancel to abort making your changes and return to HyperSnap-DX.

To print this topic, right-click this window and select Print.


dialog_commands_tab

Customize commands tab

This tab supplies the categories of available toolbar buttons (which can also be menu items) on the left, and the graphical representation of these on the right. You add a desired button from any of the categories by dragging it up to the place on the existing toolbar (or menu) where you'd like it to be. An I beam tool will appear showing you into which gap the button will be dropped.

You can drop the button between any existing button, or on either end of the toolbar, if you'd prefer. Below the list of buttons is a description for what the currently-selected button in the list will do when you click it during work.

You edit the main program menu in virtually the same way.

  1. Select a function to add to a menu, and drag the graphic for that command to the menu.

  2. The menu below the mouse cursor will "open up," and you can then drag the graphic up and down to locate the item where you'd like it.

  3. A horizontal ][ beam graphic will appear so as to display the final location of the added item when you drop the graphic.

  4. Release the graphic when the I beam is where you want the new menu item to appear, and HyperSnap-DX 5 will add the function at that location.

To print this topic, right-click this window and select Print.


dialog_edit_stamp_frame_tab

Frame tab

Frames are 3D rectilinear objects that HyperSnap-DX can apply around an image applied as a stamp, or you can manually drag the frame to fit within whatever square or rectangular shape you want on top of an image. (Handy for framing an image "within" another, such as a picture of a picture.)

Frame color picker - this loads the eyedropper tool to pick the frame color from any visible object on your desktop. You can also choose a color from the standard color picker drop-down that appears when you click the downward-facing arrow to the right of the eyedropper graphic.

Background color - working as does the Frame color picker tool, you can choose a background color from either anything visible on your desktop or from the standard color drop-down.

Make it transparent - when checked, makes the background of your frame transparent so the image below will show through.

Frame width (in pixels) - setting this to zero disables the frame portion of the stamps dialog. This is the same as un-checking the "use this..." box on the other tabs within the Stamp create/edit tabs.

Image position (pixels) boxes (Left and Top) - establish the left and top coordinates in pixels of the picture selected on Image tab relative to the upper left and top edges of your stamp. You can adjust these two values to make the picture appear where you'd like within the stamp.

Text margins (pixels) boxes (Left, Top, Right, Bottom) - adjust the margins around the perimeter of your stamp's frame so that text doesn't "bang into" the frame. Provides breathing room for the text contents of the frame.

Stamp size (pixels) boxes (Width, Height) - set the size of the finished stamp here by entering pixel values for its width and height. You can do this graphically by clicking the Preview button and then resizing the stamp window that's displayed there, too.

Set to image size - click this button to make the stamp size to match exactly the size of the picture selected on Image tab.

Click OK to either save your edited stamp, or create your new stamp, and close the Edit stamp dialog. Remember that you must apply a name to the stamp if it's a new one, prior to saving.

To print this topic, right-click this window and select Print.


dialog_edit_stamp_image_tab

Image tab

From Selection - click this to load a picture fragment currently selected in HyperSnap-DX document window. If there is no visible selction, the stamp will use the entire image from HyperSnap-DX document window.

From File - click this to load an Open picture dialog, which will allow you to select any supported image file format to use as the source of your stamp.

When this dialog appears, it has several important options. These include, of course, the file name, a file filter drop-down, which allows you to choose which types of file(s) to preview in the Open Picture, and Page number to open. The latter is a value, which defaults to 1, allows you to choose from available pages in multi-page images formats (such as animated GIF files).

Finally, the Open Picture dialog has a check box Enable Preview, which allows you to see what the content is of the file, or subsequent pages of multi-image files you may elect to preview, by changing the number in Page number to Open. If you un-checked Enable Preview, the the dialog will operate a bit more quickly on larger files, but you will lose the ability to see your chosen frame of multi-page formats beyond page one. Click OK to open that file as your stamp source, or Cancel to abort.

Edit Image - drops you back into HyperSnap-DX so you can alter the chosen file. When you're done, save it and re-enter the Stamps dialog to continue with your changes. (The first time you do this, it may be a little disconcerting to see your stamp project "go away", but you can come back to it.)

Delete Image - clicking this removes the bitmap image from the stamp, effectively clearing its background.

Use this image on the stamp - check this to use the selected image on your stamp as a background. The source of this can be either a selection, which you can make within this tab which previews your active image upon checking From Selection, or From File, which loads a file browsing dialog.

All of the Stamp tabs show the controls at the bottom that allow you to define the Stamp Name, Save stamp, Insert on picture, (which applies it to the open picture, if possible), Insert and save, which combines both functions, and a Preview button which allows you to get a look at your stamp's current configuration.

Click OK to either save your edited stamp, or create your new stamp, and close the Edit stamp dialog. Remember that you must apply a name to the stamp if it's a new one, prior to saving.

To print this topic, right-click this window and select Print.


dialog_edit_stamp_placement_tab

Placement tab

Place at current selection - checking this HyperSnap-DX will insert the new or editing stamp at the location of the current selection on the current document in HyperSnap-DX's window.

Extend picture at top (add as a header) - the stamp gets "glued" onto the top of the current image as a header, as if you'd extended the image's background at its top edge and then applied the stamp there.

Extend picture at bottom (add as footer) - the stamp gets "glued" onto the bottom of the current image as a footer, as if you'd extended the image's background at its bottom edge, and then applied the stamp there.

Place on the picture - inserts the stamp directly on the image, overwriting the image's contents with the stamp's contents. When you check this, some other functions relating to the Offset of the image, are enabled.

Offset (Horizontal and Vertical) - specify here the offset you'd like to use when applying this stamp when you are placing the stamp on the picture directly. If you don't specify offset, the stamp is applied to the upper left hand corner of the image. If you apply values here, the stamp is "shifted" by the values you specify here. These two values are modified by the selectors below the Offset boxes, which allow you to choose from which locus of the image you wish the offset to be applied.

From picture (offset application starting point) - these allow you to specify the "starting point" of the offset you wish to have applied. You can have the stamp shifted from the locations listed here (Top-left, Top Center, and so forth) by the values listed in the Offset entry boxes, above. The combination of these "points of origin" boxes and the offset values allow powerful control over placement of your stamps.

Blend (Transparent to Opaque) - use this slider to control how much your stamp blends in with the base image. It can be set to be Opaque, or have no blending, to Transparent, which is 100% blending with the base image.

Auto-add this stamp to all captured images - tells the program to insert this stamp automatically on all images you capture with HyperSnap-DX. Great for the application of copyright text to game screen captures, or for other "production" uses where you'd like text or other data to be applied without any other action by you. This can save a lot of work when you've got to create a bundle of captures for public release or other purposes, and you want to declare ownership, authorship, and so forth.

All of the Stamp tabs show the controls at the bottom that allow you to define the Stamp Name, Save stamp, Insert on picture, (which applies it to the open picture, if possible), Insert and save, which combines both functions, and a Preview button which allows you to get a look at your stamp's current configuration.

Click OK to either save your edited stamp, or create your new stamp, and close the Edit stamp dialog. Remember that you must apply a name to the stamp if it's a new one, prior to saving.

To print this topic, right-click this window and select Print.


dialog_edit_stamp_tabs

Edit stamp tabs

Stamp creation / Edit tabs

The features of New stamp and Edit stamp are essentially the same, and are broken out into multiple tabs, all of which are explained below. The only difference between New and Edit is that the New stamp dialog asks you for a name on the bottom. Edit stamp uses the pre-existing name, and of course you should have selected a stamp within the stamp list prior to clicking Edit stamp.

Image tab - this lets you add images to a stamp, either from a selected area within a file open in HyperSnap-DX, or from a file already saved to a disk. If you want, you can edit the image in HyperSnap-DX and then return to this tab to continue working on the stamp. You can, finally, disable the appearance of an image temporarily by un-checking Use this image... on the bottom right of this tab.

Text tab - here you can apply text, both static and dynamic "fields" to your stamp. The stamp can contain complex lines that change with the properties of your system (date and time) and the file (path and filename). In addition, you can add static text such as a copyright declaration or other information as required. Format the text just like you would in a paint program.

Frame tab - this tab lets you create frames to be used around your stamps, which can greatly enhance their appearance. The frames here work almost exactly like the Frames tool on the Image menu. Set the properties of the frame, and then enable it by setting a width for it. To disable it, set the width to zero and the frame will not appear on the image.

Placement tab - this tab lets you define precise placement parameters for your stamps. Using the settings here, you can adjust your stamp to it appears exactly where you desire on the image.

On the bottom of the tab sets are several other functions that are important.

Save stamp - when this is checked, you're creating or saving a stamp which will then go into your database of available stamp tools.

Insert on picture - when this is checked, you're creating a "one time use only" stamp to be applied only to the current picture in HyperSnap-DX's current window tab.

Insert and save - one-stop-shopping is the bargain with this checkbox. Checking this and you are both creating a stamp, and then without adding further steps to the process, HyperSnap-DX applies the stamp to the current image.

At any time during stamp editing or creation, you can click the Preview button to get a look as to how the section you are working on will look when applied.

All of the features of each tab on the Stamp editor are too complex to cover in a pop-up topic, so if you need more help please see the topic linked to the button below.

To print this topic, right-click this window and select Print.


dialog_edit_stamp_text_tab

Text tab

Font formatting tool buttons - use the buttons immediately to format the text or fields you apply to your stamps and images. The font selector button lets you choose a font, including in those choices all of the typical options in the Windows common font selection dialog. The paragraph buttons and B I U buttons allow you to apply paragraph formatting to the text you've typed (or wish to have the fields place into your image).

Eyedropper tool - this tool lets you pick a color directly off of any location of your Windows screen. It will enable a set of screen-width crosshairs, with a dropper at the center. Locate the dropper over something that's the color you wish to use and then click your left mouse button. The color under the eyedropper will appear on the eyedropper button. Alternately you can click the downward-facing arrow on the eyedropper to choose a color from the standard Windows color selector panel.

Date button - check this to insert a programmatic date field into your text block. This is dynamic and will be applied to the image at the time the stamp is put onto the image. The format used is the current standard Windows date format (which may vary from one country to another). You can also directly type this in by entering %date% in any text string you desire. For example you could have a stamp that has the following text:

Copyright by Hyperionics %date% All Rights Reserved

Time button - like the Date button, used to insert a date field, %date%, into your stamp. It works just like the Date button in that the actual text applied to the message is dynamic, and also uses the time format set by the current system properties in Control panel, International settings, date and time.

File button - applies to the stamp the current filename of the image. Important note: if your filename is very long, and the image is very small, your stamp will cause HyperSnap-DX to add so much material at the top or bottom as to degrade the aesthetics of the image. Experiment a bit to see what font size and other formatting issues work best with various image sizes. Play with a test image and various font sizes in order to get to a good solution prior to using this tool with very long filenames.

Path - Like the file button, will insert the current image's path name. You can also put the File and Path fields together as, %path%%file% in order to get a long representation of the file's operating system properties, such as C:\Program Files\HyperSnap5\image.jpg.

User - applies the user name of the currently-logged-on user. So for example if the Administrator is logged on, it would add "Administrator" to the new area of the image the stamp creates. This function operates like the File, Path, and Time buttons, essentially.

Use this text on the stamp - check this to apply the text or special "fields" accessible from the buttons to the right to your stamp (and thus to your image). When unchecked, no matter what text is on the tab, it will not be applied to the stamp or image. The text can be formatted very much like that in a word processor, with multiple alignments, fonts, and colors being supported, in addition to powerful field functions such as date, time, and so on.

All of the Stamp tabs show the controls at the bottom that allow you to define the Stamp Name, Save stamp, Insert on picture, (which applies it to the open picture, if possible), Insert and save, which combines both functions, and a Preview button which allows you to get a look at your stamp's current configuration.

Click OK to either save your edited stamp, or create your new stamp, and close the Edit stamp dialog. Remember that you must apply a name to the stamp if it's a new one, prior to saving.

To print this topic, right-click this window and select Print.


dialog_edit_stamps

Edit stamps dialog

Stamps folder: - this shows you the current "in-use" stamps folder HyperSnap-DX is pointed to. You can change this using the Browse button. Navigate through your system to locate the folder you would like to use to store stamps.

You can have up to 40 stamps in a folder. If you have more than that, they won't display properly.

New stamp - click this to begin the process of creating a new stamp. This loads the Edit stamp dialog, a subset of the Stamps tool.

Stamp name - this appears on the entire set of tabs. You define the name here by typing whatever you like. The program will automatically increment the name(s) for you if you want, with Stamp 2, Stamp 3, and so forth. If you do not want this to happen, enter your own name. Checking the box to the left of the Stamp name will set that stamp to appear automatically on your captured images.

Edit - Click this to enter the Edit or New Stamp (both called Edit stamp) tabs. Once there you'll see several other buttons and controls as part of the Edit stamp tabs grouping.

(These tabs have their own help topics, accessible while you're in those tabs by clicking the Help button.)

Preview - gives you a quick look at how your stamp will look in action, leaving out the image to which the stamp will be applied. You can also edit the stamp's position and proportions within the preview window, too. You do this by dragging or sizing the stamp's

Delete - deletes the selected stamp from your collection. This is not reversible, so be careful, and make sure you've marked the one you really want to delete.

Insert - applies the selected stamp to the current image in HyperSnap-DX's workspace.

To print this topic, right-click this window and select Print.


dialog_frame_tool

Frame tool dialog

Frame - HyperSnap-DX can apply frames around (or onto) your images. These can improve your images, such as preparing them for inclusion into digital photo albums or just for fun. The Frame tool is easy to use and has a number of features that let you control how it looks. As is usually the case, experimenting with the tool is the best way to learn how it works and get the best "feel" for it. A few other tips about frames:

  • The frame can be auto-applied to every captured image, if desired, and can be made in virtually any color your system supports.

  • The frame preview window will give you a good idea as to how your frame will appear.

  • If no image window is open when you open the frame tool, you're just setting the properties for frames applied from that point forward (and some options within the tool will be disabled, such as applying the frame to a selected portion of the image).

When you're finished setting the various frame properties, click OK to apply the frame either to the selected part of your image, to the image's outer margin, or to all captured images from that point on (depending on which options you checked).


dialog_image_background

Image background dialog

This dialog allows you to select a Background color and Hatch color and pattern for the portion of HyperSnap-DX window that's not filled with a captured image.

You can decide if you like the image positioned in the top left corner or centered, when the capture doesn't completely fill the application's window.

Also you specify here the color and pattern applied by the program to transparent areas of images that support this feature.

The background color and hatch values could be very important when you want to test image transparency. On the Background Color button of the HyperSnap-DX 5 drawing toolbar, you can select one color from the image and make it transparent, so that when an image is saved in GIF format (which supports transparencies) and it's later displayed in a web browser window, the web page background will show through the image in places where the specified transparent color exists.

By changing the HyperSnap-DX 5 image background here, you can thus test how this image will look on different colored or textured backgrounds, giving you a better feel for how it will appear on the destination web page when a reader views it.

You should choose a Background color and a Hatch color that contrast sufficiently well so you can clearly see what area of an image with transparent areas.

Click OK to apply your changes.


dialog_image_effect_tool

Image effect dialog

This dialog allows you to apply an effect or process to your image. There are several of these that are very similar, and are self-explanatory. They contain a slider control that allows you to set the degree of effect (for example Shear, or Mosaic tile size), and other controls that define how the effect will be applied to your image.

There may be additional controls to define other properties, such as the direction of the Emboss effect.

Once you've set the effect application dialog to the values you desire, clicking OK will apply that effect to the current image or selection within HyperSnap-DX's interface.

Clicking Cancel will abort the application of the effect.


dialog_keyboard_tab

Customize Keyboard tab

To edit your keyboard configuration, first select a Category to edit (these are the topmost-level menu items on HyperSnap-DX 5's menu). Then select a Command from the list on the left, click in the box labeled Press new shortcut key, and then press the key or key combination you'd like to use. Note that you don't want to use any of the Windows "system" keystrokes (such as CTRL+V).

If the menu item currently has a shortcut key assigned to it, this will be displayed in the Current keys box (you can change it if you wish simply by assigning a new key combination to it using the entry box, below the Current keys box).

You choose which menu you'll be setting shortcut keystrokes for by dropping down the Set Accelerator for... list. On new installations the only available item there will be Default, the main menu structure. Use the Assign button to specify the keystroke you've entered in the box as the keystroke to be used for the selected Command in the Command list.

To assign a new key to a command:

  1. Click in the Press New Shortcut Key field.

  2. Press the key combination you want.

  3. If that combination is available (that is, not used by other commands), you can click the "Assign" button, and then proceed to customize any other keys you wish to change.

The button labeled Remove will clear the currently-selected function's keystroke.

The button Reset All sets the program back to its default keystroke combinations.

Note that all of your changes will be lost if you click Reset All.

To print this topic, right-click this window and select Print.


dialog_menu_tab

Customize Menu tab

The Menu tab lets you customize the menu. While this tab is open, you can set certain aspects of menu appearance (animations and shadow).

You may also left-click any menu and then left-click and drag any item on the menu to rearrange the menu order. Or you can drag any item off the menu (by moving it off of HyperSnap-DX's window) to delete them. In addition, if you right-click a menu item you can select Button Appearance to further alter the menu item's text and ALT+KEY properties.

To change the underline key from the Button appearance dialog, where it shows Button text on the bottom, enter an ampersand (&) to the left of the key you wish to use when pressed with ALT while the menu is open. For example, ALT+O when the file menu is open usually opens a file. If you want that to be ALT+E move the ampersand so it's to the left of the E.

A click with the right mouse button on any actual menu item when the Customize tabs are opened allows you rebuild almost every aspect of HyperSnap-DX's appearance. The main Menu help section has lots more help about this dialog.

To print this topic, right-click this window and select Print.


dialog_options_tab

Customize Options tab

Show ScreenTips on toolbars - either enables (checked) or disables (unchecked) the help text that appears when you hover the mouse over the toolbar button.

Show shortcut keys in ScreenTips - this sets the ScreenTips, when enabled, to also display any available keystroke shortcut to execute that button's function.

Large icons - checking this uses the "SVGA" button size. Great for users with high-color high-resolution displays such as 1280 X 1024. The buttons are easier to see than the smaller buttons at such a resolution, although they take up more screen real estate.

Look 2000 - changes the toolbars to look like Windows 2000 and Office 2000 toolbars. This option shows up only if you turn off the Office XP Style selection under the Options menu.

Menus show recently used commands first - enable this to set the program to prioritize the menu items by how often and recently you've used them. Most-used commands are automatically moved to the top of the menu, and least-used commands are hidden below the little double "caret" at the bottom of the menu.

If you enable Menus show recently used... then the item below will be available for checking.

Show full menus after a short delay - this works in tandem with the above listed function, and causes the least-used menu items (which are hidden beneath the little double "caret" at the bottom of the menu) to automatically reveal themselves after a brief delay of a few seconds.

Reset my usage data - clicking this erases the database HyperSnap-DX keeps that lets it know which menu items you've used the most. Click this if you want to reset all positions back to the default places for each item. Doing this is not reversible, so be careful.

Tear-off menus available - when you open any menu during normal program operation (but not when you are in "Customize" mode) you should note a horizontal grey bar on top (or to the left) of it. You may grab this bar with your left mouse button, left-click, then drag the menu away from its docked position to "tear it off." This allows you to make a floating "menu toolbar." You can dock the floating menu to any side of HyperSnap-DX's window.


dialog_register_file_types

Register file types dialog

This function lets you define how Windows will handle double-clicked files of certain types. For the selected file types listed here, if you check them, the system will use HyperSnap-DX 5-to open (and thus view or edit) those specific file types. This allows you to quickly choose which files are sent directly to HyperSnap-DX 5, and which file types are edited or viewed by other graphics utilities you may have.

To have HyperSnap-DX 5 be defined as the program to open (and thus view and edit) any of the listed files, simply check the box to the left of that file type. Once you've closed the dialog, the selected types will be registered with the system as HyperSnap-DX 5 files.

The setting change takes place immediately, and the icon for that file type within Explorer will change to reflect this. The file's extended description property will be re-defined, too, as a HyperSnap-DX file type.

Available types the program can associate itself with include: BMP and DIB, GIF, JPEG/JPG, TIFF/TIF, PNG, LEAD (CMP), TARGA (TGA), and WPG (Word Perfect Graphics format). There are two other options to set on this dialog.

Open each file in the same window causes HyperSnap-DX 5 to re-use its currently-open (or first-opened) window rather than opening multiple incidences of itself. This means any image open will be replaced with the double-clicked image. (You'll be asked to save any changes should the currently-opened image be altered or new but as yet unsaved).

Open each file in a new window causes HyperSnap-DX 5 to open as many incidences of its main window as you need to view the files you are double-clicking. This allows you to compare multiple images, for example, or leave a current "project" open in HyperSnap-DX 5 while you examine a new image in a new window

To print this topic, right-click this window and select Print.


dialog_scale_image

Scale image dialog

Scale - you can resize the image using the dialog that appears when you select this item. From that dialog you can choose to resize via a percentage calculation, or by directly manipulating the pixel count of the image. Drag the percentage slider control left to make the image smaller, or right to make the image larger.

Your changes are reflected within the image in HyperSnap-DX 5's application workspace.

Type in the desired pixel values for width and height if you would prefer that method, and click Apply to see the values applied to the current image.

You can set the image to the size of a selection rectangle, too, if you've made a selection prior to opening this dialog. To do that, make a selection and then click the button labeled Set to current selection rectangle.

To print this topic, right-click this window and select Print.


dialog_startup_and_icon

Startup and tray icon dialog

This sets options for how HyperSnap-DX shows its icon. You have several options for how the system handles the program, and how the program interacts with your operating system.

Check Auto-start with Windows if you want HyperSnap-DX to always be available. If you've asked it to handle the Window print screen keys, you'll probably want this checked, too.

Check Always start minimized if you don't want to see the interface upon loading, but you want it available as an icon.

Display system tray icon, hide taskbar button when minimized sets the program to conserve space on your main icon taskbar by jumping over to the little rectangular tray area where the clock is. A related option, Do not exit when clicked on "Window Close" X button, prevents you from accidentally killing the program by clicking the X button. It's easy to do this when you really mean to minimize the program, so this is a good option to check,too.

Click OK to establish your startup and icon settings, or Cancel to abort.

To print this topic, right-click this window and select Print.


dialog_toolbars tab

Customize Toolbars tab

While this tab is open, you can customize your toolbars, and determine which bars to have open or closed. Un-check the box to the left of a bar to hide it. Check it to show it.

To edit a toolbar:

  1. While this tab group is open left-click any button and drag the button to the desired location or "off of" the HyperSnap-DX interface to remove it. (You can get it back later by dragging it onto the bar from the Commands tab.)

  2. Right-click a button to select how that button is displayed. Display either Text, Image, or Image and Text.

  3. If you want a dividing line between any of the buttons, select Start Group from the right-click mouse menu.

  4. If you want to remove a line that's there, left-click an icon to the right of a line, then right-click the icon to open the menu. Un-check Start Group from the menu and the line will go away.

  5. If you want to copy a button's picture to the clipboard (for example, to edit in a paint program) select Copy button image from the right-click mouse menu.

  6. Click Close to wrap up your changes to the toolbar (or menus).

To print this topic, right-click this window and select Print.


dialog_tools_tab

Customize Tools tab

This tab lets you add plug-ins or program "connections" to HyperSnap's Tools menu interface. At this writing only one item is added to the Tools menu during HyperSnap's basic installation, and that's a link to an image morphing tool called Morpheus™. Users of HyperSnap-DX can get and install a free trial of Morpheus. Follow the instructions on the displayed link to obtain and install this tool, if you wish to do so.

Menu contents are listed in the box at the top of the tab. One tool is available, the Morph Images! tool. You can add others by using the controls on this tab. They're all very self-explanatory to users likely to need to use them. If you need more information about the Tools tab, click the button below.

To print this topic, right-click this window and select Print.


dialog_window

Window dialog

This dialog allows you to manage large lists of open windows by assigning them into groups. Lets say you have eight windows open, but want to close four of them scattered through the list.

  1. Select the windows you want to close, hold Ctrl key to select more than one at a time.

  2. Click the button that says Close Window(s).

  3. Just those four will be closed, leaving the other four files or captures available for editing.

You can use this process to switch to the checked window on a list by hitting Activate (or "bring up" from an icon multiple windows), you can use this to Cascade only the selected windows, or perform any of the listed functions on just the windows you wish to manage.


Licensing HyperSnap-DX 5 via softwrap

The copy of HyperSnap-DX you are currently running can be licensed and purchased via Softwrap. To buy your license, please close and restart HyperSnap-DX. It will then display "Softwrap Purchase Wizard", where you may click "Buy It" button to complete your purchase. For more information, please visit us at:

http://www.hyperionics.com/hsdx/Softwrap.htm


Licensing HyperSnap-DX via uniloc

The copy of HyperSnap-DX you are currently running can be licensed and purchased via Uniloc. To buy your license, please close and restart HyperSnap-DX. It will then display a purchase wizard, where you may click a "Buy" button to complete your purchase. For more information, please visit us at:

http://www.hyperionics.com/hsdx/Uniloc.htm


More_help_about_printing

This topic not used currently.


Quick save tab

This tab contains the settings for one of HyperSnap-DX 5's most powerful features, you can quickly build up a collection of captures (for example, during game play, or during other rapid action) by letting the program automatically save each capture and automatically define filenames for it as it proceeds.

You can always go back later and re-name the files if you want to use different names. A great time saver when capturing a long list of screens for documentation purposes or to illustrate "steps" of operation.

Automatically save each capture to a file - when checked, this enables the program's ability to save captures without you having to use the File menu Save as function. When you enable this, you may want to specify a naming scheme and an "increment" scheme so that each successive file is properly named according to your wishes.

The default settings here are re-used between sessions, so it's possible to repeat captures later, overwriting the previous filenames unless you've moved or renamed them. Be careful!

If you don't want to use the automatic naming process, you can have the program prompt you for a name, below. Although this won't work properly with some gaming software that runs fullscreen (some of these crash if you switch back to Windows during gameplay).

Save (upload) to FTP server - if you check this option, the files will be uploade to an FTP server instead of being saved locally. To define the server address, user name and password for the uploads, click the Change button next to File Name field.

Prompt for name on each capture - if you check this option instead of using the Auto save to function, you'll be asked for a filename after each capture.

Auto save to: - a powerful function that lets you define a logical decision tree to handle multiple captures automatically. Great for snagging the screens during game playing where you don't want to disturb the screen (possibly corrupting it) with file prompt boxes. You need to set certain values for this function to work properly. These include:

File name - this is the prefix for the file names to use during capture. This prefix will have incremental numbers added to it, with these being specified via the other settings of this control group. You can increment file names starting at 1 and stopping at a pre-set number, and so forth.

Change - choose another filename for the Save as function. Browse your system to locate a folder in which to store your auto-saved files, and pick the file name you wish to use as the root of the name. This button also defines FTP server address, user name and password for the uploads, if you selected Save (upload) to FTP server option.

Increment file name, start at - select a number to begin incrementing group captures, usually 1. You can select any number you wish to use, within the naming limitations of files in Windows itself. Define the stop at value, which can be any number larger than the starting number.

Loop from 1 to "stop" number... - check this to repeat the numbering process over and over, overwriting any files that exist within scheme. If you want to capture, for example, a series of game play screens but need to attempt certain "plays" over and over to get it "right," this is a useful setting. You can define the 20 screens you need to capture, grab them as you go, and once you've got the sequence right all you will have is the one through 20 captures you desired (rather than having to sort through 100 captures to find the group you need).

The number of digits in this box—as opposed to the value itself—will dictate the number of digits in any auto-saved file names. For example, the default stop at value of 100 will give you 3-digit numbering. If you only want 2 digits, use a 2 digit stop at number, such as 50 or 99.

Repeat first capture every: - automatic captures, great for tracking constantly moving applications, games, and a workflow example such as using an application. You should define how often (in seconds) you wish to capture the screen, and whether or not you wish to ignore (which means continue) errors. You can use fractions (such as .5 seconds), and you can use 0 to disable this feature. This option is disabled by default.

Continue on error - will continue timed auto-capture set up with Repeat first... option even if an error occurs while capturing or saving an image. Without this option selected, HyperSnap-DX will abort timed auto-capture.


The stamps tool

Not used in this version.


View and edit tab

Here you can set how the program views the data as you capture it. Choose from three available options.

Replace the image in HyperSnap-DX window with the new capture - this is the default setting and will cause the last image to be removed and the new one put into its place. If you have not saved it, the changes to it are lost at the time a new capture is executed.

Paste each new capture onto the current image - enable this to add each image like a "shingle" onto the previous image. Can produce some interesting results, especially if the successive captures are smaller than the previous captures, or you wish to show the progression of a window's or program's state over time in a "scrapbook" containing multiple images across a page.

Each new capture pasted onto current image is automatically selected as a new object. This means that you can immediately drag it with the mouse to any location over the underlying image to re-locate it. Doing this will not affect that underlying image until you click outside of the selection rectangle.

This way you can compose a page or collage of multiple images or captures. Once you click outside of the selected region, or start a new capture, the previous image is permanently applied onto the underlying bitmap and is immovable. You can "unstick" it by selecting Undo from the Edit menu if you do this before performing any other operation.

Extend drawing space and... - these choices are available if you selected "Paste each new capture onto the current image". Instead of adding the new capture at the current selection, you may have the image space extended at the right or bottom edge with the current background color. The new capture is then added according to one of three choices listed below: preserve relative screen position, tile vertically or tile horizontally. You may also specify an additional margin to use between tiled images.

Do not change current image - this will only save the image to the clipboard, a file, or print it according to the settings in the Quick save tab, below. It will not affect the image currently displayed in HyperSnap-DX 5's window.


Who is a power user?

Who might be called a Power User? Good question.

It's somebody who knows more than you or I do, no matter how much you or I might know. We usually know a Power User when we see one. And he or she knows things we simply can't comprehend or don't want to take the ten years of reading we'd need to get it stuffed into our poor brains.

Power Users are often amazing folks. But...the first step of becoming one (in case you want to do so) is to learn to use the keyboard—instead of the rodent—to run your software. And that means learning these command line tools!

Enjoy HyperSnap-DX.